commit 63f5798e8795f80f3612fb0699eb668e20ae321c
Merge: 4691382 f96e991
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Aug 2 22:19:48 2014 +0000

    Merge "Storwize/SVC driver detach volume failed" into stable/icehouse

commit 4691382ff8c811ddf726a10c96c436f9959bc439
Merge: a1135b7 cab4ef6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Aug 2 22:05:54 2014 +0000

    Merge "Specify lld in tgt config backends" into stable/icehouse

commit a1135b707d19abfd4acdfcf00ae0b28ec727b2c0
Author: Zhiteng Huang <zhithuang@ebaysf.com>
Date:   Sat Aug 2 01:50:47 2014 +0800

    Fix solidfire accept_transfer
    
    Previous fix has a mistake which makes the situation worse.  This change
    fix volume['project_id'] and volume['user_id'] and adds unit test for
    accept_transfer.
    
    Closes-bug: # 1349475
    
    Change-Id: I7b2bcefa4c8d173689cc63ee5aa9e00397c7f8ca
    (cherry picked from commit 5dbdb11e8d8659a6b823c9552052b443050886ca)

commit befb391fee1dd31b5334189962fa3e666a8d1f20
Merge: 00b7574 c4d3c1c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 1 16:44:22 2014 +0000

    Merge "Fix handling multiple WWPNs on preferred FC node" into stable/icehouse

commit 00b7574d9a6e3818b3d032a8de05a03ddd94c2d6
Author: Jim Branen <james.branen@hp.com>
Date:   Fri Apr 4 13:36:42 2014 -0700

    Fixes HP LeftHand driver with Paramiko 1.13.0
    
    With Paramiko 1.13.0, the method exec_command now returns Unicode.
    This causes a problem when the driver tries to build the XML returned
    from the LeftHand array. The XML header returned from the array defines
    the encoding as encoding=UTF-8. Therefore, we must now ensure the
    encoding passed to the parser is utf-8.
    
    Change-Id: I7b504626e2d9a0ee2b62820b11f56eb136e31987
    closes-bug: #1298608
    (cherry picked from commit 57e8cdb9dd8e24919bc2243438a6bded53491b3e)

commit abc4461a5a95945efe8c84547fc3981180e886be
Merge: 9093f7d 3877a73
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 30 21:31:47 2014 +0000

    Merge "vmware: Fix problems with VIM API retry logic" into stable/icehouse

commit 9093f7d307a9ffa423b531afb5ea542479181253
Merge: ffb4ffa f6df82c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 30 09:04:09 2014 +0000

    Merge "Ensure flushing of IO prior to removing FC device" into stable/icehouse

commit ffb4ffaaa4419279210297024b4851bc7b8aa810
Merge: 95e3f7c 00d456b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 30 08:59:35 2014 +0000

    Merge "GET details REST API next link missing 'details'" into stable/icehouse

commit 95e3f7cb179dbaf7ad4cfb8ebf057d25040af0d3
Merge: 10b294a c74efd7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 29 22:59:51 2014 +0000

    Merge "Retry lvremove with ignore_suspended_devices" into stable/icehouse

commit 10b294a05f91f5f6809316701a2ee5c97b70437c
Merge: cd7dd94 22e451b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 29 20:48:51 2014 +0000

    Merge "Set python hash seed to 0 in tox.ini" into stable/icehouse

commit 22e451bd4cfe0aee3cf2f7536538f421021696bd
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Fri Jul 25 14:33:10 2014 -0700

    Set python hash seed to 0 in tox.ini
    
    New tox (>=1.7.0) sets a random python hash seed by default. This is
    generally good for testing because it will help keep projects working
    regardless of the hash seed, but cinder unittests don't currently pass
    with a random hash seed so set it to the python default seed.
    
    This change will allow us to use new tox again and remove the
    restriction on tox<=1.6.1 to run unittests.
    
    Redundant setenvs for specific test envs are removed to prevent them
    from overriding the PYTHONHASHSEED value.
    
    Note this change will need to be backported to the stable branches to
    keep unittests there working with new tox as well.
    
    Change-Id: Ia55031528d082a1b11da6890447c5584e9e27551
    (cherry picked from commit 03293715b1e950cf406018058e4c8a514c0f977f)

commit cd7dd94bb9c97ab19b7d2636958214911f223d05
Author: John Griffith <john.griffith8@gmail.com>
Date:   Mon Jul 28 11:35:54 2014 -0600

    Get updated model info on volume transfer
    
    On some drivers CHAP credentials are tied to accounts
    which may be unique for each OS and/or backend Tenant.
    
    For example:
      Volume is created with project_id xyz
      Backend creates an account for xyz with specific CHAP
    
      Volume is transferred to project_id abc
    
    Currently we don't update the model_info, so even though
    on the backend we updated the owner and CHAP settings we
    never propogated that back up to the DB object so the volume
    can't be used by the new owner.
    
    This patch just adds an option to return model_update
    on the accept_transfer call to the driver and updates
    the db accordingly.
    
    Also adds a call in the SF driver to actually get the
    new model info to be fed back to the manager.
    
    Closes-Bug: #1349475
    
    Conflicts:
    	cinder/volume/drivers/solidfire.py
    
    Change-Id: Ie0447cdad69c4fbee99b4b6b1d3cacdfdd14137d

commit dfc0505ca313533cdcfa4a7f29978b8cba2843db
Merge: 71a2b19 63ba651
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jul 26 21:56:28 2014 +0000

    Merge "Don't leave snapshots on the floor" into stable/icehouse

commit 71a2b195e56a4ca42166d097dc6f74d69dd9252f
Author: OpenStack Proposal Bot <openstack-infra@lists.openstack.org>
Date:   Thu Jul 24 16:46:29 2014 +0000

    Updated from global requirements
    
    Change-Id: I5c10231456066d6eddafb2c6ca3a4ede0d2d7d66

commit f6df82c6661ba56807839fe72601de1333a8b973
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Wed Jun 4 15:22:08 2014 -0700

    Ensure flushing of IO prior to removing FC device
    
    This patch flushes IO for each SCSI device that
    brick removes from the system.  The patch also
    flushes a multipath device prior to removing
    each underlying LUN associated with the
    multipath device.   We were seeing kernel
    IO errors in the syslog without calling flush
    on the block device, during a detach for a
    multipath FibreChannel copy image to volume
    action.
    
    Change-Id: I2fae3dccd4fcab22c8f59dcd297581ee9577b779
    Closes-Bug: 1318950
    (cherry picked from commit 383f460d6d0431d3dbaf32edb7fcb68c25ff1929)

commit 63ba651c128907fc9c95a8d3b8c2a599657e4c41
Author: John Griffith <john.griffith@solidfire.com>
Date:   Wed Jul 16 08:49:37 2014 -0600

    Don't leave snapshots on the floor
    
    The current cloning process in the LVM
    driver uses a snapshot to do the data
    copy in the background.  Trouble here
    is that if the creation or activation
    of the new volume fails, we don't
    cleanup the snapshot we created.
    
    Just move the create_volume and activate
    calls down into the try block so the finally
    clause can do the cleanup for us.
    
    Change-Id: If0fbab9d9f39102cdc7d287527be22c4a2b35934
    Closes-Bug: #1312718
    (cherry picked from commit 38ed0523125efeaf8383b36d1db169b42e2f5eb6)

commit 2e628c1598dea8f62a3fef89bc9af1a9203ec96e
Merge: ac9b6a9 1d80539
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 16 16:53:38 2014 +0000

    Merge "Add cinder-manage cmd to update host column" into stable/icehouse

commit c74efd7765e33379c50056359123eb6f00fedb07
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Fri Jun 13 00:24:23 2014 +0200

    Retry lvremove with ignore_suspended_devices
    
    A lvremove -f might leave behind suspended devices
    when it is racing with udev or other processes
    still accessing any of the device files. The previous
    solution of using lvchange -an on the LV had the
    side-effect of deactivating origin LVs alongway in
    the thick volume case, which was undesired.
    
    It turns out retrying the deactivation twice and
    ignoring the suspended devices on the second iteration
    avoids the hang of all LVM operations after an initial
    failure.
    
    Change-Id: I0d6fb74084d049ea184e68f2dcc4e74f400b7dbd
    Closes-Bug: #1317075
    Related-Bug: #1270192
    (cherry picked from commit da9597aed0186e68dbf1c7304b30e49f8e6a54ff)

commit ac9b6a9094785d54ae396e8f1f72d01469ee8564
Merge: c304e1c 570c90f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 10 22:37:59 2014 +0000

    Merge "Add the -f option back to lvremove" into stable/icehouse

commit c304e1cda9e3351fcdfafd33a098aa254b0cab0a
Merge: 8616f4c d6829c1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 10 22:27:59 2014 +0000

    Merge "Ensure that lun_id is an int" into stable/icehouse

commit 8616f4c5b2963fbd65cad6ec1e02ebc8e55a2759
Merge: 1cc54ae 04c7431
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 10 22:26:58 2014 +0000

    Merge "Allow host config to be overriden in backend" into stable/icehouse

commit 1cc54ae12847959a039880999237f755c8d85670
Merge: fe37a6e d12c513
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 10 22:25:53 2014 +0000

    Merge "Fix host option isn't set when using multiple backend" into stable/icehouse

commit fe37a6ee1d85ce07e672f94e395edee81fac80db
Author: John Griffith <john.griffith@solidfire.com>
Date:   Thu May 29 18:18:12 2014 +0000

    Remove second get call to list/show volumes
    
    Recently it was observed that with large numbers of volumes
    that things like "cinder list" could take extremely long to
    return.
    
    For example, running cinder list on a system with 1000 volumes took
    greater than 30 seconds to return.  It turns out that the cause of
    this is the addition of visible admin_metadata.
    
    There's two problems with this:
    1. The original patch probably shouldn't have gone in
       data is either admin data or it's not, selectively picking
       pieces of admin data out to provide to the user just creates
       complications and introduces confusion.
    2. The REAL issue here is that since the standar gets are made
       with the standard user context, the add_visible_admin_metadata
       would go through and do an elevated context get on every single
       volume individually.  This is what caused the horrible performance
       issue on cinder list with large numbers of volumes.
    
    Running as admin, or removing the second call drops this down to about 3
    seconds for the same 1000 volume list.
    
    This patch removes the secondary admin context get_call.  Instead where
    we expect to do display the visible admin_meta, we pass in a flag
    requesting that the volume object we're getting has the appropriate
    metadata.  This way we can elevate the context if needed and avoid
    iterating through the gets again.
    
    This patch also cleans up the get_visible_admin_meta methods, and
    consolidates both V1 and V2 to use the utils method.
    
    Change-Id: I3fb7aefb7d8a5664b0a3fb3958f509b5cd621320
    Closes-Bug: 1317606
    (cherry picked from commit 0505bb268942534ad5d6ecd5e34a4d9b0e7f5c04)

commit 1d80539f99be8e8eccb5fd2b172406cbd4da30cb
Author: John Griffith <john.griffith8@gmail.com>
Date:   Sun Jun 29 09:06:31 2014 -0600

    Add cinder-manage cmd to update host column
    
    If you deploy Cinder as per the default using the docs,
    you can't later decide to add backends using the
    multi-backend functionality. The reason is that multi-backend
    is implemented by appending a backend-name to the host entry.
    
    So if you convert the config to multi-backend the hostname
    for any volumes that you have created are no longer
    associated with a valid volume-driver (ie you can no
    longer perform operations including delete on these
    volumes).
    
    In addition, in the case of using a SAN attached backend if
    one redeploys their cinder-volume service to another node
    they'll have the same issue.
    
    This patch adds a cinder-manage command that will go through
    volumes that are located on a specified host and update
    the host column on each of them.
    
    Change-Id: I8758fb8ef3fccbba2a598240c42d625b997e2db6
    Closes-Bug: 1320688
    (cherry picked from commit 2068164d0f155578d2f7a106afe464ef578032cb)

commit 1c494a15acf715babcf9632b163bcc24d0e89569
Merge: fa02696 d4392f3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 4 23:09:19 2014 +0000

    Merge "Fix retyping volume that has volume type None" into stable/icehouse

commit d12c513af2da07c47ffda8b4c0415cae3808f791
Author: Yaguang Tang <yaguang.tang@canonical.com>
Date:   Mon Jun 23 11:59:44 2014 +0800

    Fix host option isn't set when using multiple backend
    
    When using multiple volume backend, and volume driver is
    cinder.volume.drivers.block_device.BlockDeviceDriver, host
    option isn't set so a call to get volumes of a host returns none,
    This patch changes to use self.host instead of self.configuration.host
    
    Change-Id: Ide34ed29adad14b778b1a7388e9dc313241fa243
    Closes-Bug: 1332909
    (cherry picked from commit 7e43a8891018d52bd69298f11b684841b00e2523)

commit 570c90f8fbfb632187c5b95ef19b9ebbfe7d3053
Author: John Griffith <john.griffith8@gmail.com>
Date:   Wed Jul 2 09:49:46 2014 -0600

    Add the -f option back to lvremove
    
    Part of commit I4703133180567090878ea5047dd29d9f97ad85ab
    add some logic to only use the -f flag on lvremove incase
    of a failure condition during the retry.
    
    The problem is that the initial call results in a prompt
    pretty much every single time you call lvremove.  As such
    that call fails every time and we go in to the retry with
    force which succeeds.
    
    This seems pretty wasteful, and there's no value that I can
    see in continuing to run a cmd every time that we know is
    going to fail.
    
    This patch adds a -f back on to the first lvremove to eliminate
    this problem.
    
    Change-Id: I49a4882382f026cd286d0eda605a91cc7a574745
    Closes-Bug: 1336811

commit fa026960dc0aafac7fc2ff28020ed66a57daf854
Merge: 170632f e557402
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 1 21:22:32 2014 +0000

    Merge "Updated from global requirements" into stable/icehouse

commit e55740231ee14a446badf545efc5e358ca53a845
Author: OpenStack Proposal Bot <openstack-infra@lists.openstack.org>
Date:   Tue Jul 1 18:46:54 2014 +0000

    Updated from global requirements
    
    Change-Id: Ida72e649523f0c5f6559a7ba8e3dcb22dbfba852

commit 170632feea74a3434c92d106cd72479eebf7cd2a
Author: John Griffith <john.griffith8@gmail.com>
Date:   Tue Jul 1 09:32:16 2014 -0600

    Update requirements.txt to disallow alpha libs
    
    This is an update that has been submitted to the
    main openstack-requirements file.
    
    The stable/icehouse branch specified an alpha build,
    this patch removes that.
    
    Requirement patch can be found here:
    https://review.openstack.org/#/c/103674/
    
    Further background can be found here:
    http://lists.openstack.org/pipermail/openstack-dev/2014-June/thread.html#39001
    
    Change-Id: I3471ff0fc5f82476ae712e29733c7ae2e3701904

commit 04c7431858157e19e42cad88e6197747063e7b86
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Thu May 22 14:49:20 2014 -0700

    Allow host config to be overriden in backend
    
    This allows you to specify host=XXX in your backend configuration
    to override the host value that is specified in the DEFAULT section,
    allowing for some backends to share a hostname while others can
    have unique names.
    
    Closes-bug: #1322366
    DocImpact: When using multi-backend, each driver can  now specify
               'host' parameter.
    (cherry picked from commit c0630419f45f0b34bae5702ccecedf0b398f91b0)
    Change-Id: Ie8894a7cebf350dc2d50567058a765482b9d97d7

commit f96e991895b1720bd2e47884cf5e9b92dc1e755f
Author: Li Min Liu <liminliu@cn.ibm.com>
Date:   Tue Apr 22 10:56:54 2014 +0800

    Storwize/SVC driver detach volume failed
    
    If config two backends on the same storage, but the protocol is
    different, one is FC and the other is iSCSI,  that will create two
    hosts on the storage.
    
    When detaching the volume which is attached to the iSCSI host, the
    driver will get FC host by default, that causes volume status keeps
    'detaching'.
    
    Change-Id: Idbdb3861574197549625b4a6b6141197e42857ff
    (cherry picked from commit a221a30b32aa94077f352719b2637b51c1809069)
    Closes-Bug: #1310559

commit 8cc6ad0f55de3d387c8ebea4c14d11ee1ad664f6
Author: Alan Pevec <alan.pevec@redhat.com>
Date:   Tue Jun 24 01:10:22 2014 +0200

    Bump stable/icehouse next version to 2014.1.2
    
    Change-Id: Id7181755d3609c0ae91c2402b34f2de02c06a1f0

commit c4d3c1c2b044f1e0dfe970c26bcaf744a49eb5da
Author: Jay S. Bryant <jsbryant@us.ibm.com>
Date:   Fri Apr 18 17:07:15 2014 -0500

    Fix handling multiple WWPNs on preferred FC node
    
    There was a bug in the code that checked to see if the
    appropriate WWPN for a preferred node was available on the storage
    host in intialize_connection.  It was assumed that there would only
    ever be one preferred WWPN.  The code just checked to see if the list of
    preferred WWPNs was in the list of available WWPNs.  This would only work
    if all of the WWPNs were available on the storage host.  This resulted in
    volumes not being able to be mounted when they should have been
    available.
    
    This fix changes the check of the preferred WWPNs to check each
    item in the list until one is found.  The first one found is used
    as the target WWPN.  If no match is found, the old default behavior
    of selecting the first available WWPN is used.  I have added a
    warning message for this case as it is quite possible that this
    won't work in the user's environment as was the case that uncovered
    this bug.
    
    Note that this change is only relevant for systems that are not using
    multipath as systems that use multipath don't choose one WWPN, they
    just send the whole available list back.
    
    Change-Id: I8d3239da24a8f9fbd8309ba5c90b05b29a068754
    (cherry picked from commit 9bfc5b0bf58ecb7de5904cbd41db6de7330187e3)
    Close-bug: 1308298

commit f8f612332a6966036170ed38a2892b055115dd22
Merge: bdf7fc3 41127fb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 3 03:51:24 2014 +0000

    Merge "Properly initialize rpc in cinder-volume-usage-audit" into stable/icehouse

commit bdf7fc34beeebbc623010ae1fecdcd60fe55a474
Merge: 4ed925e 75fa69d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 3 03:48:37 2014 +0000

    Merge "Storwize/SVC driver crashes when check volume copy status" into stable/icehouse

commit 4ed925e869be852da7b0aeaeb27caa624f7f04ab
Merge: 6375808 d0602f6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 3 03:16:01 2014 +0000

    Merge "Fixes cinder error state volume delete on Windows" into stable/icehouse

commit 63758088215b0a6c79d85d1c7999dadd0ea647d5
Merge: a0eac12 1815c72
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 3 02:47:53 2014 +0000

    Merge "Re-raise exceptions in upload-to-image" into stable/icehouse

commit a0eac12845466fdef791cb7ed3fc7405da7f4919
Merge: 7a35c81 bc585a0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jun 2 22:51:57 2014 +0000

    Merge "Fix solaris_execute in SolarisISCSIDriver." into stable/icehouse

commit 7a35c81e7f58308a1311c04d3de74624b6ea4ca2
Merge: 764b966 5330d3b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jun 1 23:34:00 2014 +0000

    Merge "Updated from global requirements" into stable/icehouse

commit 764b966d4b512e0182e49678fe5f3bf211a04d98
Merge: 528b04f 1e48833
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jun 1 20:16:36 2014 +0000

    Merge "Fallback to None on missing Glance image attrs" into stable/icehouse

commit 528b04f78550dc8ccfc556cebf4984786a3607ac
Merge: d58abc1 560740f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jun 1 19:09:30 2014 +0000

    Merge "GlusterFS: Delete active snapshot file on volume delete." into stable/icehouse

commit d58abc13a041a9475a43c48b6610a7a195a474c8
Author: John Griffith <john.griffith@solidfire.com>
Date:   Fri May 30 15:59:52 2014 +0000

    Update cinder.conf
    
    This is mostly just a sanity check, we're revmoving
    this whole check from the gate, but we've had
    conflicting versions of the truth here and I'm trying
    to figure out why.
    
    This patch is a fresh run of generate_sample, which differs
    from https://review.openstack.org/#/c/96784/
    
    Change-Id: Ia2d6ca01beb1d2c42084100990129dadbb32b22c
    (cherry picked from commit 8965f168f4d26999538cf4694691916c285d5689)

commit 3877a730c6631f311baa3992be6f37a986aa54f8
Author: Vipin Balachandran <vbala@vmware.com>
Date:   Wed Apr 16 14:06:31 2014 +0530

    vmware: Fix problems with VIM API retry logic
    
    Currently the VIM APIs including session creation API are retried for
    cases which are unrelated to connection or session overload problems.
    This change fix the retry logic as follows:
    * Add an exception to indicate connection problem and raise it
      appropriately from the VIM API client
    * Modify the expected exceptions in the retry decorator to include
      only connection and session overload related exceptions
    
    This change also fixes the base class of VimFaultException
    (VolumeBackendAPIException -> VimException). This change is required
    so that we can handle the exceptions thrown by the VIM API client in
    a consistent manner. Currently if we need to handle VIM API related
    exceptions, we have to catch both VimException and VimFaultException.
    For example, the API for checking active session raises
    VimFaultException in some cases and we are handling only VimException.
    Due to this, when session expires, the session re-establishment and API
    retry fails (intermittently) since the check for active session throws
    VimFaultException in some cases which is not handled.
    
    Change-Id: I72cfc7777c3ce693b8598633f822c12c2cee2235
    Closes-Bug: #1294598
    Closes-Bug: #1302514
    (cherry picked from commit bc115eaa477d30826ac17986a6e45844b456e206)

commit 5330d3bb3797fce8a14f16f2ef20dd790f8a7f6a
Author: OpenStack Proposal Bot <openstack-infra@lists.openstack.org>
Date:   Thu May 22 18:06:03 2014 +0000

    Updated from global requirements
    
    Change-Id: I9b071e0c3e630d81963197961820e3a8aac38df6

commit cab4ef6635cf6cd5c28c02db6099555d22d1bc22
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu Apr 17 13:49:05 2014 +0200

    Specify lld in tgt config backends
    
    Otherwise when running tgt-admin --delete, it might forget
    to invoke tgtadmn with "--lld iscsi" in order to delete the low-level
    iscsi exports, which can cause crashes or hangs later on.
    
    Closes-Bug: #1311640
    Change-Id: I436c67c30565089236e987d84ac2609eedd2d2c7
    (cherry picked from commit 872b7ca0fc5ce4911fdaadee464d46be5a38058d)

commit 41127fbb9b9c09369b72fecc7e8b439590f676a9
Author: Koert van der Veer <koert@cloudvps.com>
Date:   Tue May 6 11:04:00 2014 +0200

    Properly initialize rpc in cinder-volume-usage-audit
    
    When RPC isn't initialized, any RPC based notifiers will fail, which
    renders cinder-volume-usage-audit mostly useless.
    
    Closes-Bug: #1316483
    (cherry picked from commit e52445681400ff1f8a78a39dca07d4d9711dfe52)
    
    Change-Id: Ib6b9b1fdc76f289e9a44de520eeccbf99e28f40b

commit d4392f3d1a5ef4f4d7ad1ab67ed9bf42fd9eaaa5
Author: git-harry <git-harry@live.co.uk>
Date:   Thu May 8 12:38:41 2014 +0100

    Fix retyping volume that has volume type None
    
    Modified volume_types_diff to work when one volume type is None.
    
    Fixed _fix_encryption_specs so that the new dictionary is returned.
    
    Change-Id: Iaba3032317f4d0649c917fb92403c4e9146fe3e9
    Closes-Bug: #1311058
    (cherry picked from commit 8ce85e4fd40e9def337daadfdc92aca7b064efff)

commit 75fa69df1dd9334d70dda623789b2734ccb8da9d
Author: Li Min Liu <liminliu@cn.ibm.com>
Date:   Tue Apr 8 10:18:56 2014 +0800

    Storwize/SVC driver crashes when check volume copy status
    
    Storwize/SVC driver does not clear up property of _vdiskcopyops
    when deleting a volume. So if a volume which under async copy is
    deleted before sync completed, the driver will crash.
    
    When delete a volume, add a check for _vdiskcopyops, if volume
    is in the dict, remove it.
    
    Change-Id: I4905404b72a7ac8f90bd92fa4345ba771a78418b
    Closes-Bug: #1304115
    (cherry picked from commit 0c4a94eac94399a524ff758fa7046e98b07951ae)

commit bc585a00c6f96e7a4a9b2f50b7577192de41eb48
Author: Scott Devoid <devoid@anl.gov>
Date:   Mon May 5 16:44:44 2014 -0500

    Fix solaris_execute in SolarisISCSIDriver.
    
    A previous refactor [1] of SolarisISCSIDriver and SanDriver renamed
    the `_execute` function to `san_execute`. However, SolarisISCSIDriver
    still called the _execute function, which no longer exists in it's
    parent classes.
    
    This change calls san_execute instead of _execute in
    super(SolarisISCSIDriver, san).
    
    [1] https://review.openstack.org/#/c/38194/
    
    Closes-Bug: #1318108
    Change-Id: I4cafefdb3eef8f3c2c345907d7eabd4e8f88ef65
    (cherry picked from commit a7f24f0a2395594ead7eb8a5cef894b257cd7e4f)

commit bc0442a8edf4fd059f0a94dd27c20597138fc3c2
Author: Sergey Gotliv <sgotliv@redhat.com>
Date:   Wed May 7 00:27:46 2014 +0300

    Fix wrong exception reference
    
    iscsi.py should catch cinder.exception.NotFound instead of
    cinder.brick.exception.NotFound.
    
    Change-Id: I77134683712e9706619a7f7fe82caed42ede5887
    Closes-Bug: #1300136
    (cherry picked from commit 115b8447618073d3383bbd612ebd2fc68c8c5d28)

commit 707a80ac7a6c94d1020e06a691a7f8d7734fc0ee
Merge: 635f54e d17277d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon May 5 02:44:16 2014 +0000

    Merge "Add exception catch if Storwize/SVC driver failed when retyping" into stable/icehouse

commit 635f54ececf9e374dd7546fa4caf8bf2be168d26
Merge: 70f0084 59fe59e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat May 3 03:54:32 2014 +0000

    Merge "Correct metadata ordering issue in tests" into stable/icehouse

commit 70f00843fcb3dcb8676fc70c90d858094664df11
Merge: 767c2a6 49446bc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat May 3 03:24:40 2014 +0000

    Merge "Disable oslo.messaging debug logs" into stable/icehouse

commit d6829c180ea0056a166a3132832701f6b50f5679
Author: Jay S. Bryant <jsbryant@us.ibm.com>
Date:   Thu May 1 17:13:25 2014 -0500

    Ensure that lun_id is an int
    
    The map_vol_to_host function was treating the lun number
    as a string rather than an int.  This was causing attempts
    to mount storwize_svc volumes to Hyper-V nodes to fail as they
    were checking an integer type against a unicode type which
    would fail.
    
    This change casts result_lun to an integer after the value has
    gone through the ssh injection attack check.  This way Hyper-V
    is able to verify if the found LUN is the target LUN, enabling
    mount of storwize_svc volumes to Hyper-V.
    
    Change-Id: I96d179f2a58e5948c8ba6c9ae618daad7b8d4c86
    Closes-bug: 1269915
    (cherry picked from commit 861e93a671f4ca4a7d8b08b05055bab9b9e141f8)

commit 59fe59ebfc93a9354aa4598a39c7132cc38938fe
Author: Juan Manuel Olle <juan.m.olle@intel.com>
Date:   Fri Mar 21 16:46:03 2014 -0300

    Correct metadata ordering issue in tests
    
    Some test including test_volume_get_all_filters
    fails randomly because metadata is in a dict and
    the items order is undefined.
    The test comparison was changed to avoid unexpected
    test results.
    
    Change-Id: Ibb24d21cd05aa1eefb45b61c63de067b34fb1013
    Closes-Bug: #1293792
    (cherry picked from commit 4cc2366623743393f89a198581fcb69dc04d31cd)

commit 00d456ba0c3c62db68dce778fa50837f5d7ebacb
Author: Steven Kaufer <kaufer@us.ibm.com>
Date:   Mon Mar 31 20:32:39 2014 +0000

    GET details REST API next link missing 'details'
    
    When executing a pagination query a "next" link is included in the
    API reply when there are more items then the specified limit.
    
    See pagination documentation for more information:
    http://docs.openstack.org/api/openstack-compute/2/content/
    Paginated_Collections-d1e664.html
    
    The caller should be able to invoke the "next" link (without
    having to re-format it) in order to get the next page of data.
    The documentation states "Subsequent links will honor the
    initial page size. Thus, a client may follow links to traverse
    a paginated collection without having to input the marker parameter."
    
    The problem is that the "next" link is always scoped to the non-
    detailed query.
    
    For example, if you execute "/v2/<tenant>/volumes/detail?limit=1",
    the "next" link does not have the URL for a detailed query and is
    formatted as "/v2/<tenant>/volumes?limit=1&marker=<marker>". In this
    case the "next" link needs to be scoped to "/v2/<tenant>/volumes/detail".
    
    The user could work around this issue my manually inserting '/details'
    into the "next" link URL.
    
    Test code is included to verify that the '/details' URL is correctly added
    when the "next" link is included in a detailed pagination query. Also,
    existing tests were changed to ensure that the correct controller function
    (ie, 'index' vs. 'detail) are invoked for the appropriate query
    (ie, non-detailed or detailed) -- 'index' was previously alwayed invoked
    for detailed URL requests.
    
    Change-Id: Ib00d6deb25255fac1db0f7bf4ecd3c8d30e1c39d
    Closes-bug: 1299247
    (cherry picked from commit 2981cdbb03c6f1239a58fedb260796667b8154ab)

commit 1e488339ded20a8bce602202bde7244f1c1b249e
Author: Mike Perez <thingee@gmail.com>
Date:   Thu Apr 17 18:46:36 2014 -0700

    Fallback to None on missing Glance image attrs
    
    It's possible for glance images to be missing attributes like name and
    checksum. We'll just set those to None by default to avoid missing key
    exceptions being raised.
    
    Closes-Bug: #1308058
    Change-Id: I85c42f8351763da201021a22f5ff0ebd62c6b2db
    (cherry picked from commit 993facb3bf753d23332236dc05b397850bf99144)

commit 767c2a6407c3a1fed2466ac244e9579bd2339cf2
Author: Mike Perez <thingee@gmail.com>
Date:   Tue Apr 22 16:27:42 2014 -0700

    Keep volume available if retype fails due to quota
    
    If we're over quota for a volume type that we're retyping a volume to,
    keep the volume available.
    
    Closes-Bug: #1308819
    Change-Id: I7e66e95bf12b7e5a6df04eeb5a501badb5f2941f
    (cherry picked from commit 3305f9dd061e70736fc4b890a207ecd4d30c3544)

commit d0602f6f2a32e2038bb27d77d3671b3dabedae5a
Author: Lucian Petrut <lpetrut@cloudbasesolutions.com>
Date:   Tue Apr 8 19:35:10 2014 +0300

    Fixes cinder error state volume delete on Windows
    
    If the volume creation fails and the iSCSI disk is not created,
    trying to delete the error state volume will fail on Windows.
    
    Deleting the iSCSI disk must be skipped when it does not exist.
    
    Change-Id: I2cd615e71fe457c241bea207c4bd8904c1ffd9cb
    Closes-Bug: #1304516
    (cherry picked from commit 131777688562b1ec020327067d89da1535b99640)

commit 1815c725f8d9f7770d0757e724f1f0111c64dc2f
Author: Jon Bernard <jobernar@redhat.com>
Date:   Fri Apr 11 10:44:55 2014 -0400

    Re-raise exceptions in upload-to-image
    
    This patch catches any exceptions returned from Glance during an
    upload-to-image operation and re-raises them so that the user can see
    the failure message and make the appropriate adjustments.  More
    specifically, this addresses an invalid container format.
    
    For example, the following command:
    
        $ cinder upload-to-image --container-format foobar ...
    
    Goes from:
    
        ERROR: The server could not comply with the request since it is
               either malformed or otherwise incorrect. (HTTP 400)
               (Request-ID: req-f19bad2f-c39d-40a2-a3cc-6db9b9fe64cd)
    
    To:
    
        ERROR: 400 Bad Request
        Invalid container format 'foobar' for image.
            (HTTP 400) (HTTP 400)
            (Request-ID: req-47cb2772-78c4-48b7-87ce-fb124ecfa989)
    
    Closes-Bug: #1308689
    Change-Id: If18851e0b9f5c242f84b1eab928b42d809335d80
    (cherry picked from commit 6673a1d6b33ca72062d35450f97de43bf550b705)

commit 560740f7348da143d8739980a06496d6e24d1c4e
Author: Thang Pham <thang.g.pham@gmail.com>
Date:   Tue Apr 8 16:45:34 2014 -0400

    GlusterFS: Delete active snapshot file on volume delete.
    
    If a snapshot is taken of a volume that is attached to an active
    instance, the volume file used by the instance will be switched to
    the new snapshot file that is created.  When you delete the
    snapshot, the base volume file will be merged with the snapshot
    file and the base volume is deleted.  Upon a deleting the active
    volume, the active snapshot file is not deleted because it does not
    have the expected name that cinder is looking for, i.e.
    volume-<uuid>.  Instead, the snapshot file has the name
    volume-<uuid>.<snapshot-uuid>.  This patch looks at the volume info
    file to find any active snapshot file and properly delete it when
    the volume is deleted.
    
    Change-Id: Ib0af4401d839ec3bd1eb3a81e1671811e0d4a288
    Closes-Bug: #1300303
    (cherry picked from commit 5f00cad02da1093d71f636add0810a538cbd444f)

commit d17277d37d41072b113738d95c0a3bf3a6ab2549
Author: Li Min Liu <liminliu@cn.ibm.com>
Date:   Fri Apr 11 10:50:24 2014 +0800

    Add exception catch if Storwize/SVC driver failed when
    retyping
    
    If adding a copy for a volume of Storwize/SVC which is under
    migration, Storwize/SVC command will fail because the
    number of the copies of the volume exceed the limit which
    is 2.
    
    Modifying the volume type when adding a copy for the volume,
    Storwize/SVC driver will also fail, should add exception catch.
    
    Also add exception catch when getting the volume from the database.
    This change is necessary to enable resolving bug 1305550
    (https://bugs.launchpad.net/cinder/+bug/1305550 - Failed retype with
    driver raised exception should set volume status to "error" ).
    
    Change-Id: I1cf4b6606b5228c8adcb2bde21f345fa979bc13e
    Closes-Bug: #1298201
    (cherry picked from commit 24eb8234ff4b907b8c88f26fb0c427cb7a452140)

commit 49446bc04008bab87ad0c3bbccfb1eee99fa832d
Author: Joe Gordon <joe.gordon0@gmail.com>
Date:   Mon Mar 24 14:44:27 2014 -0700

    Disable oslo.messaging debug logs
    
    oslo.messaging debug logs are too verbose, turn them off. A similar patch
    dropped nova-conductor logs in the gate down from 7MB to under 300K.
    
    Cherry-Pick from oslo-incubator since we are in feature freeze:
    Ia12c003dae196e2220a5f6ea768758a75f2ede23 and
    Icc61964c6a2b002ac1c8566f174e6a5230674c75
    
    Closes-Bug: #1309626
    (cherry picked from commit a24192d90938ea89b8f20132de60e6ad3a4ad447)
    Change-Id: I9e6456f1c979d9a57fc7fa93fb290c6a26017373

commit 978b036a6467f7f6afb4419f92bf4fa7d1ff2347
Author: Thierry Carrez <thierry@openstack.org>
Date:   Thu Apr 17 15:37:54 2014 +0200

    Opening stable/icehouse
    
    Bump version to next stable release on icehouse branch, and set
    defaultbranch in .gitreview for convenience.
    
    Change-Id: I8eae47f57ad05f0047eb10f0ec087044fa1fd340

commit aa0e752c7e9e37e44abb26e101390a1463560b3d
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu Apr 17 15:33:07 2014 +0200

    Adjust sample config for keystoneclient 0.8.0 release
    
    Helps fixing the gate again.
    
    Change-Id: Ic962613fd7ee3e978890c25f911f509e9533ef8a
    (cherry picked from commit da2dbd35de752d4dd47859c8b9197b00c53dd872)

commit d507b600927e230e71673fa9b4f7974d69668ee7
Merge: e5c45bf 9b46fd6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 14 22:29:30 2014 +0000

    Merge "driver.create/remove_export() require elevated ctx" into milestone-proposed

commit 9b46fd6d4d1f96b92003a643dcaacc93ae23c2f1
Author: Eric Harney <eharney@redhat.com>
Date:   Wed Apr 9 13:05:54 2014 -0400

    driver.create/remove_export() require elevated ctx
    
    The volume manager should call driver.create_export()
    and driver.remove_export() with an elevated context.
    
    This is already done for remove_export() in some cases
    but not in initialize_connection error paths, or for
    terminate_connection.
    
    This will at a minimum cause issues with the LVM LIO
    driver as its create/remove_export methods uses database
    queries requiring admin access (volume_get_iscsi_target_num,
    iscsi_target_count_by_host).
    
    Partial-Bug: #1300148
    Closes-Bug: #1305197
    
    Change-Id: I5c1091cf9720ebccefc328b64fbf2982b3aac397
    (cherry picked from commit d09d12ab2ba72a9e7fe42852a7cf837231053590)

commit e5c45bf88448b231a3252aa2628d6cf5bd9aa730
Author: John Griffith <john.griffith@solidfire.com>
Date:   Thu Apr 10 00:10:08 2014 +0000

    Check for silent failure of tgtadm remove
    
    In order to work around a failure to remove targets that
    had a reconnect the force flag was added to the tgt delete cmd.
        (https://bugs.launchpad.net/cinder/+bug/1159948)
    
    It turns out there's a bug in tgt where some versions will
    sometimes silently fail when using the force flag.
        (https://bugs.launchpad.net/ubuntu/+source/tgt/+bug/1305343)
    
    The problem is that in the gates since we merged the force change
    there's a very high number of cases where lvremove fails because
    the device is still active.  It appears that this is a result of
    the silent force failures in target.
    
    This patch adds a simple check after the force target removal,
    if it detects the target is still present it reverts back to the old
    non-force method to catch the cases that don't actually need the
    force option.
    
    This is a work-around until the version of target in the distros
    is updated and can be used reliably, but closes the gate issue
    bug that was reported.
    
    Change-Id: I9150669040815e4831bd570964d12676b83ecbc9
    Close-Bug: #1304122
    (cherry picked from commit f9519182f4a6e6573513d8dbc9438702fc7b8644)

commit 512170afa377752dce02db3b2c0452d27c8ffd48
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sun Apr 6 14:20:03 2014 +0000

    Updated from global requirements
    
    Change-Id: I84c8bae9370f6b99d061ce1dc9519c6bec2b3cad

commit 60ab07159185b4e432e16fe21a4b189557a01e5f
Merge: 7c34f3a d351617
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 4 22:45:10 2014 +0000

    Merge "Adds ionice command permutations to rootwrap filters" into milestone-proposed

commit 7c34f3aec0e713b8c3b97bd27a0c5e0f6aa6b277
Merge: df99d7c bc916e9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 4 22:42:56 2014 +0000

    Merge "Append nas_opts to IBMNAS_NFSDriver configuration" into milestone-proposed

commit df99d7cd84460167dbb567120469bb08ac907783
Merge: 5a95010 d026206
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 4 20:00:40 2014 +0000

    Merge "GlusterFS: Delete volume-<uuid>.info file when volume is deleted." into milestone-proposed

commit bc916e9da0b5a65ac999fe6d2539d845fddfa276
Author: Sasikanth <sasikanth.eda@in.ibm.com>
Date:   Thu Mar 27 20:44:50 2014 +0530

    Append nas_opts to IBMNAS_NFSDriver configuration
    
    'nas_opts' were added in the NFS Driver (nfs.py), but were not appended
    to the IBMNAS driver configuration, causing failure with the multi-backend
    configuration of driver.
    
    Adding the missing configuration.
    
    Change-Id: I55727566d03573908750d01ae1345c4b6276f131
    Closes-Bug: #1298279
    (cherry picked from commit adb43dab7072a7e452710ac5db346e9a2c99993f)

commit 5a95010dbf1bd63c06021ad03d7e138591b11702
Merge: 8d1da6e c70d356
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 4 19:35:04 2014 +0000

    Merge "Fixes cinder volume delete on Windows" into milestone-proposed

commit 8d1da6e71cdb1bb5866e980ae2524bda74ab362a
Merge: 29d1b9d 6d29278
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 4 18:13:28 2014 +0000

    Merge "Change iogrp property when retyping for Storwize/SVC" into milestone-proposed

commit 29d1b9d3766ad6a387dd24d16ea41eb257bc6b08
Merge: 01e5eac e9324de
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 4 18:13:16 2014 +0000

    Merge "Allow deprecated volume update keys in v2" into milestone-proposed

commit 6d29278f05aafdbb9b0165178866e4a05fb534f0
Author: Li Min Liu <liminliu@cn.ibm.com>
Date:   Tue Apr 1 17:08:37 2014 +0800

    Change iogrp property when retyping for Storwize/SVC
    
    If need migration when retyping, Storwize/SVC driver will add a copy
    of the volume first, and then start a task to check volume sync
    progress which will run each 10 mins. At last delete the origin copy
    when sync finished.
    
    But iogrp property is not a parameter of addvdiskcopy, so the iogrp
    of the copy volume is the same as the origin. If iogrp property is
    diff between the old and new volume type, the property will not
    change when retyped.
    
    Change-Id: Ie4414bcf95fa6e61d7d618618f48837eef740da4
    closed-bug: #1298247
    (cherry picked from commit 5c336123d3252e7fc4e1aeabd853457ab05838be)

commit d3516176bba5d6ac258d31f775353f8702df56a6
Author: Bryan D. Payne <bdpayne@acm.org>
Date:   Mon Mar 31 15:50:43 2014 -0700

    Adds ionice command permutations to rootwrap filters
    
    When setting volume_clear_ionice, the ionice command is prepended to a dd
    command before executing it.  Previously, this would have failed because it
    wasn't allowed through the default rootwrap filters.  This commit fixes this
    problem.
    
    Note that due to the way that the RegExpFilter works, we need three different
    expressions to cover all cases.  This is because the various options result
    in a different number of arguments.  And this filter will fail immediately
    if the number of arguments is incorrect.
    
    Change-Id: Ie29f7fa21b34982ed5394c2c8f38c3e066ef0112
    Closes-Bug: #1300496
    (cherry picked from commit d5c74a954b260567874c45c39b92904f3756b806)

commit 01e5eac3f251164096051d43d763df72a65d31d3
Author: Chris Buccella <buccella@linux.vnet.ibm.com>
Date:   Thu Apr 3 04:02:45 2014 +0000

    _translate_from_glance() can cause an unnecessary HTTP request
    
    After returning from a get() call to python-glanceclient, cinder runs a
    translation function on the returned Image to get the data it wants. Part of
    this process is checking for an expected set of attributes, one of which is
    the deletion time ('deleted_at'). However, if the image has not been deleted,
    deleted_at key will not exist. This forces another call to glance to occur for
    the same image. A similar problem exists for the checksum attribute, which does
    not exist before an image is active. The fix here is to only consider
    deleted_at and checksum if they are expected to be present.
    
    This change was made in nova as change I67b7dd16
    
    Change-Id: Iedc16cb9316f9610fdb8ac03f448bc375a4e6bfa
    Closes-Bug: #1275173
    (cherry picked from commit da13c6285bb0aee55cfbc93f55ce2e2b7d6a28f2)

commit e9324decdddf63794ae2e8ba97293c037828045e
Author: Mike Perez <thingee@gmail.com>
Date:   Wed Apr 2 17:52:11 2014 -0700

    Allow deprecated volume update keys in v2
    
    Keys like display_name and display_description were deprecated for other
    actions in v2 like creating volumes, so for consistency they should work
    with updating.
    
    DocImpact
    Closes-Bug: #1301172
    Change-Id: I19bc7c85352578bb57fa9fdaf1817f78e0ee2f2a
    (cherry picked from commit d75a90ec1daff1444f20f6b68255890391bdb4e5)

commit d0262065921cb3015619bdce8ca1cae596cde9b2
Author: Thang Pham <thang.g.pham@gmail.com>
Date:   Mon Mar 31 15:22:47 2014 -0400

    GlusterFS: Delete volume-<uuid>.info file when volume is deleted.
    
    glusterfs creates a file named volume-<uuid>.info to hold volume
    data, mapping cinder snapshot UUIDs and filenames. When the
    volume and its associated snapshots are both deleted, this file
    remains. This patch deletes the volume-<uuid>.info (if one exists)
    when the volume is deleted.
    
    Change-Id: Iefc8bd4768b30a75c648c4689d935daeab3afe98
    Closes-Bug: #1299182
    (cherry picked from commit bf006ecb4a52db6300aa0fe1abe7df621e9f6174)

commit c70d356352ee21b102a33e0b84928419894ed3c8
Author: Lucian Petrut <lpetrut@cloudbasesolutions.com>
Date:   Fri Mar 28 10:47:07 2014 +0200

    Fixes cinder volume delete on Windows
    
    Because of the fact that an iSCSI target is not created anymore
    at volume creation time, not all volumes will have a corresponding
    target. For this reason, when removing an iSCSI target we must
    first check if the target actually exists.
    
    Change-Id: I8e571397df6d9a2eeb05e883b7da8494d4bfa1ad
    Closes-Bug: #1299124
    (cherry picked from commit 601d54c9ef926fa2d8abfe0121019f7ad94eefd5)

commit 5a1fcc88ce613b01cf50c55f2508c01bbc609ed4
Merge: c773cf9 3ac2139
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Apr 3 15:36:02 2014 +0000

    Merge "Fixes cinder volume attach on Windows" into milestone-proposed

commit c773cf96a52924a7dc42f774c57463e8ed66c9ef
Author: Andreas Jaeger <aj@suse.de>
Date:   Sat Mar 29 06:38:52 2014 +0100

    Fix Jenkins translation jobs
    
    The jobs cinder-propose-translation-update and
    cinder-upstream-translation-update do not update from
    transifex since our po files contain duplicate entries where
    obsolete entries duplicate normal entries.
    
    Remove all obsolete entries to fix the jobs.
    
    Change-Id: I6d41dbdcc41646fcbd1ee84ce48cb0c461cd454c
    Closes-Bug: #1299349
    (cherry picked from commit c72cc4b2345e9e271205d1de00c9812d0a2684ec)

commit 3ac21395002531f0da35cc7083b31c3219179519
Author: Lucian Petrut <lpetrut@cloudbasesolutions.com>
Date:   Fri Mar 28 10:57:13 2014 +0200

    Fixes cinder volume attach on Windows
    
    The initiator name and the target name are inverted when passing
    the arguments to the method which associates the iSCSI target to
    an initiator. For this reason, this operation will fail.
    
    Also, the connection to the iSCSI target cannot be initialized
    properly as the method which gets portal information is missing
    the return value.
    
    Change-Id: I31034cd407d12d69a410f8c9e86a2e6821349dad
    Closes-Bug: #1299131
    (cherry picked from commit 23e820abb8685573f97f5e3764225a97dd695127)

commit a3a3b8358791fbe7db13361c8e532b6b97e8a73d
Merge: 5ea1e1c 7ca4bea
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 27 10:14:21 2014 +0000

    Merge "vmware: Use SessionIsActive to find stale session"

commit 5ea1e1cc164556376c8c1ca88e0350b2eca687a7
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Thu Mar 27 06:12:40 2014 +0000

    Imported Translations from Transifex
    
    Change-Id: Ibb7c3b8a65f1356a06bcec5d23f03598a9966315

commit 1767d3622e2118a321e1ac5ef43510a62615e703
Merge: cce951f b244750
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 27 04:50:37 2014 +0000

    Merge "NetApp cmode nfs: Fix QOS extra spec"

commit cce951fd65fbb1a9467407c49491721de04ea62f
Merge: ef1a6c3 7320422
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 27 04:38:47 2014 +0000

    Merge "Fixes a problem in attach volume in EMC driver."

commit ef1a6c3f2e691cfeeaf00378bb18791ffadef080
Merge: b8b2366 7c1fe4a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 27 04:38:40 2014 +0000

    Merge "NetApp cmode iscsi: Fix QOS extra spec"

commit b8b23668805aedf8d66ea696a5ce86fecb94b93f
Merge: 854b944 9920eb9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 27 04:38:32 2014 +0000

    Merge "Changes to correct name of missing NetApp license."

commit 854b9441b8acf86b1859207fd3eab4abd03a3af8
Merge: 1e6560a 6868c7a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 27 04:38:24 2014 +0000

    Merge "Pass the mirrorlog option as two arguments."

commit 9920eb9edc9707270e20a9286774f20f95fc7cca
Author: Glenn M. Gobeli <Glenn.Gobeli@netapp.com>
Date:   Fri Mar 21 10:05:07 2014 -0400

    Changes to correct name of missing NetApp license.
    
    Change to have the NetApp ZAPI error of "SIS clone not licensed"
    refer to the correct NetApp license of "FlexClone not licensed".
    This code path is encountered when the NetApp 7mode driver uses
    the clone interface for snapshotting or cloning.
    
    Change-Id: I3e4d07d38870928a324ad044e03938826b0d0a98
    Closes-Bug: #1295349

commit b2447503b0ba98e644439d31435d47435c46cd69
Author: Alex Meade <mr.alex.meade@gmail.com>
Date:   Thu Mar 20 15:44:44 2014 -0400

    NetApp cmode nfs: Fix QOS extra spec
    
    This patch fixes the incorrect behavior where the NetApp cmode
    nfs driver will choose to create a volume on a flexVol that has
    a QOS policy group that matches the specified QOS policy group
    intended for the cinder volume. The correct behavior is to ignore
    the QOS policy group of the flexVol and instead assign the QOS policy
    group to the newly created cinder volume.
    
    Change-Id: I45d905da2a9a07b3ae8c00a225ab3b7f7ceb12d8
    Closes-Bug: #1288283

commit 7c1fe4a0625274421a62dd14f9957dcc98c4e247
Author: Alex Meade <mr.alex.meade@gmail.com>
Date:   Wed Mar 19 14:03:15 2014 -0400

    NetApp cmode iscsi: Fix QOS extra spec
    
    This patch fixes the incorrect behavior where the NetApp cmode
    iscsi driver will choose to create a volume on a flexVol that has
    a QOS policy group that matches the specified QOS policy group
    intended for the cinder volume. The correct behavior is to ignore
    the QOS policy group of the flexVol and instead assign the QOS policy
    group to the newly created cinder volume.
    
    Change-Id: Ibeb8e3b965af8e79d0294c5cf97410da2b44d40c
    Partial-Bug: #1288283

commit 7320422e5a496350906dcd2a1cd5487088cf63e5
Author: Xing Yang <xing.yang@emc.com>
Date:   Sat Mar 22 15:05:42 2014 -0400

    Fixes a problem in attach volume in EMC driver.
    
    This patch fixes a problem in attach volume in EMC SMI-S driver.
    The existing logic checks if a volume is already attached to any host,
    but it doesn't check whether a volume is already attached to the specific
    host that nova wants cinder to attach.  As a result, initialize_connection
    could return success (thinking it is already attached), but nova will
    fail to discover the LUN later and fail the attach.
    
    This patch adds a check to see if a volume is already attached to a
    specific host.  If not, it will do the attach.  The reason that the
    volume being attached already could be due to a nova live-migration
    use case.  Cinder doesn't support multiple attaches currently, but
    allows a volume to be attached multiple times from nova during
    live-migration.
    
    Change-Id: I05a2f57cd8708d7fcbe902ec13665a9cfb44db07
    Closes-Bug: #1295906

commit 1e6560ac69efb278c291817dbd76bc2c5919d2d6
Author: john-griffith <john.griffith@solidfire.com>
Date:   Wed Mar 26 16:47:21 2014 -0600

    Update config generator from OSLO
    
    Cinders sample config is out of date with recent
    updates needed for keystone, however we had an
    old version of the oslo generator so there was
    no way to pick these changes up locally by running
    the generate tool.
    
    This pulls the latest generator.py from oslo, and
    we run the update script to get us back in sync.
    
    Current head of oslo:
      commit 2eab986ef3c43f8d1e25065e3cbc1307860c25c7
      Merge: 2b08343 0dbcae1
      Author: Jenkins <jenkins@review.openstack.org>
      Date:   Wed Mar 26 14:47:07 2014 +0000
    
          Merge "Adds test condition in test_periodic"
    
    Change-Id: Id43becfaa39d04153167e592a1233a5aef6016c9

commit 6868c7adb3a35cdda390dd87050d6661067c23a0
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Wed Mar 26 12:09:28 2014 -0700

    Pass the mirrorlog option as two arguments.
    
    We don't use shell=True when we Popen, so we have to keep all
    arguments as separate values.
    
    Change-Id: Ic35fad36be72386d3496920e259c32fe16625046
    Closes-bug: 1298017

commit 532e99589bbc242f153a37c8b40965bcb043dec2
Merge: 49bd90c 1e4d070
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 26 11:23:30 2014 +0000

    Merge "vmware: Remove pbm_default_policy config option"

commit 49bd90c58df0546915dd1259ba84fdb6e74d4d25
Merge: caff15a af4a58d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 26 08:29:53 2014 +0000

    Merge "Netapp iscsi: allow snapshots with unspecified block range."

commit af4a58d672cfa0c4b63015e7e783461570296c76
Author: Jeff Applewhite <jeff.applewhite@netapp.com>
Date:   Mon Mar 24 17:37:22 2014 -0400

    Netapp iscsi: allow snapshots with unspecified block range.
    
    Snapshots were failing to create in all cases in the NetApp iscsi
    driver. The clone lun function was never issuing the zapi call
    because the block count was set to 0.
    
    Closes-Bug: 1296881
    
    Change-Id: Ic2bf67b57a566632103a3fa2ff032555f42a3961

commit caff15af26b7622b2d6f84765bbc0ba8434a24be
Author: john-griffith <john.griffith@solidfire.com>
Date:   Wed Mar 19 21:53:41 2014 -0600

    Serialize the notification payload
    
    Notification payload in oslomessaging needs to be
    serialized correctly, currently it's not.
    
    Use json to encode the payload.
    Closes-Bug: 1294949
    
    Change-Id: Idb2c13981cc1c60ed02445a28220d1dab1529d2b

commit a4291a82fc6269b34cc5a9b29937134a67f47851
Merge: 2bf1572 5119d32
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 25 06:25:17 2014 +0000

    Merge "Adds xiv_chap to xiv/ds8k driver configuration"

commit 2bf15729b1e6a2482248a2959e08afe205395197
Merge: b584460 3792739
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 25 05:59:23 2014 +0000

    Merge "Can't force-create snapshot by an non-exist error volume"

commit b58446000e150c674b5c7301dde9ec9666b7d244
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Mon Mar 24 11:47:40 2014 +0000

    Updated from global requirements
    
    Change-Id: I02c65db0ea9ef2c86d4bf280d811e8cd28deadb9

commit eb6bae9f4c05fb5682634ae15dd3388c41ea8f14
Merge: 5a664ef aa4a89e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 21 08:22:41 2014 +0000

    Merge "Allow NetApp iSCSI driver to sub-clone large volumes"

commit 5a664ef023f919bbe693963e8e9c3a576c101f7d
Merge: e145ef7 65fa80c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 21 08:22:37 2014 +0000

    Merge "init_host should be called before RPC consumer is created"

commit 5119d323650f97f12e12fdb6a2a80e46739629fc
Author: alonma <alonma@il.ibm.com>
Date:   Thu Mar 20 19:41:56 2014 +0200

    Adds xiv_chap to xiv/ds8k driver configuration
    
    In order to support CHAP, xiv_chap was added to
    the driver configuration. Valid values are disabled
    and enabled (default: disabled)
    
    Change-Id: I0c68f581ad78a87a506b00ab308806f4a8fa78a8
    DocImpact
    Closes-Bug: #1288816

commit 7ca4bea7e3d8688c847bdbcfe3e60900c61c297c
Author: Vipin Balachandran <vbala@vmware.com>
Date:   Wed Mar 19 17:42:56 2014 +0530

    vmware: Use SessionIsActive to find stale session
    
    An API invocation with a stale session returns an empty response. In order
    to distinguish it from an API returning valid empty response, the session
    is recreated and the API is retried. If an empty response is received even
    after the retry, it can be assumed that the API response is actually empty.
    But this behavior results in authentication error from the VMware server
    when there is an active session and the API response is actually empty.
    This change fix this behavior by using the SessionIsActive check to
    identify stale session.
    
    Change-Id: I6ddc4028bc5319cd22006de0590c13d6868c3494
    Closes-Bug: #1284979

commit 65fa80c361f71158cc492dfc520dc4a63ccfa419
Author: wanghong <w.wanghong@huawei.com>
Date:   Thu Mar 20 10:39:37 2014 +0800

    init_host should be called before RPC consumer is created
    
    Currently, the init_host method is called after RPC consumer is
    created. This behavior will lead to a bug that when a rpc request
    is received the manager can not handle it because the driver has not
    been initialized!
    
    Change-Id: Ieedba1adeb3dd98eb4ff78427fe347423c016469
    Closes-Bug: #1271568

commit e145ef798d2c80ea48be2826f4c648e72958f5d1
Author: john-griffith <john.griffith@solidfire.com>
Date:   Wed Mar 19 16:19:28 2014 -0600

    Add RequestContextSerializer for rpc notifications
    
    RequestContext should be serialized when sent via oslo.messaging. The
    serializer is correctly used for the general RPC mechanism, but has been
    forgotten in the notifier. This patch fixes that.
    
    Thanks goes to eharney for noticing this and pointing it out!!!
    
    Same bug existed in Nova (1275771)
    
    Change-Id: I99a571ef74bbcd13bf801313eea145ea69f821e1
    Closes-Bug: #1294724

commit aa4a89eda8941bce22ead9db2dd5f7bc6ca90e04
Author: Andrew Kerr <andrew.kerr@netapp.com>
Date:   Tue Mar 11 10:28:55 2014 -0400

    Allow NetApp iSCSI driver to sub-clone large volumes
    
    The NetApp zapi used during certain extend operations has several limits
    imposed on it.  Each block-range provided can only be 2^24 in size, and
    there can only be 32 block-ranges per zapi call.  This fix allows the
    NetApp iSCSI driver to send multiple zapi calls if necessary, to allow
    for extend operations on volumes of an arbitrary size.
    
    Closes-Bug: #1288962
    Change-Id: I981d22f32cb2182112fbea3ea9880d1e8c8c91ab

commit 2ba4af4de5653bf619f2bfb12ec7564ff21fd4c0
Merge: b78a10c 71853a3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 19 17:38:05 2014 +0000

    Merge "Simplify test force delete snapshot unit test"

commit 379273925517e8b9bf971e018a1dc41f809c4814
Author: lirenke <lvhancy@163.com>
Date:   Tue Mar 4 04:59:07 2014 -0800

    Can't force-create snapshot by an non-exist error volume
    
    If we create an LVM volume whose size larger than
    rest space in VG, the volume would not exist with
    error status.
    But then we still can force create a snapshot
    by this volume, and the snapshot's status is available.
    In the code,I found in create_lv_snapshot,
    it return False when fail to get the volume.
    However, raising an exception is only way to be
    handle outside.
    So, we should raise exception instead of return False.
    
    Closes-Bug: #1283338
    
    Change-Id: I80256f19d66da460c95ff23834abb79a557763bf

commit b78a10cd69f25516de5a6bd9673554e022c87f20
Merge: 98ce710 df03a9b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 18 22:58:31 2014 +0000

    Merge "resolve KeyError for IBM Storwize/SVC driver"

commit 71853a32111ec9a36f8a2082b41b52519b66be85
Author: Mike Perez <thingee@gmail.com>
Date:   Sun Mar 16 22:24:38 2014 -0700

    Simplify test force delete snapshot unit test
    
    Make this test simple in just verifying if we have a snapshot and we do
    a force delete that we get back an ok response from the controller.
    Removing out RPC call and verifying snapshot was deleted since that's
    out of the scope here.
    
    Closes-Bug: #1291108
    Change-Id: If10b1057cf170e77527a0933a1ddf1a6a59baa1d

commit 98ce710a2aa3b99dce48fe629d65b9a9272b0ad3
Merge: 834f776 169feda
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 18 21:04:41 2014 +0000

    Merge "Remove unused method from NetApp iscsi driver"

commit df03a9b9b7025a0e13d9387a74c304875dec0918
Author: Xiao Chen <chenxiao@cn.ibm.com>
Date:   Thu Mar 6 18:13:46 2014 +0800

    resolve KeyError for IBM Storwize/SVC driver
    
    When using iSCSI protocol to conenct IBM v7000, and compression
    is not enabled for the system, KeyError may occur because of the response
    item's lack of 'license_compression_enclosures'. So add a check to
    resolve it.
    
    Change-Id: Ie53631ea5b047650897313ad5614f6e1df5377f2
    Closes-Bug: #1288645

commit 834f7769736b60d95ab74d4dd7563560f99506be
Merge: c3d4ad8 5eddb2e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 17 22:45:54 2014 +0000

    Merge "VMware: Implement vmdk extend_volume"

commit 169fedad2985d0ba56358ad3e67be09eb300e5c8
Author: Alex Meade <mr.alex.meade@gmail.com>
Date:   Mon Mar 17 15:16:09 2014 -0400

    Remove unused method from NetApp iscsi driver
    
    This removes _get_qos_type() from the NetApp iscsi code
    as it is never used.
    
    Change-Id: I903245b5c018bce80bdc0b8edf9ab7241e475fa4

commit 1e4d070a5b638de58c87363b18a76171dcd0ce38
Author: Vipin Balachandran <vbala@vmware.com>
Date:   Mon Mar 17 23:46:22 2014 +0530

    vmware: Remove pbm_default_policy config option
    
    The pbm_default_policy config option is used to associate a storage
    policy with the volume backing if there is no associated volume_type
    or the volume_type doesn't have the storage_profile option. A better
    approach is to set the storage_profile option in the default_volume_type.
    This change removes the pbm_default_policy and queries the policy
    using the storage_profile option in the given volume_type.
    
    Closes-Bug: #1291181
    Closes-Bug: #1291804
    DocImpact
    
    Change-Id: I2519ec1145712ce6927dacde91db468d066af021

commit c3d4ad86d2091939644c3b385c43400dca8ccca8
Merge: d1b95a6 092a59a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 17 12:07:13 2014 +0000

    Merge "Use the error_out_volume from flow common instead"

commit 5eddb2e2245e9c42f458de201ade166b727ee8f4
Author: Vincent Hou <sbhou@cn.ibm.com>
Date:   Fri Mar 7 11:55:34 2014 -0500

    VMware: Implement vmdk extend_volume
    
    Add the API implementation of extend_volume for the VMware
    vmdk driver.
    
    Change-Id: Idf09c9e9cf015c78c1c5e91c05b897e3e9b7c006
    Closes-Bug: #1232172

commit d1b95a6e6fa286b3b74d5e1941894753246e405d
Merge: 1670a6d 5757c85
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 16 15:37:22 2014 +0000

    Merge "Don't send untextified exc to webob"

commit 1670a6d8909cab1a439b7bfee3b5227c8abf6a93
Merge: b6f2f9f 23ff56f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 16 11:41:00 2014 +0000

    Merge "GPFS unit tests: increased coverage, uses mock"

commit b6f2f9fb266256b23e3f21403ff9d4c8e19eb483
Merge: e8f907b 2fad542
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 16 10:13:33 2014 +0000

    Merge "Use six.moves.urllib.parse instead of urlparse"

commit e8f907bc685e3ad120d19b150af01fac1451f203
Merge: a9218b7 c9c6bef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 16 06:39:48 2014 +0000

    Merge "Add snapshot related data to limits api"

commit a9218b7b38b184b5507204e074850e9c1863eeb9
Merge: ca912fa b868ae7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 15 20:35:45 2014 +0000

    Merge "Fix create_export/remove_export in driver.py"

commit ca912fa4ff9ea1c1c3bb3131af6379bf00a494d9
Merge: 09de7d6 e8fac5e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 15 18:50:26 2014 +0000

    Merge "NetApp api fix structure conversion methods"

commit 09de7d676d23ad27cd3da1a0a2112d0efeefc727
Merge: 4c91d5a ea7d4a5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 15 17:29:03 2014 +0000

    Merge "Switch over to oslosphinx"

commit b868ae707f9ecbe254101e21d9d7ffa0b05b17d1
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Wed Feb 26 11:27:06 2014 +0200

    Fix create_export/remove_export in driver.py
    
    1. There was a call to rpcapi.create_export which does not have a
    matching volume manager function, causing volume migration to crash.
    This call was not necessary because there is already an
    initialize_connection RPC call, which calls the driver's create_export
    function. Removed the create_export RPC call and function. Added better
    error handling to that code in _attach_volume in driver.py as well.
    
    2. The manager called remove_export from detach_volume, which was not
    being called by these functions. I believe it makes more sense to call
    it from terminate_connection. Moved it there, and fixed up the
    corresponding code in _detach_volume in driver.py.
    
    3. Remove leftovers of export code from create_volume manager flow.
    
    Change-Id: I2b192630ebed54368f151db47b49cbc72601a8d7
    Closes-Bug: #1285060

commit 4c91d5a51e3819fc5ea4ca1f317f142d4a24ea36
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sat Mar 15 06:10:12 2014 +0000

    Imported Translations from Transifex
    
    Change-Id: I639b951c583c008b9784e1ea89cc3cda205086a2

commit 7010514918f05e6bf804a580a64ace3ff8874921
Merge: b30a54c 30a33a7
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sat Mar 15 02:06:49 2014 +0000

    Merge "Updated from global requirements"

commit b30a54c7f0a1658be6eab2a38e13f283d0b8bb0a
Merge: 3a48cda 2a20bef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 15 00:47:25 2014 +0000

    Merge "Add missing config values for vmwware_vmdk test"

commit 3a48cda5e1f3e190d5a10f6fe2b5a1dae06405ba
Merge: 61a7940 c0f8cc3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 14 22:45:12 2014 +0000

    Merge "Ensure name is utf-8 when deleting rbd vol or snap"

commit 61a794038b78e4a3c79ec1174c5d12ae685647fd
Merge: 9046e6e 10dcf87
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 14 15:57:09 2014 +0000

    Merge "get volumes with limit and filters does not work"

commit c0f8cc39fc92517d1402d9eb82d9319c6cb72842
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Fri Mar 14 10:07:45 2014 +0000

    Ensure name is utf-8 when deleting rbd vol or snap
    
    If the name supplied to librbd is not utf-8 e.g. unicode,
    an exception is raised. This was previously fixed and
    subsequently broken by commit cbe1d5f.
    
    Change-Id: I29f5e9db87ceb5f9cfe3be43e76d3e860edaf6d7
    Closes-Bug: bug 1292433

commit 2fad54233dde0640d52e4111b11a628ba8a0ce27
Author: Fengqian Gao <fengqian.gao@intel.com>
Date:   Mon Mar 10 10:03:08 2014 +0800

    Use six.moves.urllib.parse instead of urlparse
    
    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse. tools/lintstack is changed to pass pylint test.
    
    Partial-Bug: #1279611
    
    Change-Id: I0ceaaccbf6c67b45609b4f2f5639c362b32d10ad

commit 092a59a65a243bf1c96dbcf61e724c03a424373c
Author: Joshua Harlow <harlowja@yahoo-inc.com>
Date:   Wed Mar 12 17:31:29 2014 -0700

    Use the error_out_volume from flow common instead
    
    Instead of a custom piece of logic that errors out
    a volume due to the driver not initialized issue
    just use the same one that is used in other flows
    to accomplish the same update.
    
    Change-Id: I2c8f2fbb4d9bb25a19f26cba3dee5e87913d609b

commit 9046e6ee82db8f63b50e2ccaba0698d42dbe90f6
Merge: 50e81fe 0abeb74
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Fri Mar 14 01:19:20 2014 +0000

    Merge "Imported Translations from Transifex"

commit 50e81feeff43284ff83962a5bf8acc5ef6037a69
Merge: c589e55 657b510
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 14 00:10:48 2014 +0000

    Merge "Fix exception message of CoraidESMConfigureError"

commit c589e5533b07ce68af1e2c4c831184fc164d41e4
Merge: e5dbd78 dcfeac2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 14 00:10:40 2014 +0000

    Merge "Sync latest Oslo code for imageutils"

commit e5dbd7815c1226996958f446326ceb5e187455ad
Merge: e2df1c8 b3f0b7a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 14 00:10:37 2014 +0000

    Merge "Revert "Re-enable lazy translation""

commit e2df1c82d074b9473aa6e242e048d3c5216c356f
Merge: 2a37336 6d9bb4b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 14 00:08:34 2014 +0000

    Merge "Fixed some FCZM unit tests hacking issues"

commit 2a37336333cbcd53261d091ec69b95b33eb5315e
Merge: 4c396f8 7171984
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 13 23:02:09 2014 +0000

    Merge "Fixes cinder-volume service startup on Windows"

commit 4c396f8d45b988940f3fc6a51735c7dabb01ae0d
Merge: ef32516 365a990
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 13 22:50:26 2014 +0000

    Merge "Use debug level logging during unit tests"

commit b3f0b7a2cacb16b03ae8f932eb7e4ef081e63d36
Author: John Griffith <john.griffith@solidfire.com>
Date:   Mon Mar 10 22:00:50 2014 +0000

    Revert "Re-enable lazy translation"
    
    This reverts commit 6338d4656cb71aeeee2e1a9facb22278e208aa00
    
    Change-Id: I078217b96b2d5fcca78b57c8827883a4b15ef9f0

commit dcfeac2b1e57a4f185c881201fccfca27c5eb723
Author: Andrew Kerr <andrew.kerr@netapp.com>
Date:   Thu Mar 13 15:01:27 2014 -0400

    Sync latest Oslo code for imageutils
    
    This sync pulls the latest Oslo imageutils code over to cinder
    to fix QemuImgInfo parsing needed by NFS drivers.
    
    -> b455fac Enable decimal value input in imageutils.QemuImgInfo
    --> cinder/openstack/common/imageutils.py
    
    Oslo version:
    -> 0e98afd Re-raise exception of unloadable library
    -> Date:   Tue Mar 4 17:26:40 2014 +0100
    
    Change-Id: I770b0f534c6949c2ff6995a03923a21ed26e04da
    Closes-Bug: 1285764

commit ef3251623cef0e0a6086d0aa6a1ed657d96a8704
Merge: eaf1b79 3f7c62e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 13 17:43:44 2014 +0000

    Merge "cinder-rtstool imports a not existing module"

commit 5757c857bdf526dc82cc8c1d4200d92c183e9374
Author: Jay S. Bryant <jsbryant@us.ibm.com>
Date:   Wed Mar 12 17:39:18 2014 -0500

    Don't send untextified exc to webob
    
    As part of commit cbe1d5f5e22e5f792128643e4cdd6afb2ff2b5bf I
    accidentally removed the str() from exceptions that were being
    passed out of OpenStack to webob.  This broke the contract with
    webob which was expecting strings (text) to be sent.  This
    resulted in webob doing bad things if we encountered an exception,
    like trying to create a duplicate volume type.
    
    This commit replaces the str()'s that shouldn't have been removed
    with six.text_type() which should be used in place of str() to
    resolve this issue.  There was one instance where a message was
    instead being unicoded, this also was changed to use six.text_type.
    
    This commit also fixes one message that should have been translated
    but was not.
    
    Change-Id: Iad6a81108f58c1bfd13397479022c4c4ad1ccc56
    Closes-bug: 1290715

commit eaf1b7998ffe0b37ce77e540dd29a810a2d4d003
Merge: 03030eb 0fc3afd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 13 16:37:05 2014 +0000

    Merge "vmware: Mark VMware ESX vmdk driver as deprecated"

commit 0abeb743175ddccb49c746a1aca8bc0000531b21
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Thu Mar 13 06:12:48 2014 +0000

    Imported Translations from Transifex
    
    Change-Id: Id72f32cac941e6b65b03d91bfccdb4d5b508c976

commit 03030ebadaea85e231a5ba5d90a28951c004f206
Merge: 0ac1c54 7f643ca
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 13 05:07:23 2014 +0000

    Merge "Add conversion types in some strings"

commit 0ac1c54ed80f7710760cfe777f5c366401eb6be8
Merge: e61d466 1553a1e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 13 05:07:06 2014 +0000

    Merge "Sync log.py from oslo-incubator"

commit e61d466ed4676b2b0dbeec9431b5e0fb2a282a6d
Merge: 2869d016 49deb5c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 13 01:58:42 2014 +0000

    Merge "Add libffi-dev to list of packages to install in dev env"

commit 30a33a7e8ab874b13683737e284b356932ef99bc
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Thu Mar 13 01:47:18 2014 +0000

    Updated from global requirements
    
    Change-Id: I84bf7d09746829a35e71a208abe2e3bfb70208d0

commit 365a9908b89688fa609ba86c84941848628346d9
Author: Joe Gordon <joe.gordon0@gmail.com>
Date:   Mon Mar 10 11:02:13 2014 -0700

    Use debug level logging during unit tests
    
    When unit tests fail we need to debug, so we should have debug level logging on.
    We use fixtures FakeLogger during testing, to enable debug logging pass
    in log level as a parameter.
    
    http://bazaar.launchpad.net/~python-fixtures/python-fixtures/trunk/vi
    ew/head:/lib/fixtures/_fixtures/logger.py#L68
    
    Taken from nova (Change-Id: I70790aa39c0774726de71e5fa5751c45e7e34ffd)
    
    Change-Id: I24bcce3a9a50322f20f06670d1fe95d929aa2e72

commit 2869d0161ce1c0d2db7aeca6c715715902dd577b
Merge: 56f134d 2c1701e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 12 19:23:21 2014 +0000

    Merge "Fixed nova VM live migration issue with 3PAR"

commit 56f134d5e3051fc38ef949079df43440555d7ddc
Merge: a5c5e68 bb5228c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 12 19:17:42 2014 +0000

    Merge "Adding domain to context"

commit 1553a1e78ec262b044ce99b418103c91b7b580f6
Author: john-griffith <john.griffith@solidfire.com>
Date:   Wed Mar 12 10:59:45 2014 -0600

    Sync log.py from oslo-incubator
    
    This pulls in the latest version of log.py from oslo-incubator
    which elminates the constant user_identity key error.
    
    Note that this sync does a full sync, in other words it uses
    the oslo update script and pulls in the log.py file and all
    of the associated dependendencies for that module.
    
    Current HEAD in OSLO:
    --------------------
    Merge: d9ea4f0 fd33d1e
    Date:   Wed Mar 12 17:00:13 2014 +0000
    Merge "Fix gettextutil.Message handling of deep copy failures"
    --------------------
    
    Change-Id: I7c9f8acd22787f9649a5a1e796238c7788a0484a
    Fixes-Bug: 1290503

commit 6d9bb4bdc915b1ed6ac9d49012eb185a369cc624
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Mon Mar 10 10:27:43 2014 -0700

    Fixed some FCZM unit tests hacking issues
    
    This patch is a follow up to a review that merged
    included and had some issues raised after it was merged.
    This patch includes some hacking cleanup and some
    unit test cleanup for the Fibre Channel Zone Manager.
    
    Change-Id: Ibb6974b2279f08720c2469893245bc888d35899c
    Closes-Bug: #1285029

commit 2a20befd8f300b3970c20677da2d210c0ed85d17
Author: Sascha Peilicke <saschpe@mailbox.org>
Date:   Tue Mar 11 15:50:38 2014 +0100

    Add missing config values for vmwware_vmdk test
    
    Import CONF.glance_api_version from cinder.common.config
    
    Closes-Bug: 1290883
    Change-Id: I9f64c2f60efe517ad8e4ee2a98ed8da4be257b47

commit 3f7c62e91c25ba106371dfc2d04f3e28f4e64665
Author: Attila Fazekas <afazekas@redhat.com>
Date:   Tue Mar 11 21:25:45 2014 +0100

    cinder-rtstool imports a not existing module
    
    cinder.openstack.common.gettextutils should be imported
    in cinder-rtstool instead of gettextutils.
    
    Change-Id: I6ce047100c967d72dc31ced0903bc4ad38fecaa4

commit 10dcf874ac16e410993d9d929a89bb07305f46da
Author: Steven Kaufer <kaufer@us.ibm.com>
Date:   Fri Mar 7 23:01:51 2014 +0000

    get volumes with limit and filters does not work
    
    The /volumes and /volumes/detail REST APIs support filtering. Currently,
    all filtering is done after the volumes are retrieved from the database
    in the API.get_all function in /cinder/volume/api.py. Therefore, the usage
    combination of filters and limit will only work if all volumes matching
    the filters are in the page of data being retrieved from the database.
    
    For example, assume that all of the volumes with a name of "foo" would be
    retrieved from the database starting at index 100 and that you query for
    all volumes with a name of "foo" while specifying a limit of 50.  In this
    case, the query would yield 0 results since the filter did not match any of
    the first 50 entries retrieved from the database.
    
    This patch removes all filtering from the volume API layer and moves it
    into the DB layer.
    
    Test cases were added to verify filtering at the DB level.
    
    Change-Id: Ia084e1f4cf59ea39bf8a0a36686146a315168cbb
    Closes-bug: 1287813

commit 7171984aab11cb28af92435bfea264d7faf643fd
Author: Lucian Petrut <lpetrut@cloudbasesolutions.com>
Date:   Fri Mar 7 17:09:33 2014 +0200

    Fixes cinder-volume service startup on Windows
    
    The Windows service fails due to missing non-blocking IO features
    in eventlet. This fix adds a conditional path on Windows to execute
    the service accordingly.
    
    This bug had already been fixed by this this commit:
    https://review.openstack.org/#/c/44744/ but it had been reverted
    here, causing the Windows service to fail again
    https://review.openstack.org/67031
    
    Fixes bug: #1219896
    
    Change-Id: I46c6b332e614b6a84ec8372dbec3ee9fb09336de

commit 2c1701e2f50feb5fa25ea6fb1b620f39346779de
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Thu Mar 6 11:52:33 2014 -0800

    Fixed nova VM live migration issue with 3PAR
    
    Nova bypasses the cinder checks for a volume
    being available, when it tries to attach a volume
    to a new host during live migration.  The assumption
    in cinder to this point has been that volumes can only
    be attached to one host.  The 3PAR driver worked under
    that assumption.  This assumption fell apart during detach
    time as the driver was only looking for a VLUN on the
    entire 3PAR, since it assumed it could only exist on one host.
    
    This patch ensures that the driver looks for the VLUN on the
    hostname it expects.
    
    Change-Id: Ie894ad386990794d270ca1cb72f40095bd40c2e6
    Closes-Bug: 1288927

commit bb5228cf79ff5bea543abc321b2dfad9fea5e9a5
Author: Luis A. Garcia <luis@linux.vnet.ibm.com>
Date:   Tue Mar 11 09:34:02 2014 -0600

    Adding domain to context
    
    Add support for upcoming "domain" concept in Keystone V3 API in
    the context.
    
    This fix ensures there is a user_identity in the context for the
    corresponding new attribute in the log format string added in oslo. The
    oslo change has the same change-id as this one.
    
    Closes-Bug: #1290503
    Change-Id: Ic2cf3e52cfcc0b8adccdf9c59afaa4014708a303

commit ea7d4a599224b5d0c7674d03993bbe72c49f0d51
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu Feb 13 14:54:44 2014 +0100

    Switch over to oslosphinx
    
    oslosphinx is the new name of oslo.sphinx
    
    Closes-Bug: #1277168
    Change-Id: Ib30a4a5eb3a86ad5c03324a59e1a8ee4d4897a70

commit 49deb5c304e7fabccf347025e4e411ed48bda333
Author: Joe Gordon <joe.gordon0@gmail.com>
Date:   Tue Mar 11 03:34:48 2014 +0000

    Add libffi-dev to list of packages to install in dev env
    
    libffi-dev is needed by cffi
    
    Change-Id: Ib91bd2e1a1005dc96f9d9054ae5cb150c5fae7db

commit 015555acb75ee4d9298915951d2bfaf0d19d2b02
Author: Vincent Hou <sbhou@cn.ibm.com>
Date:   Wed Dec 4 03:51:20 2013 -0500

    VMware: Take the volume size from the user input
    
    When we create a volume from an image or a snapshot, we need to
    take the size of the volume from the user input and validate whether
    the size is appropriate instead of taking the image size as the
    volume size directly.
    
    Change-Id: If09933d8ffa989c4dacc0860c19ea332bc21092a
    Closes-Bug: #1237557

commit 657b5106c35e2834d75e77e4702b9fd99bde817f
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Tue Mar 11 10:17:32 2014 +0900

    Fix exception message of CoraidESMConfigureError
    
    Since 'message' is the same name as the second argument to the
    constructor of CinderException, 'message="Oorah"' is not a keyword
    argument.
    
    Therefore, "message = _('ESM configure request failed: %(message)s.')"
    doesn't work correctly.
    
    Then, remove the redundant period.
    
    Change-Id: Iafc457197fc3993f9f942babcdda0cd79b7bd518
    Closes-Bug: #1290627

commit 0fc3afdff1a2b87589206ffb22b041d58fe0f99b
Author: Vipin Balachandran <vbala@vmware.com>
Date:   Tue Mar 11 05:51:03 2014 +0530

    vmware: Mark VMware ESX vmdk driver as deprecated
    
    The VMware ESX driver in Nova is now marked as deprecated and will be
    removed in Juno release. This change marks the VMware ESX vmdk driver
    as deprecated since it is intended for use with the ESX driver in Nova.
    The plan is to remove the ESX vmdk driver in Juno release.
    
    Closes-Bug: #1291194
    DocImpact
    Change-Id: I285f3461c1ccef56329b70417fb023405dfceb5e

commit a68d5588a84003977ec987f93e5c4cb824a015fa
Merge: 070cc55 9e858be
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 12 05:37:44 2014 +0000

    Merge "Fixes ssh-injection error while using chap authentication"

commit 070cc55ecd62afb0ef1611c3ff6ed45855652081
Merge: 015555a f460cbe
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 11 21:04:21 2014 +0000

    Merge "Generate config samples for oslo.messaging"

commit 9e858bebb89de05b1c9ecc27f5bd9fbff95a728e
Author: Jacob M. Jacob <jacob_jacob@dell.com>
Date:   Mon Mar 10 17:25:41 2014 -0500

    Fixes ssh-injection error while using chap authentication
    
    A space in the command construction was being caught by the
    ssh-injection check. The fix is to separate the command strings.
    
    Change-Id: If1f719f9c2ceff31ed5386c53cf60bc7f522f4d7
    Closes-Bug: #1280409

commit f460cbef29307fa6476bd57bb04607c1b7ec6fa7
Author: Flavio Percoco <flaper87@gmail.com>
Date:   Tue Mar 11 10:33:45 2014 +0100

    Generate config samples for oslo.messaging
    
    This patch adds oslo.messaging to the
    CINDER_CONFIG_GENERATOR_EXTRA_LIBRARIES env variable, which adds
    oslo.messaging config options to cinder.conf.sample
    
    Implements blueprint: oslo-messaging
    
    Change-Id: I8aed8a8fdbd5b4ef41e3a3a7dcdebc6f216ec75d

commit 7f643ca464194067c70d86efdc262daa9d2d3a92
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Fri Mar 7 18:31:26 2014 +0900

    Add conversion types in some strings
    
    Some strings have no conversion types
    for 'String Formatting Operations'.
    
    Change-Id: I2c6176954643a93898ff2d06d686793fb0977458
    Closes-Bug: #1289230

commit 7c2d6fed70b83f79ae58b89b49678516e4ebab26
Merge: aef1229 fb25917
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 11 00:19:48 2014 +0000

    Merge "3PAR: Support extend volume based on snapshot"

commit aef1229acc5c29fad516c0dee9a935b369a1f719
Merge: 175a762 bcd9f36
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 10 21:12:07 2014 +0000

    Merge "Port to oslo.messaging"

commit 175a7622bff7454ac4207b211f0427802aa8e646
Merge: 11c6e44 bc792b4
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Mon Mar 10 20:36:55 2014 +0000

    Merge "Updated from global requirements"

commit 11c6e44b15ba95334c8321067a944b75c0e97061
Merge: 174be82 5c37a03
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 10 20:36:52 2014 +0000

    Merge "Convert cinder utils tests to use mock"

commit bcd9f363ff8a10ff30795c54f471a8c6d76450fe
Author: Flavio Percoco <flaper87@gmail.com>
Date:   Fri Feb 7 12:20:44 2014 +0100

    Port to oslo.messaging
    
    The oslo.messaging library takes the existing RPC code from oslo and
    wraps it in a sane API with well defined semantics around which we can
    make a commitment to retain compatibility in future.
    
    The patch is large, but the changes can be summarized as:
    
        * oslo.messaging>=1.3.0a4 is required; a proper 1.3.0 release will be
        pushed before the icehouse release candidates.
    
        * The new rpc module has init() and cleanup() methods which manage the
        global oslo.messaging transport state. The TRANSPORT and NOTIFIER
        globals are conceptually similar to the current RPCIMPL global,
        except we're free to create and use alternate Transport objects
        in e.g. the cells code.
    
        * The rpc.get_{client,server,notifier}() methods are just helpers
        which wrap the global messaging state, specifiy serializers and
        specify the use of the eventlet executor.
    
        * In oslo.messaging, a request context is expected to be a dict so
        we add a RequestContextSerializer which can serialize to and from
        dicts using RequestContext.{to,from}_dict()
    
        * The allowed_rpc_exception_modules configuration option is replaced
        by an allowed_remote_exmods get_transport() parameter. This is not
        something that users ever need to configure, but it is something
        each project using oslo.messaging needs to be able to customize.
    
        * We maintain a global NOTIFIER object and create specializations of
        it with specific publisher IDs in order to avoid notification driver
        loading overhead.
    
        * rpc.py contains transport aliases for backwards compatibility
        purposes. setup.cfg also contains notification driver aliases for
        backwards compat.
    
        * The messaging options are moved about in cinder.conf.sample because
        the options are advertised via a oslo.config.opts entry point and
        picked up by the generator.
    
        * We use messaging.ConfFixture in tests to override oslo.messaging
        config options, rather than making assumptions about the options
        registered by the library.
    
    Implements blueprint: oslo-messaging
    
    Change-Id: Ib912809428d92e788558439e2d85b51272ebefdd

commit bc792b4b7959072e4e5b35824591396af90c0705
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Mon Mar 10 14:44:55 2014 +0000

    Updated from global requirements
    
    Change-Id: I864af28306bd6d3efc3c1101e3510456465b9a66

commit 174be8249b81d08cb28dd515081d259d57d1a497
Merge: f4b10b8 10c5c93
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 09:44:01 2014 +0000

    Merge "vmware: PBM wsdl file configuration"

commit f4b10b82e6c7d8ad9593ace50c0578ea2cebf67b
Merge: 93bf7bc 07ad47e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 09:43:52 2014 +0000

    Merge "vmware: default global pbm policy configuration"

commit 93bf7bcbd57ccf708e7713fd5e26a7b87e53831f
Merge: 4ab0fdd f8b5c5f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 09:42:04 2014 +0000

    Merge "vmware: check datastore availability during create"

commit 4ab0fdded62f846e39fd035204ecb07f95ab37f2
Merge: 8766f2a 848ef00
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 09:42:00 2014 +0000

    Merge "vmware: Storage policy based volume placement."

commit 8766f2a7e9453ca1f9f2177c58358b587a1fcf9a
Merge: ece0dcf 5cee4f4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 07:14:27 2014 +0000

    Merge "get volumes API does not handle limit=0"

commit ece0dcfb28c044cea30e933eb1fbb95bfacb8be9
Merge: a65572c aca0fa8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 07:14:19 2014 +0000

    Merge "gpfs driver: fix logging problems"

commit a65572c35e7df9e5f1c228d6828bfb8f7fcedcad
Merge: b63c027 bbceb94
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 05:04:38 2014 +0000

    Merge "Fixed spelling error - accomodate to accommodate"

commit b63c027860fc0ee0f41a8030adec2cd499fde772
Merge: ae9c73f 8ed3a0a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 8 05:04:19 2014 +0000

    Merge "EMC SMI-S delete snapshot unit test takes too long"

commit 5cee4f41078ff692a37bb4c553f8faa68c782253
Author: Steven Kaufer <kaufer@us.ibm.com>
Date:   Fri Mar 7 04:54:50 2014 +0000

    get volumes API does not handle limit=0
    
    This bug fixes a regression from bug 1288429, where the "next"
    link is added when the number of volumes returned is the
    maximum limit (even if the "limit" param is not specified).
    
    The regression is hit when a "limit" of 0 is specified; in this
    case the logic to create the "next" link is still executed and an
    exception is thrown. The fix is to add back in the "if" check that
    implictly checks if the max_items is non-0.
    
    Test code was also created to verify that a limit of 0 is handled
    correctly.
    
    Change-Id: I92f9afb9b0e2c627d2c77f67fa026b731903384f
    Closes-bug: 1289124

commit 8ed3a0aab4cc7db527a3ab0940e8cb353eb33348
Author: Xing Yang <xing.yang@emc.com>
Date:   Fri Mar 7 13:43:22 2014 -0500

    EMC SMI-S delete snapshot unit test takes too long
    
    EMC SMI-S unit test for deleting snapshot takes too long.
    This patch sets Timout to 0 in cinder_emc_config.xml
    so that it will return immediately.  Without this fix,
    it will wait for 10 seconds by default.
    
    Change-Id: I223f6741a2ce393e555467350201a695ae210152
    Closes-Bug: #1289653

commit fb25917fe17fc80c1ae704759c8f6487ac2e9a22
Author: Ramy Asselin <ramy.asselin@hp.com>
Date:   Tue Mar 4 11:06:59 2014 -0800

    3PAR: Support extend volume based on snapshot
    
    If extend volume fails with an HTTP Forbidden error 150,
    convert the volume to a base volume and retry extending.
    
    Change-Id: Id407058e954b2630f4a7f31c6149361301b502f2
    Closes-Bug: #1285906

commit ae9c73f8bfe1d0cce931ef5974cf1fa9ee536dc1
Merge: 554464d 6338d46
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 7 18:28:29 2014 +0000

    Merge "Re-enable lazy translation"

commit 554464d58efcc24a30f94ea895e903ce741ec97a
Merge: a9afbd8 9550b6b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 7 18:28:13 2014 +0000

    Merge "Sync latest Oslo config code for i18n"

commit a9afbd8d072a9783e24be702175de5101ce9efe9
Merge: d6b3b12 aa6b58b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 7 18:06:36 2014 +0000

    Merge "Sync log.py from oslo"

commit bbceb945f0aefc01ca97e98870d558fc45b336dd
Author: Alex Holden <alex@alexjonasholden.com>
Date:   Fri Mar 7 10:04:15 2014 -0800

    Fixed spelling error - accomodate to accommodate
    
    Change-Id: I88bc2c3034e4fdc19b7d0a0e0ebf7eb5b2ad44f7

commit 23ff56fd47cc7f8b7633573a1e94357985256b14
Author: Simon Lorenz <simon.lorenz@de.ibm.com>
Date:   Fri Mar 7 16:08:13 2014 +0100

    GPFS unit tests: increased coverage, uses mock
    
    Increased unit tests coverage for the GPFS driver 100%.
    All tests make usage of mock.
    This helped to uncover bugs in the error path (see 1289382).
    
    Closes-bug: 1290921
    
    Change-Id: Ic78ac9b49c6e22231b966052f65d8ae07824379e

commit d6b3b128207c2256eff59d73a1a6e45245f2b45c
Merge: c92c105 48955e5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 7 05:24:22 2014 +0000

    Merge "Clean Up EMC VNX Direct Driver in Cinder"

commit 48955e56b886c0da51c1555aca62e099761ad99b
Author: Xing Yang <xing.yang@emc.com>
Date:   Thu Mar 6 16:50:26 2014 -0500

    Clean Up EMC VNX Direct Driver in Cinder
    
    This patch cleans up issues discovered during the review of
    EMC VNX Direct Driver.
    
    https://review.openstack.org/#/c/73672/
    
    Implements blueprint emc-vnx-direct-driver
    Closes-Bug: #1287944
    
    Change-Id: I4002ef9ea14e2d843dd8cbccffa025997a54c738

commit c92c10540c878d1fc25ba1bb6750c26b5dfaae04
Merge: 4a3afd0 b63c28b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 6 23:48:59 2014 +0000

    Merge "Include next link when default limit is reached"

commit aca0fa8354670d2d7b5ae0a65a539db4cf455995
Author: Simon Lorenz <simon.lorenz@de.ibm.com>
Date:   Thu Mar 6 22:36:20 2014 +0100

    gpfs driver: fix logging problems
    
    Fixed the string formatting template issues
    Fixed the name collision on the _ variable by changing the variable name to err
    
    Closes-Bug: #1289382
    
    Change-Id: Id690c2b6dcd5e9732330e6b98be34819586b78fc

commit 4a3afd093eef54fd5c2cc3c992f46e1b41852d3c
Merge: f888e41 52a7d60
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 6 21:03:36 2014 +0000

    Merge "Fix HP LeftHand Performance issue with AO"

commit 5c37a03ea71311f5d3e1372f9e16e32eca002456
Author: Bill Owen <billowen@us.ibm.com>
Date:   Thu Feb 27 10:58:14 2014 -0700

    Convert cinder utils tests to use mock
    
    Convert the tests using mox to use mock.  Also add several
    new tests to increase overall test coverage.
    
    Closes-bug: 1285905
    Change-Id: Ic7ed128e860aec50f135a9fd8728b868b27640ba

commit b63c28b7276d4c320fde8f481f61611d28278900
Author: Steven Kaufer <kaufer@us.ibm.com>
Date:   Thu Mar 6 17:20:50 2014 +0000

    Include next link when default limit is reached
    
    The /volumes and /volumes/details APIs support pagination and a
    "next" link should be included when more data is available. When
    the default "osapi_max" limit is reached then the "next" link is
    not included in the API reply. In this case, the caller cannot
    determine if there are any more volumes and has no marker value
    such that they can retrieve the rest of the volumes.
    
    The fix for this is to include the "next" link when the number of
    volumes being returned is the maximum limit, even if the "limit"
    parameter is not supplied.
    
    Change-Id: I2f04192e67f80232b4019194f718625dbaf78fa6
    Closes-bug: 1288429

commit 6338d4656cb71aeeee2e1a9facb22278e208aa00
Author: Jay S. Bryant <jsbryant@us.ibm.com>
Date:   Fri Jan 31 16:46:29 2014 -0600

    Re-enable lazy translation
    
    This patch re-enables lazy translation to enable REST API
    responses to be translated to the requested locale (I.E. setting
    'Accept-Language: zh-CN'.)
    
    This patch also removes the unnecessary manual import of
    'cinder.openstack.common.gettextutils _' in Cinder code.  Since _ is
    still being imported in the cinder.openstack.common files from Oslo
    we still need to set gettexttutils.enable_lazy().  enable_lazy will
    be able to be removed once the manual imports of _ have been removed
    from Oslo.
    
    implements-bp: i18n-messages
    Change-Id: I0b5a35a2cc28d97d12ceccccd58565b487fef428

commit 9550b6b6b486559b7c89b94e7ffb20b794aaa795
Author: Jay S. Bryant <jsbryant@us.ibm.com>
Date:   Sun Feb 23 19:51:41 2014 -0600

    Sync latest Oslo config code for i18n
    
    This sync pulls the latest Oslo config code over
    to Cinder.  This sync is needed to include a fix
    to config generator which is needed as part of
    the work to enabled i18n messages.  Config generator
    was failing when lazy message translation was enabled.
    
    The following changes are included with this patch. Each
    patch includes the file(s) the patch touches:
    -> c178e56 Add basic Python 3 tests
    --> cinder/openstack/common/__init__.py
    -> 12bcdb7 Remove vim header
    --> cinder/openstack/common/__init__.py
    -> 547ab34 Fix Copyright Headers - Rename LLC to Foundation
    --> cinder/openstack/common/__init__.py
    -> 44b6ea3 Import oslo.config configuration file generator
    --> cinder/openstack/common/config/__init__.py
    -> dd9aa2b Remove unused variables
    --> cinder/openstack/common/config/generator.py
    -> 5dce17b Use entry points to discover options in libraries
    --> tools/config/generate_sample.sh
    --> cinder/openstack/common/config/generator.py
    -> e8e636c generator: add an EXTRA_LIBRARIES env variable
    --> cinder/openstack/common/config/generator.py
    -> e3dddd7 generator: use EXTRA_* env vars in the bash script
    --> tools/config/generate_sample.sh
    --> cinder/openstack/common/config/generator.py
    -> 6da13e8 generator: rename EXTRA_MODULES_FILE to RC_FILE
    --> tools/config/generate_sample.sh
    -> 763eedf Fix DictOpt support in config sample generator
    --> cinder/openstack/common/config/generator.py
    -> e839886 Config generator fails with lazy messages
    --> cinder/openstack/common/config/generator.py
    -> 343686b Add check_uptodate to tools/config
    --> tools/config/check_uptodate.sh
    
    Oslo version:
    -> 0f24d82 Fix migration.db_version when no tables
    -> Date: Sat, 22 Feb 2014 00:32:18 +0000
    
    Change-Id: I26a95fe96b08d6340b0fce1b9e2949c8e661a946
    Closes-Bug: 1280826
    Related-bp: i18n-messages

commit 52a7d601a0c97ab4eb47b9bf10da19a9f61afe25
Author: Jim Branen <james.branen@hp.com>
Date:   Tue Mar 4 16:38:41 2014 -0800

    Fix HP LeftHand Performance issue with AO
    
    Setting AdaptiveOptimization (AO) to ‘true’, the default value,
    at volume create time significantly slows down the operation on
    the LeftHand array. If at create time, AO is set to ‘true’, it
    will result in an update operation following the create operation
    to set this value. Therefore, it is best to not specify the value,
    when ‘true’, and let it default to ‘true’.
    
    Change-Id: I2c8860e3f25a7bcaa2d2efefeffc1c11319f33e2
    Closes-Bug:#1285925

commit f888e412b0d0fdb0426045a9c55e0be0390f842c
Author: Navneet Singh <singn@netapp.com>
Date:   Thu Feb 13 02:32:08 2014 +0530

    NetApp implementation for copy offload in clustered nfs driver
    
    The Copy offload binary is a special RPC implemented in Ontap that
    allows NFS clients to ask the server to copy data between
    volumes in the same cluster efficiently. The special
    binary will be developed by NetApp and distributed to its customers.
    It will address two copy cases after efficient image clone failed.
    First when image cache file is present in a different share than
    the one holding volume. Second when glance is backed by nfs share
    which is on the same cluster as nfs driver backend. Instead
    of regular http download the copy offload workflow will be used to copy
    image to share and volume. Resubmitting it as there was a problem
    with build in previous submission.
    
    Change-Id: I0847d47cecdec8be2ade06d0ea944cc3fa6f476b
    Implements: blueprint copyoffload

commit 586b284c44e9af827fac6df112598fdac71f94be
Merge: 5fa417d 186f239
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 17:01:22 2014 +0000

    Merge "GlusterFS: Set permissions on qcow2 snapshot files"

commit 5fa417dd99bcbcd45d3e2e0796c2000bf3d987ac
Merge: 383338a 0c33d14
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 14:49:51 2014 +0000

    Merge "Add EMC VNX Direct Driver in Cinder"

commit 383338a188a5098149177bb04b6d542bd1d6eeb4
Merge: 800ead3 cbe1d5f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 14:49:44 2014 +0000

    Merge "Remove str() from LOG.* and exceptions"

commit 800ead31a9662a1228a5813a383886bc2cae7a41
Merge: bbe2ab2 515ccb9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 14:47:52 2014 +0000

    Merge "Quota delete operation in cinder"

commit bbe2ab28ae8e94ead3fafe6fab048aad260ad856
Merge: a1c3d3f 1297569
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 12:32:56 2014 +0000

    Merge "Check if snapshot is deleted cleanly."

commit a1c3d3f380235b6e43433589336c49305d46f311
Merge: 8ea425d 3fd1beb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 10:38:19 2014 +0000

    Merge "NetApp eseries iscsi driver implementation"

commit 8ea425df9e5a66975890ce9ccbccdcabb2ea4dfe
Merge: f62fc23 8bdbb24
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 04:23:41 2014 +0000

    Merge "Storwize volume manage/unmanage support"

commit f62fc23f5811b3c855d5d98aa8154517b963250d
Merge: 41b244d e6a3206
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 04:23:31 2014 +0000

    Merge "Volume manage/unmanage support"

commit 41b244def5cfd1fe15fb1a4a6e345ce27e5b79cd
Merge: cf20c69 9bcd728
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 04:22:04 2014 +0000

    Merge "Add user defined extra capabilities"

commit cf20c69024f6ea4f09631c51a2b2ddae044fe4cc
Merge: ee371df 5043773
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 5 00:09:28 2014 +0000

    Merge "Fix HP LeftHand migration with snapshots"

commit cbe1d5f5e22e5f792128643e4cdd6afb2ff2b5bf
Author: Jay S. Bryant <jsbryant@us.ibm.com>
Date:   Wed Feb 26 14:40:38 2014 -0600

    Remove str() from LOG.* and exceptions
    
    This commit removes the use of str() from LOG.* messages
    and exceptions.
    
    The reason we need to remove str() is because str() will fail if
    it gets a Unicode string that has something that doesn't translate
    to ASCII in it.  If such a situation is encountered you will lose
    the message string in question.  In most cases, the use of str() is
    unnecessary for LOG.* and exception messages.  Using %s is smart
    enough to figure out what to do with what it is passed.  It first
    tries to str() it, if this fails it falls back to using unicode.  Either
    way, the result will then be something that gettextutils can
    handle and translate.
    
    Change-Id: I6eb81043edd9fa5e035d81ee81e8439340546d24
    Closes-bug: 1274245
    Related-bp: i18n-messages

commit 8bdbb24cc77ef77855b3db5f94e21cb45a3051b9
Author: Avishay Traeger <avishay@gmail.com>
Date:   Tue Mar 4 14:40:01 2014 +0200

    Storwize volume manage/unmanage support
    
    IBM Storwize/SVC support for managing and unmanaging volumes.
    
    Partially Implements: blueprint add-export-import-volumes
    
    Change-Id: Ie90d5c0a18fcfcf7208990abf3476f432ea863c3

commit e6a3206523b8e1a4edd8867a8e7e36a58631d90a
Author: Geraint North <geraint.north@uk.ibm.com>
Date:   Thu Feb 13 09:17:27 2014 -0500

    Volume manage/unmanage support
    
    Implements: blueprint add-export-import-volumes
    
    Volume manage/unmanage support.
    
    This change adds two new API extensions:
    
    volume_unmanage.py:
    Adds an "os-unmanage" action on an existing volume, which causes a
    delete operation to flow through the stack, with a flag that indicates
    that a different method ("unmanage") should be called on the driver
    instead of delete_volume. A default, empty, implementation of unmanage
    is provided.
    
    volume_manage.py
    Adds a new "os-manage-volume" API. A POST to this URI is very similar to
    volume creation, except that the images, snapshots and existing volumes
    cannot be specified. Instead the following must be specified:
    
    host: Cinder host on which the existing storage resides
    ref: Driver-specific reference to the existing storage object
    
    name, description, volume_type, metadata and availability_zone are
    supported as per a normal volume creation.
    
    In order to support some re-use between volume_manage and the regular
    volume creation, add_visible_admin_metadata has been factored out into
    the cinder utils.py module.
    
    The rest of the changes are just the implications of the host/ref
    specification moving through the api, rpcapi, manager and flow (API and
    Manager) layers. Management of an existing volume causes the
    manage_existing_get_size() and manage_existing() methods to be called on
    the driver, and a reference LVM implementation is provided.
    brick/local_dev/lvm.py now includes a method to rename an LV.
    
    Change-Id: Ifc5255b2fd277c0f60d25fc82a777e405b861320

commit 9bcd7285b575cdcf0fe521bf01609bd21c48fd1c
Author: Ollie Leahy <oliver.leahy@hp.com>
Date:   Thu Jan 9 15:14:11 2014 +0000

    Add user defined extra capabilities
    
    Provide a mechanism that will allow sys admins who are managing cinder
    installations with multiple backends to assign key/value pairs to
    backends. The key/value pairs can be used by the capabilities scheduler
    to select between backends when requests specify volume types.
    
    For example a sysadmin could specify the key 'service_level' with the
    values 'high', 'medium' and 'low' for different backends. The sys admin
    specifies the 'service_level' for each backend in cinder.conf as a json
    string, for example:
    
    extra_capabilities='{"service_level"="high"}'
    
    or
    
    extra_capabilities='{"service_level"="medium"}'
    
    DocImpact
    Implements: blueprint admin-defined-capabilities
    Change-Id: I1ee9dcb22b3f097c3f3b2a70b0cb672930407cc9

commit ee371dfc56e9a633ba56bd05f7a32a1e3744fef2
Merge: ca7415c f48ff3c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 4 08:16:23 2014 +0000

    Merge "remove _check_container_exists from Swift backup driver"

commit ca7415cb560da4429f9409b4290a8f713d8c9e71
Merge: 4e19489 65e1031
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 4 08:03:22 2014 +0000

    Merge "Add versioning output for the FC Zone Manager"

commit 4e1948964a787145dcd08529bc582587d55bc356
Merge: 02d3635 4ffe195
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 4 08:03:05 2014 +0000

    Merge "gpfs volume driver backup file access fixes"

commit 02d3635df65cb11fc2da855d3c863660f9fd1dd1
Merge: 4c326af 0e44ba4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 4 07:36:05 2014 +0000

    Merge "Add initiator_target_map for IBM Storwize/SVC"

commit 4c326afcb19de975412cfd1dd2784a99988a1797
Merge: b0a0447 db29f6e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 4 06:50:41 2014 +0000

    Merge "Remove unused methods"

commit b0a04477ddd117316f0ae18a6f1c324fcd54c77e
Merge: 283af11 1f50d1a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 4 06:49:25 2014 +0000

    Merge "Typo corrections for test files in cinder"

commit f48ff3c851670e6b0e005eca89566c5c970f0b77
Author: Giulio Fidente <gfidente@redhat.com>
Date:   Wed Feb 5 01:13:41 2014 +0100

    remove _check_container_exists from Swift backup driver
    
    The HTTP PUT on a Swift container is idempotent, we don't need to
    check if it exists before uploading a backup.
    
    This fixes a side issue where swiftclient was printing a TRACE of
    the failed HTTP HEAD, previously in use to check if the container
    existed.
    
    Change-Id: I7bc267c948b56e30658997a9743f0d46ebb362ab

commit 0e44ba4c273f41195d0361d3c48df76e2e5add76
Author: Geraint North <geraint.north@uk.ibm.com>
Date:   Mon Mar 3 21:18:03 2014 -0500

    Add initiator_target_map for IBM Storwize/SVC
    
    Basic support to return a map of all initiator to all targets.
    Updated unit test.
    
    Change-Id: I886dd63021130003b1b2dd391542fb2b41b9d51f
    Closes-Bug: #1287476

commit 283af11a06cc4313a6628d0bca3655e83afdc98b
Merge: af74c12 9eb4b9c
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Mon Mar 3 22:40:01 2014 +0000

    Merge "Updated from global requirements"

commit af74c1294b685e68adba91c37c7cff8ce18b55ff
Merge: 34f4b56 0ed57f3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 3 19:24:04 2014 +0000

    Merge "Fix docstring ordering"

commit 5043773390e11719b17d4f999a1df58dcab36f7b
Author: Jim Branen <james.branen@hp.com>
Date:   Mon Mar 3 10:53:17 2014 -0800

    Fix HP LeftHand migration with snapshots
    
    Check for snapshots associated with volumes during assisted
    migration, and fail if a snapshot is found.
    
    When a volume is cloned on the HP LeftHand array, a snapshot
    is created and the cloned volume is created from the snapshot.
    The snapshot remains associated with the newly created volume.
    Therefore, backend assisted migration should check for volumes
    with snapshots and not use native APIs to migrate any volume
    that has a snapshot.
    
    Change-Id: I29fc3dbd1f24c01968e7c3d043cdf6b9d1b89ee9
    Closes-Bug:#1285829

commit 9eb4b9c257ddcdf054f4e8e0db672c82060413d8
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Mon Mar 3 16:45:22 2014 +0000

    Updated from global requirements
    
    Change-Id: I1507d3013597e4fbdf8348504f9959d132fc6569

commit 34f4b56a58d74dc9d35b69b7e1996183b1ed096a
Merge: ebf55d5 f7d99b0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 3 11:19:26 2014 +0000

    Merge "Add initiator target map in EMC SMI-S FC driver."

commit 0ed57f3feb83941c84aff1032f47b962b50834b3
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Mon Mar 3 10:20:20 2014 +0000

    Fix docstring ordering
    
    Change-Id: I24e377c13ef7342329ab91925c766c05d5612b5f
    Closes-Bug: bug 1287107

commit 1f50d1a296018eabfdbf57ead20ec3ba1051e086
Author: ramakris <rama.kri.b@hp.com>
Date:   Thu Feb 27 09:26:15 2014 +0000

    Typo corrections for test files in cinder
    
    Correct the typo from follow code files:
    
    cinder/tests/api/contrib/test_backups.py
    cinder/tests/test_migrations.py
    cinder/tests/test_netapp.py
    
    Change-Id: I6aeddfee36ecd101264d73d2e90686df683cc29d

commit 10c5c93925abe3d34c4430e0ed852d8358fb2353
Author: Subramanian Neelakantan <subramanian.neelakantan@gmail.com>
Date:   Wed Dec 11 19:19:37 2013 +0530

    vmware: PBM wsdl file configuration
    
    Currently the PBM wsdl files have to be downloaded to the local file
    system and needs to be configured in 'pbm_wsdl_location'. If it is
    manually configured then PBM feature is enabled.
    
    This patch does away with the manual configuration of
    'pbm_wsdl_location'. PBM wsdl files are now shipped with the driver.
    VC version is fetched from the backend server and the corresponding
    wsdl file is used. If the backend is a VC version that is less than
    5.5 then PBM feature is turned off.
    
    Implements: blueprint vmdk-storage-policy-volume-type
    Change-Id: I559006b532fa39aab6d54cb0b21d5f7afba62af3

commit 07ad47ef80dd71e1216331b3b95f5be280455cbd
Author: Subramanian Neelakantan <subramanian.neelakantan@gmail.com>
Date:   Tue Jan 28 11:09:25 2014 +0530

    vmware: default global pbm policy configuration
    
    Adding support for a global pbm policy configuration for the vmdk
    driver. Setting the 'pbm_default_policy' in cinder.conf will be
    used as the default storage profile name to be used when creating
    a volume without associated vmware:storage_profile extra spec.
    
    Also renaming 'vmware-pbm-wsdl' to 'pbm-wsdl-location' to use
    nova driver's naming convention.
    
    Implements: blueprint vmdk-storage-policy-volume-type
    Change-Id: I7fad167b7be6a479db88fb4d15d07f29afd023b0

commit f8b5c5fc4cba671467b58d698b266dcc956b7b5c
Author: Subramanian Neelakantan <subramanian.neelakantan@gmail.com>
Date:   Fri Jan 24 11:27:43 2014 +0530

    vmware: check datastore availability during create
    
    The vmdk driver does a lazy creation of the volume's backing vmdk
    only at attach time. This is done to save on the huge copy cost
    if the vmdk needs to be moved 'closer' to the VM instance at
    attach time.
    
    Still during a create volume call the driver needs to verify
    availability of a suitable datastore that matches the given
    storage profile as well as capacity to accommodate the given
    volume size. This check needs to happen at three places - create
    volume, create volume from snapshot and create volume from another
    source volume.
    
    Implements: blueprint vmdk-storage-policy-volume-type
    Change-Id: I327bbc4930b4ab4e81627ac7bc48c2048e2078ee

commit 848ef0043f60795db680afe8f67b633459eaf52c
Author: Subramanian Neelakantan <subramanian.neelakantan@gmail.com>
Date:   Wed Dec 11 19:19:37 2013 +0530

    vmware: Storage policy based volume placement.
    
    This change adds a new feature to vmdk cinder driver. Users will be
    able to specify a vSphere storage policy in a volume-type. Creating
    a volume with this volume-type associates the volume with the
    storage policy in vSphere. The driver places this volume only on a
    datastore that satisfies this storage policy.
    
    Implements: blueprint vmdk-storage-policy-volume-type
    Change-Id: I84585e7d5fc8b28f8cfed98cb621b5b6ce9435e0

commit ebf55d5203eae263a7a577767edc250c3a45c138
Merge: 6df2cde 848ae66
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 3 04:18:20 2014 +0000

    Merge "Remove rabbit_notifier (Sync notifier with oslo d6e1ba7)"

commit 6df2cde7bb6dc76f37dcb0b41d5b580a020eea0e
Merge: 55ca367 0f9652d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 3 03:26:03 2014 +0000

    Merge "Replace httplib.HTTPSConnection in unittests"

commit 0c33d1443447e76481fdcc19af1b000d60219d10
Author: Xing Yang <xing.yang@emc.com>
Date:   Fri Feb 14 11:47:33 2014 -0500

    Add EMC VNX Direct Driver in Cinder
    
    This patch implements a driver based on the Cinder iSCSIDrver.
    It performs volume operations on VNX using the NaviSecCLI command
    line tool.  It supports all required driver features.
    
    Implements blueprint emc-vnx-direct-driver
    
    Change-Id: Iec1786612cc19452aca806b41c6be664680a923b

commit 55ca367e7b8645256ac6c5ba5d5544fe12b9a627
Merge: c3214ce c185367
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 3 00:18:01 2014 +0000

    Merge "test_volume unittest fails if ran only this module"

commit c3214cec8ecb394504e5ff2d75b494141797637a
Merge: 03bf403 f0f52a0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 2 23:44:57 2014 +0000

    Merge "Segment LUN clones in NetApp iSCSI"

commit 03bf403ed5d137707aeb381a9a8218a3e228f210
Merge: 22e6045 a2f2a0e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 2 23:32:01 2014 +0000

    Merge "Change RBD delete failure log level to warn"

commit 4ffe195c4ae6a46148e5c464e07c0a399cca05fe
Author: Bill Owen <billowen@us.ibm.com>
Date:   Sat Mar 1 14:36:38 2014 -0700

    gpfs volume driver backup file access fixes
    
    Changes to volume file permission settings require a temporary
    chown to the file being backed up.
    
    Also, use gpfs file clone copy mechanism to create a consistent
    file copy so that the TSM backup service can create a hard link
    to the clone file.
    
    Closes-bug: 1286924
    
    Change-Id: I951ab16788277d0052d1845fad963e9e4cdbc53e

commit 22e60454f7c2d4ce33da72b34abb07cd3c40c479
Merge: 3a0997e c756c41
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sun Mar 2 21:40:04 2014 +0000

    Merge "Updated from global requirements"

commit 3a0997ed81f518a5233905c38f9b9cd7bde2c6c3
Merge: 157d50a 3764cec
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 2 21:20:41 2014 +0000

    Merge "Deactivate LV before removing"

commit 157d50aeaf4b4227eee5825f05f134bc7a5ef72a
Merge: 25be756 6846ed7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 2 21:12:49 2014 +0000

    Merge "VMware: changing volumeops tests from mox to mock."

commit 25be756c702c53a9188506429029e864d3505926
Merge: 2c44cfa b7d7f9e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 2 20:47:31 2014 +0000

    Merge "Update Oslo wiki link in README"

commit 129756938102b3f8a9bcef9bb4ea76602f70f1e2
Author: Xing Yang <xing.yang@emc.com>
Date:   Sat Mar 1 07:28:02 2014 -0500

    Check if snapshot is deleted cleanly.
    
    This patch added a check in delete_snapshot to make sure the
    snapshot is deleted cleanly.  Without this check, if someone
    tries to delete the source volume immediately after the snapshot
    deletion, it will fail with error that the volume still has
    snapshot.
    
    Closes-Bug: #1286699
    
    Change-Id: Idf4508025b403fa572584e5204b3891375fed6c6

commit 2c44cfa2db0cd1a5ba6c02581b34136d7ee5d4fb
Author: Daniel Gollub <d.gollub@telekom.de>
Date:   Wed Feb 19 07:41:24 2014 +0100

    Restrict rootwrap find filter for IBM NAS and GPFS
    
    Additional make the name of the filter unique, so it does not override
    any other rule. Like the find rule of the NetAppNFS driver.
    Rootwrap is making use of plain python ConfigParser which handles INI files
    with key=value pair like fashion. Where the key is unique.
    
    Related-Bug: 1250101
    
    Change-Id: I56a96084dc736e73e3e9533803f65956699891a0

commit 83a73b12d193fcb7c31f19ec42d69d321b787f52
Merge: 6c346e8 b493dcc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 2 09:50:56 2014 +0000

    Merge "change time.sleep to use loopingcall"

commit f7d99b07f72037b87d5e9f63b48a7c49f7116fe5
Author: Xing Yang <xing.yang@emc.com>
Date:   Sat Mar 1 23:45:45 2014 -0500

    Add initiator target map in EMC SMI-S FC driver.
    
    This patch add the initiator target map in initialize_connection
    and terminate_connection as it is required by the FC Zone Manager.
    
    Change-Id: I84729968b8e4e6ee74536fb28d3d921a9baf9f6e
    Closes-Bug: #1286694

commit 6c346e848a7a959c48c2d82169446a8ae91a371f
Merge: e43678f 5195f95
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 2 01:25:39 2014 +0000

    Merge "Give a way to save why a service has been disabled"

commit e43678f09659e4ab0cd30bfdb3d082ff9b4d8567
Merge: 41b772f 5a6227c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 1 08:26:16 2014 +0000

    Merge "Remove unused variable"

commit 186f23998fcead5992ef95e33b01ed40f4ecaa5f
Author: Eric Harney <eharney@redhat.com>
Date:   Thu Feb 20 11:48:41 2014 -0500

    GlusterFS: Set permissions on qcow2 snapshot files
    
    The GlusterFS driver sets specific permissions on the
    volume file when volumes are created.  Setting them on the
    snapshot files at snapshot creation time is also required,
    otherwise volume attaches will fail for volumes with snapshots
    when using QEMU's libgfapi functionality.
    
    This does not weaken the current security model in any
    significant way, as it only lines up the permissions used
    for snapshot files with those already used for volume files.
    
    This will eventually be addressed by functionality in libvirt:
    https://bugzilla.redhat.com/show_bug.cgi?id=1052014
    
    Closes-Bug: #1286376
    
    Change-Id: I93944724c557c907eb3821a061e7434f09ff20bc

commit 41b772fc09cd839137dabe6648b11798a43fc1e4
Author: Xing Yang <xing.yang@emc.com>
Date:   Fri Feb 28 17:07:32 2014 -0500

    Make EMC SMI-S driver unit tests faster.
    
    Some of EMC SMI-S driver unit tests are very slow.
    This patch uses a fake_sleep in unit tests to return right away.
    
    Change-Id: Ia8a429799066ccde51079be68408498805869774
    Closes-Bug: #1285927

commit b493dcce93418ed09f0e2b7e1dccc20270deb75c
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Fri Feb 28 11:02:19 2014 -0800

    change time.sleep to use loopingcall
    
    We don't want to block the volume manager from servicing
    requests.  So this patch changes our use of time.sleep
    to use loopingcall wait, which uses eventlet greenthread
    sleep.
    
    Change-Id: I13a1e4932e24ff5f09e35b8baa7c0fd5410388b6
    Closes-Bug: #1286285

commit a2f2a0e0d2f9516d86ef5988e083f70804c3977c
Author: Mike Perez <thingee@gmail.com>
Date:   Fri Feb 28 11:09:27 2014 -0800

    Change RBD delete failure log level to warn
    
    This is a recoverable issue in the backend, so we don't have to provide
    the message on the error level.
    
    Change-Id: I35711876b2c088ad28f32abd39248dc9a467d00d
    Closes-Bug: #1256259

commit c756c415afb523601bc7d59ad8412c6bd5279a00
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Fri Feb 28 17:34:53 2014 +0000

    Updated from global requirements
    
    Change-Id: I2b81e6ae3834c38021e4919cbde807aa2fdcc2f1

commit b7d7f9e135184963af8525c83202a659f4e0d4f2
Author: ChangBo Guo(gcb) <eric.guo@easystack.cn>
Date:   Fri Feb 28 20:17:11 2014 +0800

    Update Oslo wiki link in README
    
    Use lastest Oslo wiki link.
    
    Change-Id: I7f9590804448c9fe2273374b3174a3f45fbf0aae

commit 6b15c40ba9928ea729146948855759d8635c0dde
Merge: e71fa31 14903b4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 28 10:07:08 2014 +0000

    Merge "Python 3: replace "im_self" by "__self__""

commit e71fa31cc13abf532eedba2ae2ba90a101310211
Merge: 2100f98 6af10e8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 28 07:51:16 2014 +0000

    Merge "Restrict rootwrap find filter for NetAppNFS driver"

commit 2100f981d3cd62b92b54c4b3b746a89ae541e85f
Merge: 17a2768 0c6c57d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 28 07:34:07 2014 +0000

    Merge "Fix volume stats with multiple LeftHand clusters"

commit 17a2768b2ede1767ebe43344a9118834c1774c71
Merge: dfa27aa d65d86e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 28 01:43:50 2014 +0000

    Merge "TSM backup driver changes to support file backup"

commit dfa27aaac73decfc45bfd8ca7b7e3b4b9a45a185
Merge: 61e44b4 fb49b47
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 28 01:43:41 2014 +0000

    Merge "Add optional ionice to volume clearing process"

commit 61e44b4acd26b17e2d487512b02e4a209fa3f0d3
Merge: 5011b4c be340fb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 28 01:43:14 2014 +0000

    Merge "Don't clear host_state_map when scheduling"

commit 5011b4c4470cba6089a358db897547f7f1ccab7f
Merge: 289aa33 1d6235c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 27 23:42:10 2014 +0000

    Merge "Export and import backup service metadata"

commit 65e1031c6aeaf4d88029e33694c0c32ef81e75a6
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Tue Feb 25 09:47:01 2014 -0800

    Add versioning output for the FC Zone Manager
    
    This patch adds log output of the version
    information for the Fibre Channel Zone Manager
    and it's drivers during volume manager start up.
    
    Change-Id: I7de5159782315f528a25ffdf69a59caebcc46ee7
    Closes-Bug: #1284362

commit 0c6c57d70826b36db30795fa993cf677a4c2a6e4
Author: Jim Branen <james.branen@hp.com>
Date:   Thu Feb 27 10:41:34 2014 -0800

    Fix volume stats with multiple LeftHand clusters
    
    When more than one cluster exists in a LeftHand management
    group, get_volume_stats may return the stats for the wrong
    cluster. This patch fixes the problem by listing the cluster
    name in the getClusterInfo query.
    
    Change-Id: I2d5a76869c6bb1b3d514f0546ea00998e5ee32fb
    Closes-Bug: #1279897

commit 1d6235cc3fb3c7806c2c4671f1c5b03022136008
Author: Ronen Kat <ronenkat@il.ibm.com>
Date:   Thu Jan 23 11:58:58 2014 +0200

    Export and import backup service metadata
    
    Add new admin API for backup-export and backup-import.
    The new commands export the backup details (not actual backup) to
    a string that can be imported again in another OpenStack cloud or
    if the backup database was corrupted.
    The code includes a default backup driver implementation.
    Backup test code converted to use mock.
    
    blueprint cinder-backup-recover-api
    DocImpact new admin API calls backup-import and backup-export
    
    Change-Id: I564194929962e75c67630e73d8711ee6587706d4

commit 289aa334b153dbba69730a425b29299203872e8f
Merge: 8da183f 41f6af9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 27 02:32:57 2014 +0000

    Merge "Add volume metadata backup suport to swift driver"

commit 8da183ff69ef55045c3da9c219171c7583c90c42
Merge: cefca39 5c79c08
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 27 02:25:24 2014 +0000

    Merge "GlusterFS: Increase snapshot delete job timeout to two hours"

commit be340fbd74e0778e04c6e96210947cdb9379fdef
Author: Zhiteng Huang <zhithuang@ebaysf.com>
Date:   Thu Feb 27 09:58:17 2014 +0800

    Don't clear host_state_map when scheduling
    
    host_state_map was added to scheduler for the purpose of caching latest
    host_state in memory for scheduler.  With this cache, scheduler has the
    latest host_state (e.g. free_capacity, allocated_capacity, etc) of hosts
    even hosts haven't reported their updated status to scheduler.
    
    Unfortunately, this cache is flushed when scheduling pulling all available
    volume services from DB in current implementation, which is a bug.
    
    This change remove the host_state_map.clear() so that scheduler is able to
    maintain an up-to-date (well, mostly) view of all volume services in memory.
    Also, added code to remove non-active host from the cache every time when
    scheduler handles a new request.  Multi-line docstrings in cinder/scheduler/
    host_manager.py are also fixed.
    
    Change-Id: Ib47be483fa26631a1483721e2ae6d972994e150f
    Fixes-bug: 1271162

commit cefca3957dc28742322d6079e7fb704e32fae7d9
Merge: 04f02ad 0b6a7d5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 21:58:56 2014 +0000

    Merge "updating testing readme with more current information."

commit 04f02ad73ae919424943ca3faccae297399d02b8
Merge: 41ddaba b40efb3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 21:58:47 2014 +0000

    Merge "Change warning message in NetApp driver for vsadmin creds"

commit 41f6af9fff822f4e2b5a4f0cbea4429c4a68df93
Author: Duncan Thomas <duncan.thomas@hp.com>
Date:   Tue Feb 25 18:08:04 2014 +0000

    Add volume metadata backup suport to swift driver
    
    Add volume metadata backup support to swift, to match that added to the
    ceph backup driver
    
    Change-Id: I6b872d8c13c94492a9c109707de46aae96222295

commit fb49b475cb69105cfd0123a28a13382a9ed9358e
Author: Duncan Thomas <duncan.thomas@hp.com>
Date:   Wed Feb 19 19:03:24 2014 +0000

    Add optional ionice to volume clearing process
    
    Allow the volume clearing process to have an ionice priority set to
    reduce the performance impact of volume zeroing. Note that this may
    cause volume clearing processes to get backed up on  a busy system, use
    with care.
    
    DocImpact
    Change-Id: I2d556f57aaca8a8ccc6f0f767f1cec28c3f9bc86
    Implements: blueprint when-deleting-volume-dd-performance

commit 515ccb9451940032fa6f296be63698d7f2615e0f
Author: Sergio Cazzolato <sergio.j.cazzolato@intel.com>
Date:   Wed Feb 19 15:53:49 2014 -0300

    Quota delete operation in cinder
    
    This change adds the quota-delete operation to cinder.
    
    It is adding the api and the tests, using the methods already
    implemented in the db to destroy all the quotas for a specific
    project.
    
    Implements blueprint quota-delete
    
    DocImpact
    
    Change-Id: Ia040a20abb831c311eb13624ddecbbf0f12fdd9f

commit 6af10e84e1a3f1e4673bc2f58142269a2bfeefcf
Author: Daniel Gollub <d.gollub@telekom.de>
Date:   Wed Feb 19 07:37:20 2014 +0100

    Restrict rootwrap find filter for NetAppNFS driver
    
    Additional make the name of the filter unique, so it does not override
    any other rule. Like the find rule of the GPFS driver.
    Rootwrap is making use of plain python ConfigParser which handles INI files
    with key=value pair like fashion. Where the key is unique.
    
    Closes-Bug: 1250101
    
    Change-Id: Id2f193485089e12f00008b38fad2b95a09674ff2

commit 5c79c08f7bb88484a96427d30244057f7cd7cdfc
Author: Eric Harney <eharney@redhat.com>
Date:   Wed Feb 26 11:38:29 2014 -0500

    GlusterFS: Increase snapshot delete job timeout to two hours
    
    Increase the timeout for Nova snapshot delete operations from ten
    minutes to two hours.  This helps prevent Cinder from terminating
    operations prematurely that are still being processed by Nova.
    
    It is not uncommon for snapshot delete jobs to run for longer than
    ten minutes depending on the size of the snapshot and speed of the
    storage backend.
    
    This will be followed up with a more robust mechanism to keep track
    of snapshot job progress as a later effort.
    
    Related-Bug: 1273894
    
    Change-Id: I1ad52568aed1ce1bf593e71704e481b6fe5f44fb

commit f0f52a0085a1f5bbd23e6cfa8f0ea935e8fd56c8
Author: Andrew Kerr <andrew.kerr@netapp.com>
Date:   Mon Feb 24 16:25:20 2014 -0500

    Segment LUN clones in NetApp iSCSI
    
    The NetApp ZAPI for clone_create and clone_start has a maximum size.
    This fix breaks the lun into consumable sizes for the ZAPI.
    
    Change-Id: Id4d0872c6099b7cfc73d806d772a3ae051a76b70
    Closes-Bug: 1284182

commit 0b6a7d513c5073f9c424db7665580b8a3f97e011
Author: Dan Radez <dradez@redhat.com>
Date:   Mon Feb 17 10:16:19 2014 -0500

    updating testing readme with more current information.
    
    Change-Id: I3ef39f5484170c1886c3b88e81b42450339a0d39
    Closes-Bug: 1277179

commit 41ddaba58d9cd95e02dc4d9d3c4d67e39eef6678
Merge: ca716ea 38e192a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 12:46:32 2014 +0000

    Merge "Use len instead of for-loop to get the end index"

commit 5a6227c1b0566d2eab2b46b37eb53141449a22ba
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Wed Feb 26 17:35:07 2014 +0900

    Remove unused variable
    
    o cinder/api/openstack/wsgi.py:_CONTENT_TYPE_MAP = {
    
      This variable was added in the following commit.
    
        commit c53d8e343e50d4cf7ea9a6a81258848c2d893bfb
        Author: Jenkins <jenkins@review.openstack.org>
        Date:   Thu May 3 10:48:26 2012 -0700
    
            Initial fork out of Nova.
    
      But there is no evidence that was used.
    
    Change-Id: I6af64126cf1747ded3369a6237a4cb6cfd250922

commit 14903b4ca7d625b8e93fe431f854263bbe26e4bc
Author: Shuangtai Tian <shuangtai.tian@intel.com>
Date:   Thu Feb 20 14:43:11 2014 +0800

    Python 3: replace "im_self" by "__self__"
    
    The Python 3 removed the "im_self" attribute and only supports the
    "__self__". This patch replaces "im_self" by "__self__" attribute.
    
    Closes-Bug: #1282514
    Change-Id: Ib017fff4b720a5dd7ee27fd01b36a531d9b6ca9c

commit ca716eab6e7c3f32931b64c389dbae52d4869373
Merge: 5fb0289 85239cc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 06:30:59 2014 +0000

    Merge "Update FibreChannel Zone Manager config"

commit 5fb0289cad6a19a20135730eb3289259cfd0e691
Merge: b554607 61e501e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 06:20:45 2014 +0000

    Merge "Fix test_delete_should_not_.. to assert something"

commit b554607a7b0831b38343286ffa15255e2d626a89
Merge: 93667cb 5606788
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 04:05:04 2014 +0000

    Merge "Fix silly error in comment"

commit 85239cc81440d9e5a4aee3c0961c96a4197ad939
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Mon Feb 24 12:10:52 2014 -0800

    Update FibreChannel Zone Manager config
    
    This patch changes the way the config options are
    layed out in the cinder.conf to follow the
    standards for grouping settings together.
    
    Instead of using dynamic config names to group
    settings together by fabric name, we look for
    fabric groups based upon the fc_fabric_names.
    We also create a new fc-zone-manager group
    for all of the global fczm settings.
    
    Change-Id: I91c8a05adec2fb12f664ca0df6007465c1a460e0
    Closes-Bug: #1284338
    DocImpact

commit 93667cb6bb24b80adce4bbfd611e1c3884a088b7
Merge: 5642b93 e088c73
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 01:08:09 2014 +0000

    Merge "3PAR: Fix extend volume GiB to MiB"

commit 5642b933844a742ed020f98606c654771efa2d1b
Merge: bcbca12 9090f99
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 26 01:08:00 2014 +0000

    Merge "3PAR: Create volume from snapshot with larger size"

commit bcbca12c245645bfc5b24c848a474cc23438b6a5
Merge: 76bf0c3 57c6e2f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 20:50:32 2014 +0000

    Merge "Brick support for pNFS"

commit 76bf0c330cba739e2c4de3725bf446eaf31f7364
Merge: 01959b7 4cac1bd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 20:47:30 2014 +0000

    Merge "Storwize/SVC: Change volume copy task to async"

commit 01959b79b3c0c1b052f30eefa2699b19870406a7
Merge: bb0b144 48d2b1c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 20:47:21 2014 +0000

    Merge "Replace tearDown with addCleanup"

commit bb0b14449303bbc75a678d6864c3e6e69aa201b8
Merge: a22f22c e3eb709
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 20:47:11 2014 +0000

    Merge "Removes use of timeutils.set_time_override"

commit b40efb3633b4bffada4d5f191d26c4c75da9815e
Author: Ben Swartzlander <bswartz@netapp.com>
Date:   Tue Feb 25 11:44:14 2014 -0800

    Change warning message in NetApp driver for vsadmin creds
    
    The new warning messages explicitly lists the extra_specs that
    can't be supported depending on the access level fo the creds
    that were provided. Also corrects a spelling error for the
    netapp_nodedup extra_spec.
    
    Change-Id: I1b27d9f4043321a4812e4e457c32a1040676c8e5
    Closes-Bug: 1284796

commit e088c73b185073943d9b18b7ede0375c096ee8b3
Author: Kurt Martin <kurt.f.martin@hp.com>
Date:   Tue Feb 25 08:30:01 2014 -0800

    3PAR: Fix extend volume GiB to MiB
    
    Extend volume was sending GiB instead of MiB to the 3PAR
    array. This patch is now sending the growth size in MiBs
    instead of GiBs.
    
    Change-Id: Ib4903315a32e090e760883cc80c50f3698fe015f
    Closes-Bug: #1284368

commit d65d86e15c7f50b2a5b7ad1422771601479c632f
Author: Bill Owen <billowen@us.ibm.com>
Date:   Thu Feb 13 14:55:47 2014 -0700

    TSM backup driver changes to support file backup
    
    Extend TSM backup driver to support backup of file based volumes,
    as well as restore and delete of the backups.  This in addition
    to the current block based volume support.  This involves determining
    the type of volume this is requested to be backed up, and modifying
    the dsmc command options accordingly.  When a volume is backed
    up, the backup mode and backup path are saved in the backup
    service_metadata for use on restore and delete operations.
    
    This commit includes some further refactoring based on pylint
    feedback and system testing.
    
    Implements: blueprint tsm-backup-driver-enhancement
    Change-Id: Ic994a8c2f7302e59358dd858b50df746c9a7d76f

commit 560678884a67644a5ee3ac40f6b54f942ffe7c2a
Author: Duncan Thomas <duncan.thomas@hp.com>
Date:   Tue Feb 25 17:56:56 2014 +0000

    Fix silly error in comment
    
    Fixing since it threw me for a second or two...
    
    Change-Id: I53ecbe8a7bf31bd5c88cb0d025ff3d46aa741ce9

commit a22f22cffc907c3307257ae36c7fbd967cb94e44
Merge: 2e68f5c cfac9c7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 18:59:02 2014 +0000

    Merge "Fix free_capacity reporting in SolidFire driver"

commit 9090f99986c5b2cf725814e6ab64fd2d2a829d3e
Author: Ramy Asselin <ramy.asselin@hp.com>
Date:   Mon Feb 24 14:54:08 2014 -0800

    3PAR: Create volume from snapshot with larger size
    
    Refactored the migrate_volume code to be usable by both migrate volume
    and create volume from snapshot with a larger size. The common functionality
    is to clone a volume as a base volume. Migrate volume specifies a different
    CPG, whereas create volume from snapshot uses the same CPG.
    
    Change-Id: I4081807294d918fc0e9c2e17bae89b6df7ee1513
    Closes-Bug: #1279478

commit 2e68f5c566bcae5b78f8400ac8ad976d4cfdef5e
Merge: 09855d8 aa7dd43
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 17:17:11 2014 +0000

    Merge "Use six.StringIO instead of StringIO.StringIO"

commit cfac9c7945f3cd5d39b7f6bd8950427a144b889d
Author: john-griffith <john.griffith@solidfire.com>
Date:   Mon Feb 24 23:02:11 2014 -0700

    Fix free_capacity reporting in SolidFire driver
    
    The SolidFire driver reports capacity info in bytes, the
    capabilities update reports available_GB.  Sadly we neglected
    to convert the bytes to gigibytes here which made for a VERY
    large backend and caused things like capacity filtering to not
    work correctly.
    
    This patch just adds conversion to GiB when reporting capabilities.
    
    Change-Id: I62c6ad2edd8c2ced344df766c198504894f4902b
    Closes-Bug: 1284452

commit 61e501e51902ebbf95c644199bfdcc9e5cd4867a
Author: Alex Meade <mr.alex.meade@gmail.com>
Date:   Mon Feb 24 14:08:37 2014 -0500

    Fix test_delete_should_not_.. to assert something
    
    This changes test_delete_should_not_delete_if_provider_location_not_provided
    to assert the case it is testing.
    
    Closes-bug: 1284263
    
    Change-Id: I25160140e15721e0de4251ba2373a560d4b0ad46

commit 09855d8484b6ab3ed0bf7e04d58cd3fc904af6a0
Author: Alexander Bochkarev <abochkarev@mirantis.com>
Date:   Tue Feb 25 15:32:11 2014 +0400

    Replace assertEqual(None, *) with assertIsNone in tests
    
    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.
    
    Change-Id: I2560aa559580fb068eb27174c9a7c8cd57e11b69

commit 48d2b1cb01b6f5e3be82207460dce6b42587e81b
Author: Julia Varlamova <jvarlamova@mirantis.com>
Date:   Wed Feb 12 18:52:45 2014 +0400

    Replace tearDown with addCleanup
    
    Infra team has indicated that tearDown should not be used and should
    be replaced with addCleanup in all places.
    
    This patch replaces tearDown with addCleanup methods in cinder/tests/api.
    
    Implements blueprint replace-teardown-with-addcleanup
    
    Change-Id: I640c1985bf7fce6f2fbd4de8e56448b6c9af51ca

commit aa7dd439c580378b1ca2d647c7c2b0c32289b2f1
Author: He Yongli <yongli.he@intel.com>
Date:   Mon Feb 17 12:42:33 2014 +0800

    Use six.StringIO instead of StringIO.StringIO
    
    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO
    
    StringIO works for unicode
    BytesIO works for bytes
    
    Change-Id: I5e40809b2347d4dbe031ba92dac4848b044d3af6
    Closes-Bug: #1280100

commit ee1b6428c7370fe1c488ec74ac87f7388c628677
Merge: 91431b7 e31b9e7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 07:03:04 2014 +0000

    Merge "3PAR: Delete missing snapshot stuck in error_del"

commit 91431b724f499cd1cda29330874472517c581efb
Merge: 3b0c127 da70f88
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 06:59:11 2014 +0000

    Merge "Implement retype in IBM GPFS Driver and refactor"

commit 3b0c127330c135059ca1f4dd5fe632967fdff2e8
Merge: 03918a3 5238918
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 06:59:02 2014 +0000

    Merge "Added 3par initiator target map for FCZM"

commit 03918a3b828643a6c150768535ecb4ff685d01d1
Merge: 2762763 5074cf5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 25 06:25:18 2014 +0000

    Merge "Fix invalid facilities documented in rootwrap.conf"

commit 27627631d4a0a477570b6f8b1bf17cd772208d72
Merge: f2137b3 115b627
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 22:54:29 2014 +0000

    Merge "Fix race in test_delete_backup"

commit da70f8804ec72d5e3f1f88e9559d26c8fb7d29fe
Author: Bill Owen <billowen@us.ibm.com>
Date:   Thu Feb 13 07:54:33 2014 -0700

    Implement retype in IBM GPFS Driver and refactor
    
    1. Add retype method to GPFS driver.  Currently only storge_pool
       attribute is handled.  Future patches will extend this.
    2. Refactor migrate method to handle migration locally if source
       and target are in the same gpfs cluster.
    3. Move driver into 'ibm' directory.
    4. Refactor based on pylint feedback.
    5. Replace mox with mock in unit test.
    6. Improve exception handling and logging.
    
    DocImpact
    
    Implements: blueprint gpfs-volume-retype
    Change-Id: Ibc3bc367e5d42940c69d6747774c82c8cad22a35

commit e31b9e78374bcaeae573cce2915897ceb870ffc3
Author: Ramy Asselin <ramy.asselin@hp.com>
Date:   Mon Feb 24 12:29:01 2014 -0800

    3PAR: Delete missing snapshot stuck in error_del
    
    If the snapshot is deleted outside of cinder, attempting
    to delete it again results in the snapshot state stuck in
    error_deleting.
    
    This is because the current code raises a NotFound exception,
    but the base cinder code does not catch this and update its db.
    
    Instead, log a warning, and simply tell the base cinder code that it was
    successfully deleted.
    
    Change-Id: I5c5d24bc113e320346ff4f1f4f62fffdf7cddfc4
    Closes-Bug: #1283233

commit 52389188372b38ef237898e90cc533cf27d3eda1
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Mon Feb 24 11:35:32 2014 -0800

    Added 3par initiator target map for FCZM
    
    This patch adds the required initiator target map
    for the Fibre Channel Zone Manager.   The
    FCZM looks for the initiator_target_map to try and
    automatically zone up the endpoints.
    
    Change-Id: I61aaf31752f8a5eebb672887c9a943584df66995
    Closes-Bug: #1284275

commit f2137b37e89de52443152ac51e2d117333dbb2fb
Merge: 07ce6ac ec7f21f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 19:00:58 2014 +0000

    Merge "3PAR: Backend assisted volume migrate"

commit 07ce6acaaba4432037dab35eb7f8527355c37c35
Merge: 7d7fde3 3caa76a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 19:00:49 2014 +0000

    Merge "Add encrypted flag to volumes"

commit 7d7fde31baf5017ae0b6657653e663074a9d515e
Merge: 2021a1a 9a8d41e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 18:07:22 2014 +0000

    Merge "Sync oslo imageutils, strutils to cinder"

commit 2021a1a96db3cc5a9b24efbfd161d3a7742c734a
Merge: d8cb56a d8fcf93
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 18:07:19 2014 +0000

    Merge "Add support for FC zone lifecycle management"

commit 115b6276ac3dd7b3e8c6a42e9d0d80709791b7a2
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Mon Feb 24 19:55:15 2014 +0200

    Fix race in test_delete_backup
    
    Unit test sporadically failed due to timing issue - the deletion
    timestamp on the backup was exactly the same as timeutils.utcnow(),
    causing the AssertGreater check to fail.  Change to AssertGreaterEqual.
    
    Change-Id: Ia66d0d4bdae3242780a91f0d384cbd17caa8c197
    Closes-bug: #1284227

commit d8cb56a045e071a77053bbbc75992225a82fc983
Merge: f385908 4c8f269
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 17:26:20 2014 +0000

    Merge "Add x-openstack-request-id to cinder responses"

commit f385908e99991afd373ead0a5774934ba1f84f70
Merge: a655ba5 2e323ba
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 17:04:29 2014 +0000

    Merge "Driver for IBM SONAS and Storwize V7000 Unified"

commit 2e323ba7b154c6bdb76a4c018e99004dabcb8420
Author: Nilesh Bhosale <nilesh.bhosale@in.ibm.com>
Date:   Fri Dec 27 09:02:56 2013 +0530

    Driver for IBM SONAS and Storwize V7000 Unified
    
    The IBM NAS Driver currently implemented to work over NFS protocol,
    and implements required set of features for OpenStack Icehouse release,
    using the features of these storage products. It allows IBM® SONAS®
    and Storwize® V7000 Unified filers to host storage for OpenStack
    environment by integrating with Openstack Cinder service.
    
    DocImpact
    
    Change-Id: I0d630bf7e69454b88e9d1e93b4099631f6138204
    Implements: blueprint ibm-nas-volume-driver
    Related-Bug: #1281152

commit a655ba547c34a5711328650c3fe52677d87239bd
Merge: 71c15c8 65c635d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 09:32:32 2014 +0000

    Merge "Nexenta iSCSI driver: fixed volume_migration"

commit 71c15c8426080871362a2d18282bb761551de6f8
Merge: 05c14e7 13f0468
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 08:39:02 2014 +0000

    Merge "Change default policy for volume_extension:volume_tenant_attribute"

commit 05c14e7397624a3165618260a506ca4e98101e6c
Merge: a0b150c 182e071
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 08:16:24 2014 +0000

    Merge "Fix FC connection handling in the storwize driver"

commit a0b150c9088e2fb037827c8fc86ed2337e98f945
Merge: f028c8a 330a476
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 24 08:16:16 2014 +0000

    Merge "Fix webob.exc.HTTPForbidden parameter miss"

commit 330a476f8a82c672d636d7da78b81cc46db1e9dd
Author: Haiwei Xu <xu-haiwei@mxw.nes.nec.co.jp>
Date:   Mon Feb 24 20:39:19 2014 +0900

    Fix webob.exc.HTTPForbidden parameter miss
    
    HTTPForbidden should use the parameter 'explanation'
    instead of 'detail'.
    This patch fixes this bug.
    
    Change-Id: I688145f7ea942277c7d3ed3221d6ff2bc7a852ad
    Closes-Bug: #1283872

commit c9c6befe7e19adc168aefe1cfaeac8d68dd398fa
Author: liyingjun <liyingjun1988@gmail.com>
Date:   Fri Feb 21 02:58:58 2014 +0800

    Add snapshot related data to limits api
    
    When calling the limits api we can only get Volume and Gigabyte data,
    the snapshot related limit value should be returned too.
    
    Change-Id: I6a5e1e2d1aa6abbac5d5dacd042223ce49207c1f
    Closes-bug: 1282924

commit 4cac1bd3227fd8b65744e75f0df018fb34bcb1c1
Author: LarryLiu <liminliu@cn.ibm.com>
Date:   Fri Feb 14 15:46:07 2014 +0800

    Storwize/SVC: Change volume copy task to async
    
    If Cinder crashes during a migration or retype (where data is moved and
    the operation can take a long time), the storage ends up with multiple
    copies of the same volume which requires storage admin intervention.
    
    This patch maintain a list of pending operations which is backed up in
    admin metadata, and a periodic task reviews the list and removes volume
    copies whose copy operation completed. When Cinder comes up, check the
    admin metadata and rebuild the list.
    
    Change-Id: I6549712bb0083996faced89c2207a4c438ae953d
    Closes-Bug: #1278035

commit 182e071a113fef7138a77bfae0d3b432e875d289
Author: Zoltan Arnold Nagy <nag@zurich.ibm.com>
Date:   Wed Feb 12 23:01:10 2014 +0100

    Fix FC connection handling in the storwize driver
    
    Creating FC connections was not working due to several issues:
    
    1. The lsfabric command in the Storwize/SVC omitted the delimeter and so
    the output was not correctly parsed by the driver.
    2. In some cases comparisons of WWPNs were not case insensitive - ensure
    we compare lower-case WWPNs.
    3. If the host supplied extra information in the connector (e.g. iSCSI
    initiator name in case of an FC setup, or FC WWNNs/WWPNs in an iSCSI
    setup), the driver would try to make those host mappings on the storage
    too.  This could lead into unwanted behaviour and confusing error
    messages (for example, in an FC setup reaching the maximum number of
    iSCSI mappings).
    
    In addition, unit tests weren't properly testing FC - instead they were
    always testing iSCSI due to an error in parsing extra_specs. This patch
    fixes that error and the unit tests as well.
    
    These changes must all be made together for unit tests to pass.
    
    Closes-bug: 1279758
    Change-Id: I64e21609ba089cf5bfd52ce2644f6f229bcc69dc

commit aa6b58b5d21ab35e3a32858e3131679b933cef27
Author: liyingjun <liyingjun1988@gmail.com>
Date:   Thu Jan 16 07:03:28 2014 +0800

    Sync log.py from oslo
    
    This change syncs log.py from oslo-incubator with the
    following commit:
    * Backport 'ident' from python 3.3 for Oslo's SysLogHandler
      79e8a9a08daf563aa8a8d9280c9a6a27dcafc8f2
    * default connectionpool to WARN log level:
      1978114030c275c571a1786644a5e0d51ada29c0
    * Fix deprecated messages sent multiple times
      52b64466177b58c8e80bc72c5ce1e940782c969a
    * Remove None for dict.get()
      86707cd5c01a2de6b9ba386d7ea4f72c9c7286b1
    * Rename Openstack to OpenStack
      61ff7a66fef51ba2a783a5ed87e14256a6e9432c
    * Use ContextFormatter for imparting context info
      dda47c9cef19c5d8f050cf5081535b4061024457
    
    Change-Id: I14c3d7eccc596783e380ebd57110337d3ce49038
    Closes-bug: 904307

commit f028c8ac509acac69f29323fd9fefea143693a75
Merge: c2807f0 a6c8a8c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Feb 23 13:00:13 2014 +0000

    Merge "Remove old driver mapping deprecation"

commit 0f9652d92e175a1f7dc3c2a37ab444b8f189375a
Author: Daniel Gollub <d.gollub@telekom.de>
Date:   Sun Feb 23 09:30:00 2014 +0100

    Replace httplib.HTTPSConnection in unittests
    
    SSL Verification is from now on enabled by default for the
    TestOpenStackClient. So far no unittests was making actively use of
    httplib.HTTPSConnection.
    
    Intention is to reduce noise of audits/scanners which look for Python 2.x
    httplib.HTTPSConnection missing SSL verification. By completely abandoning the use
    of httplib.HTTPSConnection.
    
    Change-Id: Ic0352cf453d5c41f09084a6d68b3393b8ddda84a
    Partial-Bug: 1188189

commit d8fcf93c91c856c3e895a85df6fb8fddac8e715d
Author: Santhoshkumar Kolathur <skolathu@brocade.com>
Date:   Fri Aug 30 19:48:52 2013 -0700

    Add support for FC zone lifecycle management
    
    Allows automated zone lifecycle management in the attach/detach
    entry points of the volume manager for FC volumes (when fabric
    zoning is enabled). Zones are configured automatically as part
    of the active zone set in the FC SAN to provide a more flexible
    and secure way of controlling access. FC zone manager enables
    SAN vendors to add support for pluggable implementations.
    
    Change-Id: I86e02e11afec71ffa25dfbcbd0dc3ddcc35741ea
    Implements: blueprint cinder-fc-zone-manager

commit 5195f95eb6c1deaf1acd2dd0b16025974ed6ec18
Author: Jay Lau <liugya@cn.ibm.com>
Date:   Sat Feb 22 05:47:47 2014 -0500

    Give a way to save why a service has been disabled
    
    Port from nova https://review.openstack.org/#/c/26020/
    
    We added a field to the table of service to log a reason when a
    service has been disabled.
    
    We added a new API extension called os-extended-services.
    
    The new extension will extend the os-services extension adding a
    method for disabling a service and specify a reason for that:
    PUT /v2/{tenant_id}/os-services/disable-log-reason
    
    When the os-extended-extension is loaded the call:
    GET /V2/{tenant_id}/os-services
    will return the list of services with disable reason information
    if that exists.
    
    DocImpact
    
    Change-Id: I885e43132b0e49b63f7858abd3fcffe1b78d3fd8
    Implements bp record-reason-for-disabling-service

commit c2807f0ed41670f63fea15bbd44981509e5662e4
Merge: b996096 1586b2f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 22 05:05:11 2014 +0000

    Merge "Add HP MSA Fiber Channel driver"

commit b996096375dec153be66755f3ba38446f275af94
Merge: f3df7ef 6427b55
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 22 02:07:10 2014 +0000

    Merge "Use six.moves cStringIO instead of cStringIO"

commit a6c8a8c5c2aebb8b08a84dc64ccbe4076c1bbd44
Author: Mike Perez <thingee@gmail.com>
Date:   Mon Feb 17 18:21:12 2014 -0800

    Remove old driver mapping deprecation
    
    This deprecation was introduced back in Grizzly, which will be EOL after
    IceHouse. Removing to clean things up.
    
    Change-Id: I509bb4115c3c88a7af7326125feb760f20847b8d

commit f3df7ef59db310fb96571b89c128089a5b3517a3
Merge: 539c1af 6966a00
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 21 19:15:22 2014 +0000

    Merge "Add support for qos_specs feature to 3PAR drivers"

commit 539c1aff7480cb98fb3343a644e72f9326a36b05
Merge: 4d4b5f7 dfb1a09
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 21 19:10:05 2014 +0000

    Merge "Update 3PAR drivers to pass cert test"

commit ec7f21ff8b8c15734ab845ee10187a1005e979fd
Author: Ramy Asselin <ramy.asselin@hp.com>
Date:   Wed Feb 12 16:23:15 2014 -0800

    3PAR: Backend assisted volume migrate
    
    This patch implements volume migrate using native 3PAR APIs.
    
    Prerequisites:
    1. Same 3PAR backend
    2. Volume cannot be attached
    3. Source and Dest CPGS are in the same domain
    
    Steps:
    1. Create a temporary volume in the destination with a copy of the source
    2. Wait for the copy to complete
    3. Delete the source
    4. Rename the temporary to the same name as the original
    
    Change-Id: Ia42503d41bf8afd908cd3ffb0288f0d353f313f1
    Implements: blueprint native-3par-migrate-volume

commit 4d4b5f78350f05a851091721885affe2863d2903
Merge: 11e875c b1e7d0a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 21 00:18:54 2014 +0000

    Merge "Ensure return for db api functions"

commit 11e875cd58bc7bd193238890ad7340d29e9b3984
Merge: 97c7c7f b0ac829
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 20 20:08:44 2014 +0000

    Merge "Update gpfs driver volume creation process"

commit 97c7c7f2c6270cc65f3f97ac7c9e40fb5c76aa9e
Merge: df852cf efd4ff9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 20 16:35:58 2014 +0000

    Merge "Remove unused function"

commit 1586b2f947c78bded4785aad1d39cbf415d96e4d
Author: Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>
Date:   Thu Feb 13 21:34:59 2014 +0100

    Add HP MSA Fiber Channel driver
    
    This commit implements a driver for the HP MSA arrays. Only Fiber
    Channel is supported for now.
    
    Implements: blueprint add-msa-2040-driver
    DocImpact
    Change-Id: I75232cafadf7f6d15c5959d6c054f2e0f4d14e2c

commit b1e7d0ad220d869323754683dbb447f6821ef705
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Thu Feb 20 13:22:37 2014 +0200

    Ensure return for db api functions
    
    Functions in db/api.py should return whatever the implementation of
    those functions return. This is important for qos_specs_update which
    returns something for the sqlalchemy implementation, but for others as
    well for future implementations.
    
    Added 'return' for functions that were missing it.
    
    Change-Id: I384b1cf915b2d2238fd75d23b17558cae2cf9f50
    Closes-Bug: #1272365

commit df852cfe7fe308ce9a6d63e03d7371a006c4de1f
Merge: 1409e8c 8eb3551
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 20 10:11:35 2014 +0000

    Merge "HP LeftHand Backend assisted volume migrate"

commit 1409e8c1df82b838d3e882e6a0ad52dfbef2e1b8
Merge: 7f7997d 2d24077
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 20 03:30:30 2014 +0000

    Merge "IBM XIV and DS8000 Driver reorganizing (IBM dir)"

commit 7f7997d3b4721805adaebecf14f5edd2044652d0
Merge: b21d0c5 143cba5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 19 23:17:02 2014 +0000

    Merge "GPFS:  Implement volume backup and restore"

commit 8eb35516bda872220c5c044638365c87bcf35f33
Author: Jim Branen <james.branen@hp.com>
Date:   Fri Feb 14 16:02:55 2014 -0800

    HP LeftHand Backend assisted volume migrate
    
    This patch implements volume migrate using native LeftHand APIs.
    
    Limitations:
    1. Same LeftHand backend
    2. Volume cannot be attached
    3. Volumes with snapshots cannot be migrated
    4. Source and Destination clusters must be in the same management group
    5. Volume re-type not supported
    
    Change-Id: I503d5a10ee59db14130c676a5c3a07abf9a2b7af
    Implements: blueprint native-lefthand-volume-migrate

commit 6966a00065c9e092d90161e1f40e9455174bd4d9
Author: Kurt Martin <kurt.f.martin@hp.com>
Date:   Tue Feb 11 17:38:13 2014 -0800

    Add support for qos_specs feature to 3PAR drivers
    
    This patch includes the ability to set the qos-specs for the
    existing 3PAR qos settings (maxIOP and maxBWS) in addition to
    the new settingis listed below. We would prefer that the
    new qos-specs associated to a volume type be used, but this
    patch also supports setting these values the old way in extra-specs
    for backwards compatibility.
    
    This patch also adds two additional personas to the list of
    valid personas that are now support by the 3PAR backends.
    
    DocImpact: Implements new qos settings
    minIOPS - The minimum IOPs per second
    minBWS - The minimum bandwidth per second
    latency - The QOS I/O target latency
    priority - The QOS scheduling priority (high, normal, low)
    The priority defaults to normal
    
    Two new personas added include HPUX and WindowsServer
    
    Change-Id: I7f94a493919dc2d34daac91d684369d1f51c974c
    Implements: blueprint add-qosspec-support-to-3par-drivers

commit 4c8f269dd19c742bd80ce3ff7db55ff53be4af7d
Author: Chris Buccella <buccella@linux.vnet.ibm.com>
Date:   Fri Feb 14 23:29:28 2014 +0000

    Add x-openstack-request-id to cinder responses
    
    x-openstack-request-id is the common header name for request ID going forward.
    Currently, only glance and neutron return this header. Using the request_id
    middleware is a convenient way to ensure this header is in the response. We will
    also be using the middleware to generate the request ID.
    
    The ID will be generated by the middleware and is inserted into the request
    environment. The current code generates the request ID in the constructor of
    RequestConext; with this change, the ID is generated beforehand and passed in to
    the RequestContext constructor. Not much different here: a request ID is
    generated and is available for use in the handling of the request.
    
    On the response end, the middleware is again used, this time to attach the
    x-openstack-request-id header, using the value of the generated request ID. The
    current code attaches the x-compute-request-id header.
    
    This change is a necessary step toward logging the mapping of request IDs across
    OpenStack services.
    
    UpgradeImpact: api-paste.ini is modified
    
    Change-Id: I30c4e5efa77f9ebffb485d2ea6a6c3f78eb1573f
    Implements: blueprint add-standard-req-id-header

commit b21d0c51fed327e827447119d97f56023bb5ef38
Merge: 4d5dc69 7e36984
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 19 17:06:17 2014 +0000

    Merge "Sync request_id, request_utils for cinder"

commit dfb1a090334d705425e739e8174a9c1c07009433
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Mon Feb 10 13:09:28 2014 -0800

    Update 3PAR drivers to pass cert test
    
    This patch updates both the HP 3PAR Fibre Channel
    and HP 3PAR iSCSI block storage drivers so that they
    can pass the driver certification tests.  We also updated
    the unit tests to use mock instead of mox.
    
    These versions of the drivers require the new 3.0.0 hp3parclient,
    which can be downloaded from the pypi repository:
    https://pypi.python.org/pypi/hp3parclient
    The new hp3parclient requires the 3.1.3 firmware on the HP 3PAR.
    
    The driver certification results:
    Related-Bug: #1278575
    Related-Bug: #1278577
    
    Closes-Bug: #1279137
    
    Change-Id: I72e0a76c865e54c58e41cc4409555d9042e30267
    DocImpact: Document new driver requirements.

commit 4d5dc69f089d05dc06e31f3ababd1db917f9f8b5
Merge: a1d78df fa51dab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 19 16:58:21 2014 +0000

    Merge "Implement retype in HP LeftHand driver"

commit efd4ff9c2584de9acfbae432f889e222f5058ea1
Author: Wu Wenxiang <wu.wenxiang@99cloud.net>
Date:   Wed Feb 19 21:58:48 2014 +0800

    Remove unused function
    
    Romove unused function stub_out_rate_limiting in
    cinder/tests/api/fakes.py
    
    Change-Id: Ib6fea599eacb140108ca4293cdd089b010a8b979
    Closes-Bug: #1282098

commit 38e192afecd0d08921d4fb4d7166fa156addb6a4
Author: Wu Wenxiang <wu.wenxiang@99cloud.net>
Date:   Wed Feb 19 21:39:41 2014 +0800

    Use len instead of for-loop to get the end index
    
    Use len() instead of for-loop to get the end index in file
    cinder/tests/test_backup_tsm.py
    
    Change-Id: I3a7b0e418f8af4881e21eb5273a03dbcd317c27d
    Closes-Bug: #1282084

commit a1d78df1b7c95dbb5024023662932cd94313dd58
Author: Andrew Kerr <andrew.kerr@netapp.com>
Date:   Tue Feb 18 17:38:12 2014 -0500

    Ensures NetApp iSCSI driver correctly compares int values for size
    
    The NetApp iSCSI driver needs to verify that the new size requested
    during an extend operation does not exceed the max_resize of the
    lun.  However, the driver was doing a >= compare against str values
    of the sizes rather than the int values.  This caused the incorrect
    code path to be used in certain situations.
    
    Change-Id: I8bc66c71db6b469c7adf00ce8b5091513fccb740
    Closes-Bug: 1281279

commit 7e3698417ad8ca0112a05969bcfd7aa60f5bcdd3
Author: Chris Buccella <buccella@linux.vnet.ibm.com>
Date:   Sat Feb 15 02:29:43 2014 +0000

    Sync request_id, request_utils for cinder
    
    This is in preparation for work being done on request ID tracing across
    OpenStack services.
    
    Per discussion in blueprint cross-service-request-id , the standard header
    name for the request ID across OpenStack projects should be
    x-openstack-request-id. The request_id middleware was created for just this
    purpose, as oslo change Ic7967cd62e7b743343d70f751b9238339171e013 . Using the
    same middleware allows for consistency across projects.
    
    There is an additional oslo module, request_utils, introduced as
    change Id085c4444fee2bb68b80738bfe77ccb0ba1908ec to allow uniform logging of
    request IDs. Bring that in as well so we have it when necessary.
    
    Implements: blueprint add-standard-req-id-header
    Change-Id: If080df2a323347924c93a912538dab5ffeffe982

commit 2d240777c84c4244a5d429cc1f040a838121d26e
Author: erikzaadi <erik.zaadi@gmail.com>
Date:   Mon Feb 10 13:01:36 2014 +0200

    IBM XIV and DS8000 Driver reorganizing (IBM dir)
    
        * renamed:    cinder/volume/drivers/xiv_ds8k.py
                      -> cinder/volume/drivers/ibm/xiv_ds8k.py
        * updated all references to old xiv_ds8k paths
        * regenerated sample.conf
    
    Change-Id: Iab094c78a0e4eb1753fe8809089ba1337d95e2e0
    Partially implements: blueprint ibm-volume-driver-reorg

commit 9a8d41e0132d4676b611f940de552dd450b7cac7
Author: Zhongyue Luo <zhongyue.nah@intel.com>
Date:   Mon Jan 13 09:44:56 2014 +0800

    Sync oslo imageutils, strutils to cinder
    
    Changes in imageutils:
    ===============================
    bec3a5e Implements SI/IEC unit system conversion to bytes
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    aad179d Fixing misspelled encryption key in QemuImgInfo
    12bcdb7 Remove vim header
    2bd46eb Refactors byte size extraction logic
    
    Changes in strutils:
    ====================
    bec3a5e Implements SI/IEC unit system conversion to bytes
    e53fe85 strutils bool_from_string, allow specified default
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    84d461e Fix a bug in safe_encode where it returns a bytes object in py3
    12bcdb7 Remove vim header
    3970d46 Fix typos in oslo
    1a2df89 Enable H302 hacking check
    67bd769 python3: Fix traceback while running python3.
    b0c51ec Refactors to_bytes
    
    Change-Id: I765bcd40f959162874bfda412b69e673c6e5f732
    Related-bug: #1189635
    Related-bug: #1193765
    Related-Bug: #1257829

commit e96f3b513302cf2ddd362c39bf1b1e9680a1bc7e
Merge: 37eb101 432a47c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 18 03:04:16 2014 +0000

    Merge "Add support for backing up volume metadata"

commit 143cba56cf65201c4b519ba295cb222b0088ad0a
Author: Bill Owen <billowen@us.ibm.com>
Date:   Wed Feb 12 16:41:38 2014 -0700

    GPFS:  Implement volume backup and restore
    
    Add support in gpfs driver for volume backup interface
    to backup or restore a volume using backup service
    specified in cinder.conf.
    
    Implements: blueprint gpfs-volume-backup
    Change-Id: I6f6730bab87c7e7547a66e1b57909f761f87d347

commit a5c5e6871d1d1a3c25627835208fa800eb125934
Author: Navneet Singh <singn@netapp.com>
Date:   Mon Feb 17 18:35:50 2014 +0530

    Fix missing package dependency for requests
    
    The package named requests is used by NetApp eseries
    driver for doing client/server communications. This entry
    is absent in requirements.txt. The patch fixes it.
    
    Closes-bug: #1291325
    
    Change-Id: I044ecce433d3d9e0409762a3e4551e1ce17f607d

commit c1853677d4637edb3c341589fad6aed0d5f71a3d
Author: Pranali Deore <pranali.deore@nttdata.com>
Date:   Mon Feb 17 01:35:34 2014 -0800

    test_volume unittest fails if ran only this module
    
    Using stevedore ExtensionManager to load entry_points(extensions)
    before running any test case.
    
    In BaseVolumeTestCase we have stubbed 'os.path.exists' call,
    because of this stevedore is not able to load entry points paroperly.
    Stevedore internally use pkg_resources and pkg_resources use
    'os.path.exists' to check if entry_points.txt file exists or not.
    Because of stubbibg it is returning True even if file do not exists.
    
    Change-Id: I4fd6bee2e9f33c45ad3deacfe7359dc56171205e
    Closes-Bug: #1263175

commit 5074cf5f574c94bd1a11b143bed9a6b22fa01ec5
Author: shihanzhang <shihanzhang@huawei.com>
Date:   Mon Feb 17 15:51:49 2014 +0800

    Fix invalid facilities documented in rootwrap.conf
    
    The values user0 and user1 do not map to valid facility values.
    local1, etc.  Using user0 results in a  pri value that does not map
    back to a facility of the same name in syslog.
    
    RFC5424 suggest values values of local0 through local7.  Setting
    syslog_log_facility to one of those values results in a message with a
    priority that can be mapped back to the original string value.
    
    This fix adjusts the comment in rootwrap.conf to suggest the local
    prefix instead of the user prefix.
    
    Change-Id: I1c1233ab2386994672d22341fbe3e097409dbcbc
    Closes-bug: #1280879

commit 6427b5506de72f0adf224d3643f6df9d4a465bdd
Author: He Yongli <yongli.he@intel.com>
Date:   Mon Feb 17 14:41:25 2014 +0800

    Use six.moves cStringIO instead of cStringIO
    
    to keep Python 3.x compatibility, use six.moves.cStringIO to
    replace StringIO
    
    Change-Id: Id89c6156d9bba0007e8b16cd2cc28413a7cc5fd3
    Closes-Bug: #1280964

commit e8fac5eda3309a19ee2e1b36883a4e30476644a9
Author: Navneet Singh <singn@netapp.com>
Date:   Fri Feb 14 21:21:33 2014 +0530

    NetApp api fix structure conversion methods
    
    This fixes the issue in api element creation
    when data structures are supplied to be converted
    into NaElements. It could not handle multiple
    keys with same name and also not converted different
    types properly into NaElement. This change fixes the issue.
    
    Change-Id: I84f1ee97a73bbad88bbb64d4a9ac4e1b29cad741
    Closes-bug: #1287643

commit 37eb101b1c91c2219d83b78df28d39dc71f7323b
Merge: b6e116c 2517053
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 20:29:42 2014 +0000

    Merge "Add searchDepth when getClusterInfo called."

commit b6e116c28c9eaffc9a095e6cae95ed7c47f08abd
Merge: 1f23c79 09b20b1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 19:30:57 2014 +0000

    Merge "Fix wrong example of "nova_endpoint_template""

commit 1f23c79cb386c6e0103ba810bc79a9994335f615
Merge: de45d4e 9dcd2ec
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 19:28:50 2014 +0000

    Merge "Replace assertEqual(None, *) with assertIsNone in tests"

commit de45d4e44255ea3e95535a5005f725a0f15aff29
Merge: 359dec4 5a7808d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 19:28:42 2014 +0000

    Merge "Add EMC SMI-S FC Driver in Cinder"

commit 359dec4a21f5fd057241bc970f0836c5da0326dc
Merge: 2197ad0 6ba7b2d
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sat Feb 15 18:50:25 2014 +0000

    Merge "Imported Translations from Transifex"

commit 2197ad0c53b061f4cdc51db29974ceb6c2360a97
Merge: a5d5f68 a444ca8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 18:45:43 2014 +0000

    Merge "Cast the quota set values to integer before checking their validity"

commit a5d5f68929821a01b6fb9ec2eb995d3e687f5fdc
Merge: 58ae3f2 24755ff
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 18:45:35 2014 +0000

    Merge "Remove dependent module py3kcompat"

commit 432a47cbc03414ca7ee6565c9dbcc91d7bf675fb
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Tue Oct 15 19:01:06 2013 +0100

    Add support for backing up volume metadata
    
    This commit adds a new versioned api to the backup driver base
    class which all backup driver implementations should use in order
    to support backing up volume metadata as well as data. The general
    rule here is that we backup all metadata from a set of db tables
    and can then be selective about what we restore.
    
    As part of this commit, Ceph backup driver implements the new api
    to backup volume metadata (including glance metadata) thus
    supporting restoring volumes as bootable.
    
    It is expected that the other backup driver implementations will
    follow suit and adopt this approach.
    
    Implements: blueprint cinder-backup-volume-metadata-support
    Fixes: bug 1137908
    Change-Id: Icf2f1202d827d2435e09f5dad0f6f022f35dceee

commit 6ba7b2d97fd6c8a9b960097d2c8c4caaacce4a07
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sat Feb 15 06:17:16 2014 +0000

    Imported Translations from Transifex
    
    Change-Id: Id20fd023c69d84a929f432304ab15e6c80c81b3b

commit 58ae3f2842183adc62d78147e1fc09a6434eae41
Merge: d8f474b eba0458
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 06:03:46 2014 +0000

    Merge "Remove unused exception"

commit 9dcd2ec8324fef1018af9161f70c80c76e7b7357
Author: llg8212 <lilinguo@huawei.com>
Date:   Sat Feb 15 12:42:56 2014 +0800

    Replace assertEqual(None, *) with assertIsNone in tests
    
    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.
    
    Change-Id: Iac9462620bf4ae338998fa6aea7f1514a945059b
    Closes-Bug:#1280522

commit d8f474b98fb40af8eea82f96e5efd66bff6ee728
Merge: 8272f6c c311e94
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 02:21:20 2014 +0000

    Merge "lvm: unhandled exception when migrating volume"

commit 8272f6cefb01e9d2f9a2c97d6b894772392ee49b
Merge: ae5ae50 4d1d934
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 15 01:19:10 2014 +0000

    Merge "Fix cinder-backup volume restore with ceph driver"

commit 3caa76a2b24a586783e22f045d0c40aeffed91b9
Author: Brianna Poulos <Brianna.Poulos@jhuapl.edu>
Date:   Mon Feb 10 16:13:59 2014 -0500

    Add encrypted flag to volumes
    
    Currently, the only way to determine whether a volume is encrypted
    is by retrieving the encryption metadata about the volume (through
    cinder.api.contrib.volume_encryption_metadata) and checking the
    encryption_key_id value.  This patch adds an "encrypted" flag to
    the basic volume api to enable other services (like Horizon: see
    patch https://review.openstack.org/#/c/71125) to easily tell
    whether a volume is encrypted using a basic get call,instead of
    requiring an additional call.
    
    Implements blueprint encrypt-cinder-volumes
    https://blueprints.launchpad.net/nova/+spec/encrypt-cinder-volumes
    
    Change-Id: Id8e422135f17795de06589930afd0309fde28fd1

commit fa51dab15d381371368b7d566f4ad8217541061c
Author: Jim Branen <james.branen@hp.com>
Date:   Fri Feb 14 09:24:53 2014 -0800

    Implement retype in HP LeftHand driver
    
    This adds the ability to modify the
    type of an existing HP LeftHand volume to
    another type supported on the same backend.
    
    Main use case for this is changing provisioning,
    (full vs. thin), adaptive optimization and data
    protections settings for a volume on-demand.
    
    Change-Id: I78e53431708bcb3151c5dc4016e65d1a655e03c6
    Implements: blueprint retype-support-for-hplefthand-driver

commit a444ca8646103042d665536796168252a8ca1031
Author: Sylvain Baubeau <sylvain.baubeau@enovance.com>
Date:   Fri Feb 14 18:13:50 2014 +0100

    Cast the quota set values to integer before checking their validity
    
    Change-Id: I56409607d435a5e2ff702ccb9f19c5d12b432570
    Closes-Bug: #1280159

commit 848ae6677e235778fd0b5efd500ea92c5b955096
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu Jan 23 10:43:01 2014 +0100

    Remove rabbit_notifier (Sync notifier with oslo d6e1ba7)
    
    rpc_notifier is available since grizzly, and rabbit_notifier
    was printing deprecation messages since then. Remove it
    for icehouse. This includes a sync to oslo-incubator, which
    includes the following commits:
    
      aff0171 Remove "vim: tabstop=4 shiftwidth=4 softtabstop=4" from headers
      8575d87 Removed copyright from empty files
      8b2b0b7 Use hacking import_exceptions for gettextutils._
      6fa29ae Trivial: Make vertical white space after license header
              consistent
      d7ae4ff Remove deprecated Grizzly features
    
    DocImpact: Remove all references to rabbit_notifier and replace
    it with rpc_notifier.
    
    Change-Id: I889b43dfcebe6574dfa00ea50818f85732860d98

commit 24755ff21f0ee7643ba1cdeb339b260cde5683e9
Author: llg8212 <lilinguo@huawei.com>
Date:   Fri Feb 14 16:34:01 2014 +0800

    Remove dependent module py3kcompat
    
    Module py3kcompat was removed from oslo-incubator, we can use
    six directly.
    
    Change-Id: I6c4266b71312ae53ecaedbd2ce1a865e60eb8d50
    Closes-Bug: #1280033

commit 5a7808d676a844c5c1327bd59ec184e26e0546b1
Author: Xing Yang <xing.yang@emc.com>
Date:   Tue Feb 11 00:00:53 2014 -0500

    Add EMC SMI-S FC Driver in Cinder
    
    Add an EMC SMI-S FC Driver in Cinder. It supports all required
    driver features.
    Also made enhancements to the existing SMI-S iSCSI Driver
    (performance enhancement, multiple pool support and thick/thin
    provisioning, extend volume).
    emc_smis_common.py is the common code used by both iSCSI driver
    (emc_smis_iscsi.py) and FC driver (emc_smis_fc.py).
    
    Implements blueprint emc-fibre-channel-volume-driver
    
    Change-Id: Idace398ef60863811911511bcbbfcecb3bf58270

commit 09b20b1b8493bef07cfc1caa8c345eba7ae33062
Author: ruichen <kiwik.chenrui@huawei.com>
Date:   Thu Feb 13 19:12:21 2014 +0800

    Fix wrong example of "nova_endpoint_template"
    
    In cinder.conf
    
    e.g. http://localhost:8774/v2/%(tenant_id)s
    
    should be
    
    e.g. http://localhost:8774/v2/%(project_id)s
    
    Change-Id: I7dd3be9bc9d2e8f26619b00b5bdbc66505a984b2
    Closes-Bug: #1279747

commit 3fd1beb85c0888251781fe56b067b08c4957b94b
Author: Navneet Singh <singn@netapp.com>
Date:   Mon Nov 25 06:29:41 2013 +0530

    NetApp eseries iscsi driver implementation
    
    This change introduces the iscsi
    driver for NetApp eseries family of storage
    systems. E-series is another  storage
    solution offered by NetApp.
    
    Related-Bug: 1278567
    Implements: blueprint netapp-eseries--cinder-driver
    Certification results: https://launchpadlibrarian.net/166301064/eseries_cinder_certification.log
    
    Change-Id: I8b55d1f1c8de12052281c7cae0c2f89a9d2c3dd1

commit b0ac8294dd9d8dbddfbb320c62d7264daf55be26
Author: Bill Owen <billowen@us.ibm.com>
Date:   Wed Feb 12 17:37:36 2014 -0700

    Update gpfs driver volume creation process
    
    Modify gpfs driver to set file permissions in
    a more consistent way.
    
    Modify image_utils.resize_image to allow caller
    to request it be run as root.
    
    SecurityImpact
    Change-Id: Ic01d91c0d660c74095e8d2b212279b39b9b9dc05
    Partial-Bug: #1260679

commit 3764cecfc3b0a5b35634b15a4b049f433a8a22de
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Fri Jan 17 16:45:32 2014 +0100

    Deactivate LV before removing
    
    With certain versions of LVM2, removing an active LV can end up with
    
      Unable to deactivate open XXX
      libdevmapper exiting with 1 device(s) still suspended.
    
    which causes any lvm command afterwards to hang endlessly on
    trying to access the suspended volume. This seems to be caused
    by a race with udev, so lets be conservative and do the deactivation,
    then wait for udev and then finish the removal.
    
    Closes-Bug: #1270192
    
    Change-Id: I4703133180567090878ea5047dd29d9f97ad85ab

commit ae5ae5079e10f2810b8ba5a29fcddcd10f2f9b38
Merge: 66d6245 63385d3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 13 14:43:06 2014 +0000

    Merge "Add update support to volume type encryption"

commit 6846ed79c31f02bbacf48d2bb22e7128549c56f0
Author: Subramanian Neelakantan <subramanian.neelakantan@gmail.com>
Date:   Wed Feb 5 17:39:05 2014 +0530

    VMware: changing volumeops tests from mox to mock.
    
    Changing unit tests implementation of volumeops to mock. In the process
    also moving all these unit tests into a separate class for better
    test organization.
    
    Partial-Bug: #1261097
    Change-Id: I08b2341b22ed9c8f63930a2c73a9737cbe7ef540

commit 66d62457cfe9560e39f7b412b91140fb58723ad7
Merge: 893aaa9 e7e7242
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 13 12:11:24 2014 +0000

    Merge "Rename Openstack to OpenStack"

commit 893aaa9ab3b51e063adef0103e05e10f969735ac
Merge: 3fe6cf5 41e3a94
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 13 06:23:29 2014 +0000

    Merge "GlusterFS: Fix create/restore backup"

commit eba04582cb9199529d286f189f6613c218dd2840
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Thu Feb 13 14:10:21 2014 +0900

    Remove unused exception
    
     o class WillNotSchedule(CinderException):
    
       This exception was removed in the following commit.
    
        commit cea7fe21cecfcd28ede3ba411b8ab8b36c9a7c15
        Author: Zhiteng Huang <zhithuang@ebaysf.com>
        Date:   Thu Jan 2 15:44:30 2014 +0800
    
            Drop Chance/SimpleScheduler Implementation
    
    Change-Id: I8f5f8e6c5c844a67607dae9fb63524aef7069133

commit 3fe6cf5459c6488959f302436f013cc2db0c88a5
Merge: 230760f be163cf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 13 05:06:20 2014 +0000

    Merge "Allow operators to customize max header size"

commit 230760fe0d85bd08b8fc5b6fc4b8c7ded97f9536
Merge: 0bded08 26f9b33
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 13 04:25:21 2014 +0000

    Merge "Changes to cast variable as integer as XML API fails."

commit 0bded089b53ac3e20a061c14804c9b8f3e8cb31b
Merge: f34c484 bdf6e2b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 13 02:00:43 2014 +0000

    Merge "Move create_, remove_ and ensure_export from drivers"

commit f34c484328d49837b7b38b7d2df5e619f5951806
Merge: 23b7700 ab937af
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 13 01:19:14 2014 +0000

    Merge "Ceph backup driver tidyup"

commit 251705354914d4af761965bf32b0e8fd948951c3
Author: Jay Lee <jaesang50.lee@samsung.com>
Date:   Sat Feb 8 01:43:27 2014 +0000

    Add searchDepth when getClusterInfo called.
    
    Without searchDepth, getClusterInfo shows every volume and
    snapshot. It's an unused information and takes very long time.
    
    Change-Id: Id590e3023f4446f01b965baf4e8ac61980101067
    Closes-Bug: 1276388

commit 23b7700a381af24d7c13b08ee0d9e7ee9c41ca2e
Merge: ba8a38e 68228eb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 12 20:19:29 2014 +0000

    Merge "Check type argument on create from source and snap"

commit ba8a38e97c4daa6cfcc302ac7476fe06675816f2
Merge: d033042 b5c4c57
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 12 19:00:52 2014 +0000

    Merge "Removed unused context in _extend_snapshot method"

commit d033042d748cea695f33719d57f3f65754ad6dc5
Merge: e6d91ed adbb272
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 12 16:29:02 2014 +0000

    Merge "Add notifier events to cinder volume rename, reset-state"

commit 68228eb7f41f419eec2427a5e1a14f6612a705ff
Author: john-griffith <john.griffith@solidfire.com>
Date:   Mon Feb 10 14:42:43 2014 -0700

    Check type argument on create from source and snap
    
    Currently the create from snap and create from source
    options will set the volume-type when specified in the
    create call.
    
    This is actually wrong, because clone and create from snap
    MUST be performed on the same backend as the parent volume.  The
    result is that if the specified type doesn't match the specs for
    it's parent, and actually needs to be on a different backend
    the new volume will "appear" to have the correct type, but it's
    actually invalid.
    
    The --volume-type argument should be rejected when --source-volid
    or --snapshot-id are used, and the parent type-id just picked up
    and used.  Then the user can retype if desired.
    
    Auto failing this strictly causes backward compatability issues though
    so we'll just check for a mismatch and raise an exception in that case.
    This way if the user knows what they're doing and they're explicit
    in the command we still allow it and things are fine.
    
    Change-Id: Ia822cfe48a948045ccea6533bcf92e68ed97ef37
    Closes-Bug: 1276787

commit e7e72424aa1d69d2e0a2ada3156a890da4434506
Author: tanlin <lin.tan@intel.com>
Date:   Wed Feb 12 15:54:03 2014 +0800

    Rename Openstack to OpenStack
    
    Change-Id: I074a734cc7bd5db60aeb08a42a4f36432b6f3163

commit e3eb709b08e52e24cd7e3225a73154efc62ba9fa
Author: Zhongyue Luo <zhongyue.nah@intel.com>
Date:   Fri Feb 7 12:43:58 2014 +0800

    Removes use of timeutils.set_time_override
    
    The set_time_override function in timeutils was written as a
    helper function to mock utcnow for unittests before 'mock' was
    generally used. Now that we have mock and fixture, we no longer
    need to use it.
    
    Change-Id: I057d4bc3a8b1d4e96e6830cd3071dc96a05496dc
    Partial-Bug: #1266962

commit e6d91ed83acc7bcc9a389e827f04270392dc640c
Merge: 99898ac dc02810
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 12 07:40:30 2014 +0000

    Merge "Fix LVM migrate_volume tests"

commit 99898acccce1705bf0868298fb53fc49cd3143cb
Merge: 6b431eb 3a4153e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 12 07:30:19 2014 +0000

    Merge "Dont set error_extending status on API extend call"

commit b5c4c5767fbfe9580e68343e722794326e6bb254
Author: ling-yun <zengyunling@huawei.com>
Date:   Wed Feb 12 10:02:54 2014 +0800

    Removed unused context in _extend_snapshot method
    
    Input parameter 'context' of _extend_snapshot method in
    cinder/api/extended_snapshot_attributes.py is not being used, so remove
    this 'context' parameter.
    
    Change-Id: I8577e3938d5ed5bfb143a605320063a6b17c3be0
    Closes-bug: #1279146

commit db29f6e0e239c9efccabf1aede7075f425d9c607
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Mon Feb 10 18:59:38 2014 +0900

    Remove unused methods
    
     o cinder/volume/driver.py
       - def _get_iscsi_initiator(self):
    
         This method was removed in the following commit.
    
           commit cb6faab4d99801e76195802659013a5ccdc6b5b5
           Author: Walter A. Boring IV <walter.boring@hp.com>
           Date:   Wed Jul 10 15:22:06 2013 -0700
    
               Add Brick Fibre Channel attach/detach support.
    
     o cinder/volume/utils.py
       - def get_host_from_queue(queuename):
    
         This method was added in the following commit.
    
           commit 6c708d12f58eb20fce6733f1f6fd08d978570775
           Author: Michael Basnight <mbasnight@gmail.com>
           Date:   Mon Feb 11 15:54:45 2013 -0600
    
               Update cinder-volume to enable multi volume support
    
         But there is no evidence that was used.
    
       - def notify_usage_exists(context, volume_ref, current_period=False):
    
         This method was removed in the following commit.
    
           commit d09b7c78b3c905badb1112434eb9c09c2c8ffb5a
           Author: Ollie Leahy <oliver.leahy@hp.com>
           Date:   Thu Dec 12 11:01:34 2013 +0000
    
               Allow user to specify audit period.
    
    Change-Id: I819679e03df9a2a848004d14e3f55821c88834a4

commit 6b431ebdc108b92c660cb5a8b1640b877b8f8a27
Merge: 0c732de 0916370
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 21:44:47 2014 +0000

    Merge "Storwize/SVC: Check wwpn not None"

commit 0916370a486419b9606331d972666f1551d499d9
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Tue Feb 11 22:34:24 2014 +0200

    Storwize/SVC: Check wwpn not None
    
    If the storage doesn't have WWPN information for a host but gets it in
    the connector, initialize_connection can fail because it does
    wwpn.lower(), and wwpn can be None. Make sure it isn't before calling
    lower().
    
    Change-Id: I9923f5c87a1e596e35116bfcbf08c181b75bba35
    Closes-bug: 1279061

commit 0c732de914e70372b64640c673ec44e273346457
Merge: c7976f1 2f6b405
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 19:52:50 2014 +0000

    Merge "Remove tox locale overrides"

commit c7976f116bc89524e38b2adc648acd2a74212f26
Merge: 0388ec7 0e83faf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 19:39:55 2014 +0000

    Merge "New HP LeftHand array iSCSI driver"

commit 26f9b33085b20a3967299a4d3b2ec871bd6a40d0
Author: Glenn M. Gobeli <Glenn.Gobeli@netapp.com>
Date:   Tue Feb 11 13:03:13 2014 -0500

    Changes to cast variable as integer as XML API fails.
    
    Code change to ensure that the type of the size variable is correct
    when cinder is invoked through XML API. The extend volume code path
    differs from volume create where the flow portion verifies that the
    size variable is an integer; for extend the earliest place to cast
    the size variable is in volume_actions.py.
    
    Change-Id: Iaaed463f988769b8093604cd3b677b270dd2c5cd
    Closes-bug: 1277233

commit 0388ec72dfedbdbd0718e01fd61e555065c6e04c
Merge: baedbeb 5ba26c8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 13:11:57 2014 +0000

    Merge "Storwize/SVC: Fix races in host-related functions"

commit ab937afadff3e368125e39ca1aa96ae135663144
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Thu Feb 6 11:06:02 2014 +0000

    Ceph backup driver tidyup
    
    Fixed typos and cleaned up log messages and docstrings.
    
    Closes-Bug: 1276969
    Change-Id: Idb1ba4f3315edb76fefc993b38b0590b4794345b

commit bdf6e2b5f853b0608dfb81b0d0489b469ead5fd2
Author: Ann Kamyshnikova <akamyshnikova@mirantis.com>
Date:   Tue Aug 27 16:17:25 2013 +0400

    Move create_, remove_ and ensure_export from drivers
    
    create_export, remove_export, ensure_export are almost the same in
    LVM and BlockDevice drivers. So they should be moved to
    a common cinder.volume.iscsi module.
    
    Change-Id: Id7aa0e10d6b346356312416aee179a1fe8bacef1

commit baedbeb6294e3f5d426c658b6abdea070e5f7f93
Merge: aeef169 82cb3c0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 09:07:47 2014 +0000

    Merge "Add method for unit tests to set logging level"

commit aeef169e01a5e3029f3341e0caae926207784d8c
Merge: 18ae382 5dd125d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 09:07:39 2014 +0000

    Merge "Move clear_volume back to it's own method"

commit 18ae382d6ca951aeb06f1ee3a04cb5e6c367a481
Merge: 9548244 10108f4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 08:03:19 2014 +0000

    Merge "Fixes cinder failed to create/restore a backup with NFS driver"

commit 954824466d895130021a52fc95add267e0aff995
Merge: 776845e 2d04764
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 07:56:17 2014 +0000

    Merge "Implement retype in SolidFire driver"

commit 776845eb790aab3e7e883b58bceafaad4cdfe081
Merge: a9112a9 1724c5c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 11 00:30:08 2014 +0000

    Merge "Remove SSH code from 3PAR drivers"

commit 0e83faf4b84722a88ab35d8f0c3e391b0ec2d2af
Author: Jim Branen <james.branen@hp.com>
Date:   Mon Jan 6 16:14:35 2014 -0800

    New HP LeftHand array iSCSI driver
    
    This driver is intended to replace the current OpenStack Block
    Storage HP LeftHand (LH) StoreVirtual iSCSI Driver,
    (cinder.volume.drivers.san.HpSanISCSIDriver), by moving the
    existing SSH interface into the new driver to maintain backwards
    compatibility, and add the new LH REST interface for new driver
    features.
    
    We have the driver broken into 3 files:
    hp_lefthand_iscis.py (common interface)
    hp_lefthand_cliq_proxy.py (old SSH interface)
    hp_lefthand_rest_proxy.py (new REST interface)
    
    The reason we are doing this is because the SSH interface on LH
    array has connections and performance limitations. These problems
    will be resolved by moving to the new LH OS REST interface. Also,
    new LeftHand array capabilities will only be supported in the
    REST(hplefthandclient) interface.
    
    To support new driver capabilities (create cloned volume), the
    python REST client (hplefthandclient) is required and can be
    downloaded from the pypi repository:
      http://pypi.python.org/pypi/hplefthandclient.
    This REST client requires LeftHand firmware version 11.5 or
    greater.
    
    The SSH interface will be phased out over time.
    
    Driver cert test results;
    Related-Bug: 1276809
    
    Closes-Bug: 1277339
    
    DocImpact: Document new driver configuration.
    
    Implements blueprint lefthand-cinder-driver
    
    Change-Id: Id557cab69022c3f7851be14cd82bdab0e4157e55

commit 41e3a94ae18a9219ff4ab10389f3a7799c9b6493
Author: Eric Harney <eharney@redhat.com>
Date:   Fri Feb 7 12:58:35 2014 -0500

    GlusterFS: Fix create/restore backup
    
    Allow create_backup for GlusterFS volumes, but
    only when snapshots do not exist.  (For now.)
    
    Restore is a no-op for the driver, so allow it.
    
    Related-Bug: 1247743
    Closes-Bug: 1275977
    
    Change-Id: I50b8f6cac684c967c7374bb43247a396ce936157

commit be163cf1028aff50413a89060bb8badfa7d51ad5
Author: Florent Flament <florent.flament-ext@cloudwatt.com>
Date:   Fri Jan 17 10:54:27 2014 +0000

    Allow operators to customize max header size
    
    HTTP messages max header line size has been increased from 8K to 16K
    by default to allow using tokens including up to 14-15 catalog
    entries.  The same issue
    (https://bugs.launchpad.net/swift/+bug/1190149) may occur again in
    the future, if keystone's catalog grows further.
    
    Allowing operators to customize the max header size, will allow them
    to have Cinder working whatever the size of the catalog (if the option
    is properly set).
    
    Change-Id: Iac269d96fadc96c1e9383dc03422f2d87196dd9d
    Related-Bug: #1190149
    DocImpact

commit a9112a9cd8d1286e6c62c1a848c10e4d926a45c2
Author: John Griffith <john.griffith@solidfire.com>
Date:   Mon Feb 10 05:21:18 2014 +0000

    Fixup persistence file not found on tgt remove
    
    After commit: beecd769af02ba5915be827d28a7b46d970e41b0
    we're experiencing a race in the tempest gating tests.
    
    It appears that there are certain cases where a detach
    and a delete call can overlap causing a race in the
    remove_iscsi_target method.  The result is that when
    the slower method gets around to the final removal of
    the persistence file it's no longer there, so we
    hit an unhandled exception.
    
    This patch does two things:
    1. It adds the volume lock to the detach_volume
    method in the manager (already in place for delete).
    This should mitigate the race and allow us to avoid it.
    
    2. In the iscsi_remove_target method check if the
    persist file has already been removed when we get
    to the last check.  The fact is that if it was somehow
    removed before we got here we don't really care, we're
    just going to delete it anyway.
    
    Change-Id: Ied45e1a66c8fb79c95ada66f8c59bd2839e200ad
    Closes-Bug: 1277362

commit 2f6b4053c82f3fe7798b47c25d6959071aaeb526
Author: Jeremy Stanley <fungi@yuggoth.org>
Date:   Mon Feb 10 02:57:24 2014 +0000

    Remove tox locale overrides
    
    * tox.ini: The LANG, LANGUAGE and LC_ALL environment overrides were
    introduced originally during the testr migration in an attempt to be
    conservative about the possibility that locale settings in the
    calling environment could cause consistency problems for test runs.
    In actuality, this should be unnecessary and any place where it does
    cause issues ought to be considered an actual bug. Also, having
    these in the configuration actively causes older pip to have
    problems with non-ASCII content in some package metadata files under
    Python 3, so drop it now.
    
    Change-Id: Ib970a2d3cf62619378792d295b4e2e7216e05181
    Closes-Bug: #1277495

commit 82cb3c03909bbb9eadeb9eeedfe17b8deb429a9c
Author: Bill Owen <billowen@us.ibm.com>
Date:   Sun Feb 9 14:46:50 2014 -0700

    Add method for unit tests to set logging level
    
    Implements: blueprint cinder-testcase-set-loglevel
    Change-Id: Id4bb7023659eda593cc5ac451aa580f68a1a6b9d

commit 57c6e2f7a1b9d528fab36c14d0f1526f07d53f91
Author: Navneet Singh <singn@netapp.com>
Date:   Tue Feb 4 16:59:30 2014 +0530

    Brick support for pNFS
    
    This change implements a retry mechanism
    during mounting nfs share. It tries mounting
    using pnfs if no specific nfs version is specified
    in the nfs options. In case of any failure during mounting
    it falls back to regular nfs mount which will internally
    try to mount with highest supported version. If nfs version
    is specified in options then regular mount will be allowed.
    
    Change-Id: I502b375548707ce7021cbacf1cd4f5532804aeb3
    Implements: blueprint pnfs

commit 5ba26c8aa5b295a1202fbc6c01eb050ce3f3af3d
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Sat Feb 8 22:59:58 2014 +0200

    Storwize/SVC: Fix races in host-related functions
    
    In the Storwize/SVC driver, initialize_connection checks if a host
    object exists on the storage, and if not, creates one. Similarly,
    terminate_connection checks if there are any more mappings for this
    host, and deletes the host object if there are none. Consequently, there
    exist races between two initialize_connection calls, two
    terminate_connection calls, or one and one.
    
    The easy solution here is to use locks. Because locks are files on the
    local machine, this implies that all cinder-volume processes managing a
    given Storwize/SVC contoller run on the same machine.
    
    Change-Id: I62cd992e7150e7d16f1a2b2be6ef61c64b638858
    Closes-Bug: #1274123

commit 4d1d9349fed815b37b0675d6f3936243a3909125
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Thu Feb 6 13:06:44 2014 +0000

    Fix cinder-backup volume restore with ceph driver
    
    Restore operations currently break if restoring to
    the backup source volume, that volume is an rbd and
    the associated backup was incremental.
    
    Change-Id: Ieafe6ab2d1a15cad2b534a3aab0df29eb8591306
    Closes-Bug: 1276977

commit 0e5b1bfe4fa3dcdfa9e9ed5d6843842861e51b97
Merge: e8feb70 f134e3b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 8 05:04:21 2014 +0000

    Merge "Brick fix BrickException message formatting"

commit 3a4153e5f256fb5c7c308815c2314d427c31864b
Author: john-griffith <john.griffith@solidfire.com>
Date:   Fri Feb 7 21:55:22 2014 -0700

    Dont set error_extending status on API extend call
    
    Recent change (Ifd523ac5e9039861cf87711dc5c4842b5cb524c2)
    moved the quota check on extend_volume to the API layer
    in order to provide feedback to caller if the quota check
    failed.
    
    The problem is that change still sets the volume status to
    error_extending if the quota check fails.  There's no reason
    to do this if we're now giving immediate feedback that the call
    failed.
    
    I'm also unclear on what the purpose of adding the reservations
    to the rpc call are, but I'll double check on that before changing.
    
    This patch leaves most of the previous change in place but
    removes the setting of error_extending to the volumes status
    on the quota fail.
    
    Change-Id: I8521c876b8d5c344713f211fa0c8c0c58a12a879

commit e8feb702f6953db86f45c4c28ce4182e2e22377c
Merge: 468bb2f cb33593
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 8 04:16:15 2014 +0000

    Merge "Fix misspellings in cinder"

commit cb33593e3d93903990b568b41e545f75a4dd5e83
Author: Shane Wang <shane.wang@intel.com>
Date:   Fri Feb 7 14:45:43 2014 +0800

    Fix misspellings in cinder
    
    Fix misspellings detected by:
    * pip install misspellings
    * git ls-files | grep -v locale | misspellings -f -
    
    Change-Id: I4780a9cdd4a2aff5a3dbc55c87e93b0972d907db
    Closes-Bug: #1257295

commit 10108f4d2e640a9fc12037ece39a833421d27149
Author: Jeff Applewhite <jeff.applewhite@netapp.com>
Date:   Thu Jan 30 14:11:08 2014 -0500

    Fixes cinder failed to create/restore a backup with NFS driver
    
    The action cinder backup-create fails when trying to backup a newly
    created volume when using cinder.volume.drivers.nfs.NfsDriver. This
    patch removes not implemented stubs for backup_volume and
    restore_volume. The inherited methods in cinder/volume/driver.py
    succeed in creating a backup and in restoring it. After manual
    testing of this change backups/restores succeed without the not
    implemented stubs. This change also adds the not implemented
    stubs to the glusterfs driver until a fix is submitted.
    
    Closes-Bug: #1247743
    
    Change-Id: I5478d00442ce855c91a7f04c5ba2b40733d44902

commit 468bb2f40e4f83305624b7b485698f1cb751b591
Merge: 1417802 24d6b57
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 8 00:34:21 2014 +0000

    Merge "Validate the quota in the API layer for volume extend"

commit 141780203a203560e34ab823ec17267ddb3be038
Merge: d6947fc 4edde1f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 8 00:19:02 2014 +0000

    Merge "Brick connector fix for GlusterFS"

commit d6947fc930bece63b840983aa89fc6657012a7f2
Merge: 0b6c1aa bf0ad01
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 7 23:24:29 2014 +0000

    Merge "RBD unit test improvements"

commit f134e3becb978c138c33de411c47fd9afa41900c
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Fri Jan 31 11:33:17 2014 -0800

    Brick fix BrickException message formatting
    
    This patch fixes an issue when passing in a
    formatting key and value for formatted
    text messages for all Brick exceptions.
    
    Added unit tests for brick's exception
    
    Change-Id: I76dcfc6872ca20305d1844162dd0ae28c4bb565c
    Related-Bug: 1238085

commit 0b6c1aa548ceedd0737966e505e85467711b2d4d
Merge: 0e71f48 74762d1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 7 16:39:28 2014 +0000

    Merge "Rename self.tgtadm to self.target_helper"

commit c311e94d3d1f19924ac77d197c616782b497f908
Author: git-harry <git-harry@live.co.uk>
Date:   Fri Feb 7 13:37:59 2014 +0000

    lvm: unhandled exception when migrating volume
    
    Catches the StopIteration exception if the destination volume group
    does not exist when attempting to migrate a volume.
    
    Change-Id: I0b5dd15e4c7198fe54abf1aa917a60554adcd568
    Closes-Bug:  #1277512

commit 2d04764756c25c47f20c6ea8f2c94a0c6673786b
Author: John Griffith <john.griffith@solidfire.com>
Date:   Wed Feb 5 23:33:58 2014 -0700

    Implement retype in SolidFire driver
    
    This just adds the ability to modify the
    type of an existing SolidFire volume to
    another type suppported on the same backend.
    
    Main use case for this is changing QoS settings
    for a volume on-demand.
    
    Also updates the internal attributes to store the
    deltas between the old-type and new-type.
    
    Change-Id: I65a4c34cbec17d0f3987c1d964e6ad1bafea3601
    Implements: blueprint retype-support-for-solidfire-driver

commit 0e71f481237d4aa91bb182e0059851af37c5f43c
Merge: ff8ed31 e989b2d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 7 02:53:30 2014 +0000

    Merge "Don't use shred for volume_clear=zero"

commit ff8ed31bf5e3e967366cb358873187bb636ac8db
Merge: e398628 a9527de
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 7 02:43:57 2014 +0000

    Merge "Add time_type dictionary to test_migrations"

commit 24d6b57d1cb0c4f91545f85ea9c766d1e0ec50a0
Author: Vincent Hou <sbhou@cn.ibm.com>
Date:   Wed Jan 8 02:52:54 2014 -0500

    Validate the quota in the API layer for volume extend
    
    The user needs a friendly message feedback if the quota exceeds when
    the volume is about to extend.
    
    Change-Id: Ifd523ac5e9039861cf87711dc5c4842b5cb524c2
    Closes-Bug: #1256763

commit e3986285d2b297cd424210e3343f8532b12566ff
Merge: bfb62f9 6c9f81b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 7 01:55:49 2014 +0000

    Merge "Sync RPC module from Oslo"

commit bfb62f96a8ec4df9704b3f7831ee7977409b953b
Merge: 7322e5d 4df8093
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 7 01:53:34 2014 +0000

    Merge "Set a sane default for state_path"

commit 7322e5d78313039d5eccf0dadda17782edc6ae4b
Merge: 67f4483 9a1a15c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 6 22:51:58 2014 +0000

    Merge "On create_volume flow get rid of host parameter"

commit 74762d17b92d6de563a310232fe00c1587776f7e
Author: Eric Harney <eharney@redhat.com>
Date:   Wed Jan 29 10:45:03 2014 -0500

    Rename self.tgtadm to self.target_helper
    
    Using "tgtadm" for this member variable is confusing because it
    actually represents tgt, IET, and LIO.  Rename to a more generic
    term to make things more readable.
    
    Also remove "tgtadm" from method names and references in tests
    where it is not tgtadm-specific.
    
    I'm choosing the name "target_helper" because "tgtadm" = tgtd,
    and "iscsi_helper" doesn't fit when using RDMA in ISERDriver.
    
    Change-Id: I73fab03eb6635be6b49950e3a0ccc0e9801697ca

commit 67f4483067919a14520ef0528325e61ca887118c
Merge: f4b336b 50a1267
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 6 19:32:06 2014 +0000

    Merge "vmware: intermittent failure in test_vmware_vmdk"

commit dc02810c5dc64ca48a163645588ea6a60367227a
Author: git-harry <git-harry@live.co.uk>
Date:   Thu Feb 6 16:16:57 2014 +0000

    Fix LVM migrate_volume tests
    
    In cinder/tests/test_volume.py the following tests fail to correctly
    test the functionality.
    
    LVMISCSIVolumeDriverTestCase.test_lvm_migrate_volume_diff_driver
    LVMISCSIVolumeDriverTestCase.test_lvm_migrate_volume_diff_host
    
    The location_info is incorrect, it needs to be 5 sections separated by
    colons otherwise they fail due to bad location info.
    
    Change-Id: Ie7ceaba6b35c0aedb47cae0db5c60cc489e94c49
    Closes-Bug: #1277155

commit 4edde1fc938be9679fbf9c209a7f28b457b1bef1
Author: Eric Harney <eharney@redhat.com>
Date:   Fri Dec 20 11:30:51 2013 -0500

    Brick connector fix for GlusterFS
    
    Fixes an InvalidParameterValue error by passing the required
    information to Brick for mounting.
    
    See also: 1cd3626 Brick connector revised fix for NFS
    
    Bump driver version 1.1.1.
    
    Closes-Bug: 1238085
    
    Change-Id: Ie45889460dd4775a556d592161c98c24a56989c7

commit f4b336b4176c771950486532803808ce451a0d64
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Wed Jan 29 16:57:35 2014 +0000

    Updated from global requirements
    
    Change-Id: I60e217d361a71b2c7518aff98b5530e689d838c5

commit 1cfc3105f04365cd3a96f61252fe0cac823b1f4c
Merge: 5a58a62 7aabee6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 6 14:06:38 2014 +0000

    Merge "vmdk: To add missing time unit in driver option"

commit 5a58a6273cc3d41db1f2c5671e5771edba6d6dd2
Merge: b4493aa e62b705
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 6 12:10:48 2014 +0000

    Merge "Allow spaces in host names in the storwize driver"

commit 50a126735f1f695722fce505aa3b497fd8509c12
Author: Subramanian Neelakantan <subramanian.neelakantan@gmail.com>
Date:   Thu Feb 6 11:37:27 2014 +0530

    vmware: intermittent failure in test_vmware_vmdk
    
    There was a race condition between the two Event() objects being
    created within loopingcall and Retry in api module. Did away with
    the Event object in Retry and used loopingcall the right way.
    
    Change-Id: I2534bad9294747fcd618ba3634abb01ceef92213

commit bf0ad013ba7a601760cff7732c3ae5bd0c5efc15
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Wed Feb 5 17:42:53 2014 +0000

    RBD unit test improvements
    
    This commit brings the implementation of the test_rbd and
    test_backup_ceph unit tests more inline and tries to ensure
    that no mock is set without being unset so as not to tread
    on the toes of any other tests.
    
    Change-Id: Ibb6bd3bf90952914512e3fa39fd216f43f0f8ecb
    Closes-bug: 1276657

commit 5dd125dd8cf555e37b5329867d10c01749f590c4
Author: john-griffith <john.griffith@solidfire.com>
Date:   Tue Feb 4 13:03:52 2014 -0700

    Move clear_volume back to it's own method
    
    This just moves clear_volume back to it's own method
    and also only calls volutils.clear if we actually
    need to perform the clear operation.
    
    Also takes out the hard-coded multiplier of 1024 and
    uses units.GiB.  Maybe this should be a separate patch,
    I'll spin another if there are objections.
    
    Change-Id: I56f6690fbadc0d44eba48f49d29386d5b9dca195

commit e989b2d2ef5435db4e4147e45cc9f4643eef176f
Author: Eric Harney <eharney@redhat.com>
Date:   Tue Feb 4 14:06:59 2014 -0500

    Don't use shred for volume_clear=zero
    
    We should just call copy_volume unless volume_clear='shred' is
    specified.
    
    Change-Id: Id5e15b000cf0d6146ec13f42ff5bb611b6f18484

commit b4493aa0049136e9837f9b527b57737e5c492191
Merge: 87e906c beecd76
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 5 17:05:30 2014 +0000

    Merge "Remove create_export from volume create"

commit 87e906c1684758bc5ad3b2ebfc7a30a14ff14f2e
Merge: 4e1d168 6b255d2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 5 01:51:39 2014 +0000

    Merge "LVM: remove redundant casts to float"

commit 4e1d168aaf186339db373683e8ecb8b3dab3b247
Merge: e61a930 5c23394
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 4 23:09:27 2014 +0000

    Merge "Move clear_volume method to volume.utils"

commit 65c635d6a5be0b4afaa9289c901f90275a0be102
Author: Victor Rodionov <vito.ordaz@gmail.com>
Date:   Mon Dec 23 13:24:41 2013 -0800

    Nexenta iSCSI driver: fixed volume_migration
    
    Fixed volume_migration updating volume provider_location.
    Fixed temporal snapshot deleting after volume migrated.
    
    Change-Id: Id23749cb3724e1510865425232b38b9fc32690f8
    Closes-Bug: #1263258

commit e61a9303274d4cad7411fe35a597a30eb5518633
Merge: 935107d abe8363
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 4 20:25:36 2014 +0000

    Merge "LVM: log thin pool name and size upon creation"

commit 5c2339440a499fb8b86e38893f245b9f02395016
Author: Ann Kamyshnikova <akamyshnikova@mirantis.com>
Date:   Fri Aug 23 16:37:38 2013 +0400

    Move clear_volume method to volume.utils
    
    clear_volume was almost the same in LVM and BlockDevice drivers.
    So it has been moved to utils.
    
    Change-Id: Iadb6b8d01cf500109bb48b0d2c817109918519e0

commit 63385d3c4dcfb725222ffd2a854f421581596fa8
Author: Brianna Poulos <Brianna.Poulos@jhuapl.edu>
Date:   Mon Nov 18 18:04:15 2013 -0500

    Add update support to volume type encryption
    
    This patch adds update support to the Volume Type Encryption API
    Extension.  It allows the updating of volume type encryption for
    a given volume type as long as no volumes are currently in use
    with that volume type.
    
    Change-Id: If5f9ef792626e7dfaf82365bb6838b964f8238ae
    Implements: blueprint encrypt-cinder-volumes
    https://blueprints.launchpad.net/nova/+spec/encrypt-cinder-volumes

commit abe836390dc760e87c443d762dac4849eff21e13
Author: Jon Bernard <jobernar@redhat.com>
Date:   Mon Feb 3 12:44:05 2014 -0500

    LVM: log thin pool name and size upon creation
    
    The thin pool creation size may not be obvious to the user, so a log
    message may help alleviate some confusion.
    
    Change-Id: I3a98b610be612a4fb7496a89f9005012c9210bf8

commit beecd769af02ba5915be827d28a7b46d970e41b0
Author: John Griffith <john.griffith@solidfire.com>
Date:   Fri Jan 31 03:53:37 2014 +0000

    Remove create_export from volume create
    
    Currently the LVM driver creates iscsi targets on
    volume creation, even though it's only used at
    attach time.  This isn't necessary and in fact
    causes issues if a volume is extended because the
    target information isn't currently updated after the
    extend.  In addition a number of other drivers inclduing
    the LIO iscsi driver require the target be created with
    initiator info, so the tgt that's created initially
    again isn't valid.
    
    This change removes the create_export call from the
    volume create process and makes it part of the
    managers intialize_connection routine which is
    more appropriate.
    
    This change also removes the target on detach since
    it's not used any longer and again as the volume may
    be modified or extended.
    
    Change-Id: I0b7dfdaf7e49a069da22f22f459861b0b49430a4
    Closes-Bug: 1248947

commit 7aabee6f76fb390faac68f8195dab4018917bae4
Author: Vipin Balachandran <vbala@vmware.com>
Date:   Tue Feb 4 18:11:12 2014 +0530

    vmdk: To add missing time unit in driver option
    
    Time unit is missing in the description of vmdk driver option
    "vmware_task_poll_interval". Due to this, the vmdk driver config
    reference document doesn't have the timeunit in its description
    column. This fix adds the missing time unit (seconds) in the
    driver option.
    
    Closes-Bug: #1258100
    Change-Id: I2c49c65ca9a48a2dcc6898a32b4bbc0433e8916b

commit 935107d5a28e644a046e4a64782c0bd4bb8a7ab0
Author: john-griffith <john.griffith@solidfire.com>
Date:   Mon Feb 3 20:22:33 2014 -0700

    Update SolidFire Driver to use cinder's units
    
    The SolidFire driver uses math module and it's own
    local GB variable.
    
    This patch just removes that and uses the GiB def
    that already exists in cinder.units.
    
    Change-Id: I4fc167bd61dbb609bd325b4a32b120bf55db02fa

commit 4e04f12ace3077c5fd1e3cd09435501766e24ef1
Author: john-griffith <john.griffith@solidfire.com>
Date:   Mon Feb 3 20:10:03 2014 -0700

    Update cinder.conf.sample for new keystone client
    
    The latest version of keystoneclient adds a new conf
    entry that we don't have in Cinder.
    
    This patch adds "enforce_token_bind=permissive"
    
    Change-Id: I1aeb6a59ca1787c05075d76dd9d1f96722653d88

commit 4c69c846d261870fc88a42b562994bc6e90f1a02
Merge: a26cabd a7b6d82
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 3 18:40:42 2014 +0000

    Merge "Do not show quota of removed volume types in Default Quotas panel"

commit a26cabd80f5595ae42363d1ece790d69a3e17f57
Merge: 4f3d327 7252457
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Mon Feb 3 18:22:35 2014 +0000

    Merge "Imported Translations from Transifex"

commit 6b255d2a47ff2f7d841f994e026a7e00deb74008
Author: Jon Bernard <jobernar@redhat.com>
Date:   Mon Feb 3 12:44:33 2014 -0500

    LVM: remove redundant casts to float
    
    The vg_free_space field is always assigned a float, so additional casts
    are not necessary.
    
    Change-Id: Ic2af78ba7dbd7388cc071fc2f0ea876a1558d0e9

commit 9a1a15c06262ada0e3c03b225c4a36e9d5c2b4fc
Author: Anastasia Karpinska <akarpinska@griddynamics.com>
Date:   Mon Feb 3 17:41:46 2014 +0200

    On create_volume flow get rid of host parameter
    
    On manager create_volume flow save host parameter to volume_ref immediately
    when create volume_ref and remove host parameter from other tasks.
    
    Change-Id: Ifc672741c317112b084a076ca65c11c5d0290930

commit 4f3d327f4a8bbd2b37927bdfe91054b126c9d056
Merge: 23f5311 7d028b7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 3 08:03:26 2014 +0000

    Merge "Add support for special char in volume metadata"

commit 23f531150f747cababcf2c68c534d23ee99cc9c2
Merge: c4ca3ae d311066
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 3 08:03:18 2014 +0000

    Merge "Remove a catching exception during delete_volume"

commit 7252457d1cc5c2670205c58dd57d388429e18317
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Mon Feb 3 06:17:18 2014 +0000

    Imported Translations from Transifex
    
    Change-Id: I723d6663ee209a3e56c1dfcd6e0ddcd2e2af9a12

commit c4ca3ae9c9c8efa1feaa8385932209fe89af38f3
Merge: 8fca3a8 9afbd3f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Feb 2 20:10:14 2014 +0000

    Merge "Stop volume_type_encryption creation when in use"

commit e62b70562dd8d2d94b526f3f7a52ef4aff9a3f40
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Sun Jan 26 12:39:27 2014 +0200

    Allow spaces in host names in the storwize driver
    
    Storwize/SVC naming rules allow host objects to have spaces in their
    names. The SSH injection filter will currently reject such names, and so
    we surround the names with quotes. Please note that this doesn't allow
    to have an arbitrary character in there except a space (anything else
    will be cleaned up by the driver or rejected by the SSH injection filter
    up the call chain).
    
    Change-Id: If9aec40fe34293031f08d759dd930d73ead456f5
    Closes-Bug: #1270204

commit d311066dd43bdc4598fa76837d78ecfac16f5e58
Author: Bertrand Lallau <bertrand.lallau@gmail.com>
Date:   Sat Feb 1 14:33:33 2014 +0100

    Remove a catching exception during delete_volume
    
    GlanceMetadataNotFound Exception was catching during
    a call to volume_glance_metadata_delete_by_volume().
    This exception is never thrown by the implementation.
    This catching has been removed.
    
    Change-Id: Ifa15df5d9c4517f75a1a050ff5aa34225f33931b
    Closes-Bug: #1274601

commit 8fca3a85f3198f52c05cd9f373b72130ab012271
Merge: a5c4cf8 db94cd2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 1 02:56:27 2014 +0000

    Merge "Remove unused task from manager create_volume flow"

commit 1724c5cee71d3b32466dd9d6cabd22a3339546b4
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Thu Jan 30 23:44:22 2014 -0800

    Remove SSH code from 3PAR drivers
    
    This patch migrates all of the communication
    to the 3PAR array into the client library.
    Some of the calls to the array happen over ssh
    and others happen over REST.  Now the drivers
    don't care.
    
    This allows us to change the external client
    library to replace SSH calls to REST calls,
    without the need of driver changes.
    
    Change-Id: Ia5e94a349308055381001c373b91c444860115c7

commit a5c4cf84c0c5a6102573bccdfd35543ef3fa054c
Merge: a7a65eb cf9915e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 31 17:15:44 2014 +0000

    Merge "Brick LVM: Handle space info as numeric types"

commit db94cd232e8348f3a04536055ac199e3591ea854
Author: Anastasia Karpinska <akarpinska@griddynamics.com>
Date:   Fri Jan 31 18:06:51 2014 +0200

    Remove unused task from manager create_volume flow
    
    ExtractSchedulerSpecTask hasn't been ever used in the
    create_volume flow, so it should be deleted.
    
    Change-Id: Ia841e224bc253c68ed21520951016a1a90634faf

commit a7a65ebdb441896526ce870d0a8189ab659c5de2
Merge: ae48348 d386210
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 31 05:11:46 2014 +0000

    Merge "VolumeManager: initialize even if a volume can't be found"

commit ae48348915088de79f3ffe60b846d566fdb4310b
Merge: f2cb3e8 0132be4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 31 04:26:52 2014 +0000

    Merge "Revert initialize_connection changes"

commit 7d028b77a4bde48ed2729f370773c9d510156686
Author: Ryan McNair <rdmcnair@us.ibm.com>
Date:   Mon Jan 27 21:48:51 2014 +0000

    Add support for special char in volume metadata
    
    Using special characters such as "&" in volume metadata caused SAX
    parser to split text into multiple child nodes, as stated in the
    specs for SAX parsers. In this case extract_text would return
    'None' because text was return if there was exactly
    one child node. Concatenating the values of child nodes accounts
    for SAX parsers splitting contigous characters into
    multiple chunks.
    
    Change-Id: I3709789d33ff7b07eaeaf725f5183105443d0abc
    Closes-Bug: #1268513

commit cf9915e363924c49a9039543c85c8fdb5322527b
Author: Eric Harney <eharney@redhat.com>
Date:   Fri Jan 3 11:19:42 2014 -0500

    Brick LVM: Handle space info as numeric types
    
    Rather than relying on callers to cast values from the VG object
    to float, always create them as floats up front.
    
    This removes the nosuffix option used with the LVM commands in
    Brick, as it does not appear to be used.
    
    Also removes unneeded self.vg_pool_name variable.
    
    Change-Id: Ic19ce206bc8069071e3c2d9e58ba5393119e9b4d

commit f2cb3e8a840a486db8fd6a2208cd5203d96153ac
Merge: 673e7c9 193096a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 30 14:38:33 2014 +0000

    Merge "LVM: Robustify skipactivation detection"

commit 673e7c947a458d8c48d0e3684edf93f6e284de42
Merge: ec44eaa 6a28603
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 30 14:23:04 2014 +0000

    Merge "Create structure of flows' packages"

commit ec44eaa4c9a975c371e06fd0514f5c5d567beb82
Merge: 4b259c6 dc4655a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 30 11:55:07 2014 +0000

    Merge "Fixes incorrect key in dictionary"

commit 4df8093c30d6a9d20a756e3aeeda89649c2ab981
Author: Mehdi Abaakouk <mehdi.abaakouk@enovance.com>
Date:   Thu Oct 17 14:41:01 2013 +0200

    Set a sane default for state_path
    
    This change set a sane default to state_path, removed no more used cfg
    options, and put the previous state_path for tests only.
    
    DocImpact
    Closes bug: #1240879
    
    Change-Id: If56b60950d8ebf9111ef99bfbf2cb549bbb6b29b

commit 4b259c6a158e6510a5d9fa1bfd996086220fe7a1
Merge: 820fb89 6730573
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 30 04:45:40 2014 +0000

    Merge "LVM: Activate source snap LV when cloning from volume"

commit 820fb89c252df89c33ce81e9ba7af7ad319fbc40
Merge: 6ed54c5 a56ace0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 30 02:23:19 2014 +0000

    Merge "Add create_iscsi_target stub to TargetAdmin"

commit 6ed54c5921e413fe74bcee1090abf80bb9eb9b54
Merge: 617f296 5ec6f8f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 30 02:22:16 2014 +0000

    Merge "Extra_spec containing '/' can't be deleted"

commit dc4655a5ae5a2ad576b68f3bc7d5044e395ee49e
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Wed Jan 29 15:53:53 2014 -0800

    Fixes incorrect key in dictionary
    
    This is a corner case for the 3PAR driver.
    The dictionary has a key of 'wwn', not 'WWN'.
    
    Change-Id: Id16a54f14d195a7297ab8db8fc8e2642955338e6
    Closes-Bug: #1274334

commit 9afbd3fbba201ee606cf6e3b57675d3fbf9514b2
Author: Brianna Poulos <Brianna.Poulos@jhuapl.edu>
Date:   Wed Jan 29 15:49:20 2014 -0500

    Stop volume_type_encryption creation when in use
    
    This bug fix addresses bug #1274252.  It requires a volume
    type to have no volumes with the type before allowing it
    to be made encrypted.  This prevents a situation where
    non-encrypted volumes could have an encrypted volume type.
    This fix also adds a unit test to confirm functionality.
    
    Change-Id: Iab0954c2d0af73bce28be7fa319b8b34ca20e720
    Closes-Bug: #1274252

commit 617f2969679cda86fd6320796ceb7b124c0ae5fd
Merge: 6d5c35b 99379d6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 29 17:03:40 2014 +0000

    Merge "3PAR iSCSI volumes attach to single nsp"

commit 0132be46bc9b4bb1b3bf77a623cc1d3b7e9307ea
Author: john-griffith <john.griffith@solidfire.com>
Date:   Tue Jan 28 21:30:59 2014 -0700

    Revert initialize_connection changes
    
    A change was merged that reusulted in interittent
    gate failures.  It seems that in certain cases the
    intitialize is doing an update targets and is
    deleting the existing targets and not recreating them.
    
    The idea of this patch was to fix up the iscis targets
    for cases where volumes are extended.
    
    A better solution is in progress that will remove the
    target creation from the create_volume process altogether.
    
    Currently we seem to have create_export, ensure_export and
    now initialize that all are designed to do very similar
    things.
    
    A bug has been filed to address this and will attempt
    to collapse these functions to be done at attach time.
    
    This particular patch in essence reverts two patches:
    commit: 18f8f5be94aae3b1747b143479ea1b188872f000
    commit: a9267644ee09591e2d642d6c1204d94a9fdd8c82
    
    Change-Id: Ib615847f3cbeb74b1e4416d51730162ad1d07a40
    Closes-Bug: 1270608

commit 6d5c35b0911c07a34cedbac79eb84f97c02dc37c
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Sun Jan 26 20:01:16 2014 +0000

    Convert ceph backup unit tests from mox to mock
    
    Closes-Bug: 1261866
    Change-Id: Ia1e5e971c505a4f5cc00898c6a946d5dee45c29b

commit d386210bc776a599bb31553c96e2a8a43acac61d
Author: Florian Haas <florian@hastexo.com>
Date:   Mon Jan 20 22:42:11 2014 +0100

    VolumeManager: initialize even if a volume can't be found
    
    If a previously volume cannot be exported (for example, because
    an iSCSI target's backing LV is no longer present), VolumeManager
    would previously bail out, leaving the volume service uninitialized.
    This left volumes dangling in limbo: their state would be reported
    as available (clearly not a reflection of reality), and they could
    not be deleted (because the volume service that would be responsible
    for deletion was unavailable).
    
    Instead, catch an exception raised by ensure_export() separately,
    log it, and set the volume to the error state.
    
    For the tgt backend, this will also remove the volume_path file.
    Previously this would cause an ISCSITargetRemoveFailed exception
    when the volume would be removed. Instead, simply log a warning
    and return, the way other backends (example: RBD) already do.
    
    Also, add an info message that reflects the actual path and
    contents of the volume_path file.
    
    Finally, fix up the tgtadm unit test so that it tests for
    identical IQNs,
    
    Closes-bug: 1270959.
    
    Change-Id: Id61407c9a5e020d5a823dd7b8c973d237c35cb9b

commit a56ace019b2ed24181d8d8658d67f6557352cfeb
Author: Eric Harney <eharney@redhat.com>
Date:   Mon Jan 27 18:46:26 2014 -0500

    Add create_iscsi_target stub to TargetAdmin
    
    This should be defined in TargetAdmin, as it is assumed to be
    present in all subclasses by callers.
    
    IetAdm and LioAdm may need additional work to behave as desired
    in all circumstances (such as volume extend), but this should
    at least stabilize things in the meantime.
    
    Closes-Bug: 1273480
    
    Change-Id: Iac1381286ea07982e6db7f7c7abf3f9100e4be50

commit 60ffb0eedf41b56f3c6af5b301400ced95762194
Merge: 80096b6 89d9b0a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 28 01:31:05 2014 +0000

    Merge "Fix up the way we do iqn variable in unit test"

commit 99379d6ec00b7bdfe5a625877d8e680f9240efcc
Author: Ramy Asselin <ramy.asselin@hp.com>
Date:   Wed Jan 15 13:29:34 2014 -0800

    3PAR iSCSI volumes attach to single nsp
    
    Update the 3PAR iSCSI Driver to correctly identify
    the least used iSCSI Node:Slot:Port (NSP) and only attach
    the volume using that single NSP.
    
    DocImpact: Driver now requires 3PAR firmware version 3.1.2 MU3
    Ref: https://review.openstack.org/#/c/68513/
    
    Change-Id: I1627e44a5168a7dbd19ea62312d65a00044753e9
    Closes-Bug: #1269515

commit 5ec6f8f8e8b88f48300e66369840c2fafd06f4c5
Author: Alejandro Emanuel Paredes <alejandro.e.paredes@intel.com>
Date:   Wed Jan 22 15:19:19 2014 -0500

    Extra_spec containing '/' can't be deleted
    
    This patch validates the keys of the extra specs
    before setting them.
    This will make possible to remove those keys.
    It allows alphanumeric characters, underscores,
    periods, colons and hyphens.
    
    Change-Id: Ic2e5d7ce42c8ecb7ee45cd168bd008035fd4bbdf
    Closes-Bug: #1259711

commit 193096a476ca3da2ef7f36f89fdbd897c5bcc320
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Wed Jan 15 15:45:01 2014 +0100

    LVM: Robustify skipactivation detection
    
    Running lvchange might fail due to not being in
    $PATH for non-root user, and the corresponding OSError
    was not caught.
    
    Simply check for lvm2 being 2.02.99 or newer.
    
    Closes-Bug: #1269445
    Change-Id: I308bd97cb729e83677f18a693274265a182d794c

commit 80096b6fb62cec4056efd1aba070623a789571dc
Author: Zhiteng Huang <zhithuang@ebaysf.com>
Date:   Thu Jan 9 14:54:22 2014 +0800

    Make sure report_interval is less than service_down_time
    
    Services that inherit service.py/Service class would register
    themselves to DB and then update stats periodically (every
    report_interval second).  The consumer of this kind of information,
    like scheduler or 'os-service' API extension, will consider a service
    is 'up' (active) if last update from that service is not longer than
    'service_down_time' ago.
    
    The problem is if 'report_interval' was configured/provided greater
    than 'service_down_time' by mistake, services would then be always
    considered in 'down' state, which can result in unsuccesful placement
    of volume create request for example.  This is what Bug #1255685 is
    about.
    
    In previous fix: https://review.openstack.org/#/c/60760/, a
    configuration check helper function basic_config_check() was added
    *wrongly* to WSGIService class instead of Service class.  This patch
    moves the configuration check helper function and the check to the
    right place to make sure 'report_interval' is less then
    'service_down_time'.
    
    Closes-bug #1255685
    
    Change-Id: I14bd8c54e5ce20719844f437808ad98a011820de

commit cbc6e8ef5da434d0158b1cb8545c5182c5b96cdf
Merge: 62c8c84 e2fd4f2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 26 11:36:38 2014 +0000

    Merge "Remove unused exceptions"

commit 62c8c841d6d03226e725865b038ca18607a2a3ab
Merge: e6d7a73 e9722f0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 26 09:39:50 2014 +0000

    Merge "GlusterFS: Fix deadlock in volume clone"

commit e6d7a73c778757690f4080c549d0cc03508f45d0
Merge: 3923e50 a0693a9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 26 09:21:12 2014 +0000

    Merge "Redundant check in os-migrate_volume_completion"

commit 3923e5000c1e2132e8afd85b764aaaadb72b66da
Merge: 62d287a c7859db
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 26 08:43:16 2014 +0000

    Merge "Storwize driver cleanup"

commit 62d287a55a4dfaa02ebe6324f36ac28b6c6fa5a9
Merge: 4808281 855caef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 26 08:07:40 2014 +0000

    Merge "Convert RBD unit tests to use mock instead of mox"

commit 48082814ec6535b84c31a45040980cdf211b3a21
Merge: 7acdf51 f29f812
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 26 07:48:38 2014 +0000

    Merge "Fix import log_handler error with publish_errors set"

commit a0693a91f55b2b08a46f1396dd1a1102783df9c6
Author: zhangyanzi <zhangyanzi@huawei.com>
Date:   Tue Nov 26 12:19:48 2013 +0800

    Redundant check in os-migrate_volume_completion
    
    Remove the redundant check for 'migrate_volume_completion', and add the UT
    for it.
    
    Change-Id: I6b643dbf9ae1302cafe6748a361123d7d76c437f
    Closes-Bug: #1254963

commit 7acdf51329bad161312bbb33d49c45e6cb7791cf
Merge: 5245629 e011130
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 26 06:31:03 2014 +0000

    Merge "Updated error messages for volume clone"

commit 5245629321b000cb671b86bb2a02fa37a6a165d7
Merge: 1c2fb0b db98ee7
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sun Jan 26 00:17:45 2014 +0000

    Merge "Imported Translations from Transifex"

commit e011130104950c854bc9e139e24422b753653063
Author: Swapnil Kulkarni <swapnilkulkarni2608@gmail.com>
Date:   Tue Jan 21 21:04:10 2014 +0530

    Updated error messages for volume clone
    
    Updated error messages for volume clone from image,
    snapshot and volume to be consistent across.
    Updated error messages to indicate the unit (GB).
    
    Change-Id: I9f51ad0c9ce40864a838fca06583d7d4283e61d8
    Closes-Bug: #1244609

commit 1c2fb0b0472dd536cdd17fee689b972711384246
Merge: e38cbd0 18f8f5b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 21:17:44 2014 +0000

    Merge "Catch new iscsi exception"

commit e38cbd069da8c667638d4f44410e2a752c0d5e31
Merge: 0333023 573c000
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sat Jan 25 21:08:17 2014 +0000

    Merge "Updated from global requirements"

commit 033302345bf332c3e23f079b10c33fbbfc6b41dd
Merge: 13ed1a7 19d8040
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 14:23:31 2014 +0000

    Merge "Delete volume transfer in volume_destroy function"

commit 13ed1a738fa99769033fb56e252bfe94dc57db57
Merge: 4cd618a 4576ca7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 14:23:22 2014 +0000

    Merge "Enable multi-process for API service"

commit 4cd618a41beb8dd2beef3920bfd617f87fabe064
Merge: 62630c1 2c39b37
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 14:02:29 2014 +0000

    Merge "Sync common modules from Oslo"

commit 62630c1e65c1ac632557f826891ac0dad6ff57e0
Merge: ff401b6 bc8846e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 13:58:02 2014 +0000

    Merge "Sync py3kcompat, sslutils, versionutils from Oslo"

commit ff401b6e73910a974d656dce101fc8f77075acd7
Merge: 5da0f5a 385eaa2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 13:55:03 2014 +0000

    Merge "Sync gettextutils from Oslo"

commit 5da0f5a80a925a70e10b4bce1a0a4a678c204284
Merge: e3fdb5d 28b8ecc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 13:11:43 2014 +0000

    Merge "Fixed inconsistency in iqn"

commit e3fdb5ddfd76c589c9043525063086cfad050ce4
Merge: 29ffebe 04dd95b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jan 25 09:28:28 2014 +0000

    Merge "Fix docstring and remove unused variable"

commit db98ee7f0322a67d6d80e4d238c1f1a47295176b
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Sat Jan 25 06:21:55 2014 +0000

    Imported Translations from Transifex
    
    Change-Id: I6fd23ffe606bc94c5ad1648da65098c28846087a

commit 573c000cf2d373ad965f5c97f583ca1ee3884d2e
Author: OpenStack Jenkins <jenkins@openstack.org>
Date:   Tue Jan 21 20:23:55 2014 +0000

    Updated from global requirements
    
    Change-Id: I6eee83f9c1f315ad295fc710f98f033349bb7aa9

commit 89d9b0a4e0e8f7ac8a227100016031a7ae6e8341
Author: john-griffith <john.griffith@solidfire.com>
Date:   Fri Jan 24 19:12:01 2014 -0700

    Fix up the way we do iqn variable in unit test
    
    A recent bug was reported when a developer was trying to work
    with the iscsi target unit tests.  There were two problems discovered,
    one of which has been addressed by the dependent patch of this commit
    (https://review.openstack.org/#/c/68223/) which fixed the inconsistencies
    in the string we used for iqn's in our test.
    
    This patch addresses another issue that's somewhat related and was
    exposed when the developer tried to use the "self.target_name" variable
    instead of hard-coding the iqn's in the tests.
    
    The problem is that the target_name variable uses an invalid format
    for the iqn based on cinder-defaults.  It neglected to use the
    volume_name prefix (in this case: "volume-").
    
    This patch modifies the self.target_name variable to be more accurate
    with what we would see in real usage, it also modifies the test to just
    use this variable rather than hard coding it and running the risk of
    having mismatches again in the future.
    
    Change-Id: I392d423d5c0f58b7a21ee0c477609265002faa0c

commit 18f8f5be94aae3b1747b143479ea1b188872f000
Author: John Griffith <john.griffith@solidfire.com>
Date:   Fri Jan 24 14:51:21 2014 -0700

    Catch new iscsi exception
    
    A while back we fixed up a target create/update error
    that was identified in the gating tests:
        https://review.openstack.org/#/c/47513/
    
    Since then a new patch was introduced to to the update and separate
    it so that it could easily be used in other places.
        https://review.openstack.org/#/c/58599/
    
    The problem is this added a new exception "TargetUpdate" and
    didn't add this to the except block that we have.
    
    This patch changes the catch block to handle the new exception and
    do the retry, thereby putting the original fix back in place.
    
    Change-Id: I1ed1bc6f4249f99a36b1168f9fec0b6b74482acf
    Closes-Bug: 1223469

commit 29ffebe48f2140c325fecc5df14c872f1e9393fd
Merge: 3e0d5c7 5109963
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 24 21:54:04 2014 +0000

    Merge "Fix up calculating space info for mirrored volumes"

commit 19d8040d61d453ec3916d74c628189ca0b54ac59
Author: ling-yun <zengyunling@huawei.com>
Date:   Mon Jan 20 18:48:43 2014 +0800

    Delete volume transfer in volume_destroy function
    
    Doing volume force delete operation on volume-A will change volume-A's
    status to 'deleted', so all related data about volume-A should be deleted.
    Now current version's volume_destroy function doesn't delete related data
    of volume transfer. If there is volume transfer about volume-A, first do
    force delete operation on volume A, and thus the volume-A's transfer data
    would be residual. So remove the related data of volume transfer in
    volume_destroy function.
    
    Change-Id: Id80a6e0cc061fccb02af60706244be043abdd72d
    Closes-Bug: #1270785

commit 3e0d5c77fec7d83f24319bbb84b5e3884635f2af
Merge: 9c3a05d 604e70e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 24 11:39:14 2014 +0000

    Merge "Remove unused method 'is_key_value_present()'"

commit 9c3a05d811753fa6abe1c0da2358b34c036948dd
Merge: 0653475 abb444f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 24 11:39:05 2014 +0000

    Merge "Add support for retype in Storwize/SVC driver"

commit 6a28603f48feb682ed23ce5da4bdace12dc581fd
Author: Anastasia Karpinska <akarpinska@griddynamics.com>
Date:   Wed Dec 18 13:34:23 2013 +0200

    Create structure of flows' packages
    
    1. Create_volume flows were moved to separate files from __init__.py.
       In future each flow should be implemented in a separate file.
    
    2. Add flows.common package for tasks that could be used by different flows.
    
    3. Proposed file structure for flows is more clean and helps to find and reuse
    common code.
    
    4. _exception_to_unicode function and tests were removed because never used.
    
    Partially implements: blueprint create-volume-flow
    
    Change-Id: I63473f549f0c501fe0f373830bc1080239d01892

commit 04dd95bef7e88c2602cca74d542654ec7bdfc754
Author: ling-yun <zengyunling@huawei.com>
Date:   Fri Jan 24 14:41:11 2014 +0800

    Fix docstring and remove unused variable
    
    Fix error docstring and remove unused variable 'volume ' in
    VolumeTransferTestCase.
    
    Change-Id: I6c98af30df88b8f19c23ef5e38e4b5b2eef7436c
    Closes-Bug: #1272182

commit 0653475f499d59fd41e40648802f7577e664a20e
Merge: 3a4da84 f1d30c9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 24 07:56:35 2014 +0000

    Merge "Added missing accept_transfer to FC"

commit 3a4da84a463b1f375ffa747549c71d7910595379
Merge: d8dba90 3869f75
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 24 04:06:03 2014 +0000

    Merge "Rename __init__.py to create_volume.py"

commit e9722f09dfd4b58e40afbf285ab9a7738a641dca
Author: Eric Harney <eharney@redhat.com>
Date:   Thu Jan 23 11:57:17 2014 -0500

    GlusterFS: Fix deadlock in volume clone
    
    The create_cloned_volume path could deadlock due to
    create_cloned_volume and create/delete_snapshot using the same
    lock for synchronization.
    
    Refactor the calls to create/delete snapshot to call the inner
    method which does not use a lock.
    
    Introduced by "06999f6 GlusterFS: Synchronize additional op..."
    
    Related-Bug: 1267983
    Closes-Bug: 1272092
    
    Change-Id: I84ca34b201c10644faa047f1c9274c14bcdd0359

commit d8dba90f5be90b8cb7db564098492d0075de8272
Merge: d6f7101 96420a1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 23 18:40:14 2014 +0000

    Merge "Update HACKING.rst with regard to mock usage"

commit 4576ca73eae6e2ec554b4e6785b9fd7ef310ac91
Author: Zhiteng Huang <zhithuang@ebaysf.com>
Date:   Wed Jan 8 14:50:29 2014 +0800

    Enable multi-process for API service
    
    Due to the limit of Python interpreter, API service of Cinder can't
    really utilize underlying multi-core architecture even libraries
    like eventlet has been used. To make API service much more scalable,
    we'd adopt multi-process (worker) mode that has been used for long
    in Glance/Swift/Nova.
    
    The default behavior isn't changed with this patch, Cinder API
    service will still run in one process (default value of
    osapi_volume_workers is None).
    
    Implementation wise, a good portion of cinder/service.py has been
    removed because those content has been merged in Oslo version of
    service module.  cinder/wsgi.py is also updated to adopt the change
    for multiple WSGI servers running in separate processes.
    
    Implement bp: multi-process-api-service
    
    DocImpact: 'New config option osapi_volume_workers is used to specify
    number of API service workers (OS processes) to launch for Cinder
    API service.  Setting this config option to a proper value (e.g.
    osapi_volume_workers = # of CPU cores/threads of the machine) can
    greatly improve the total throughput of API service [# of API
    requests can be handled per second].'
    
    Also removed out-dated comments in bin/cinder-api due to the fact
    that this bug [1] has been fixed in eventlet 0.9.13
    
    [1] https://bitbucket.org/eventlet/eventlet/issue/92/eventletgreen-override-of-oswaitpid
    
    Change-Id: I8361d0dc0d43040e48634ff1aee1324e5e0af466

commit 6c9f81b97ededf2b6401861f7d876851ff07b34b
Author: Eric Harney <eharney@redhat.com>
Date:   Thu Jan 16 13:45:05 2014 -0500

    Sync RPC module from Oslo
    
    22e971a safe_log Sanitize Passwords in List of Dicts
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    23f6029 Use six.seraise() instead of `raise exc, val, tb`
    6d0a6c3 Correct invalid docstrings
    7cac1ac Fix mis-spellings
    ef406a2* Create a shared queue for QPID topic consumers
    e6494c2 Use six.iteritems to make dict work on Python2/3
    e227c0e* Properly reconnect subscribing clients when QPID broker restarts
    16fb43b Replace data structures' attribute with six module
    27b21bc Unify different names between Python2/3 with six.moves
    12bcdb7 Remove vim header
    3970d46 Fix typos in oslo
    1771a77 Adjust import order according to PEP8 imports rule
    0717d1d matchmaker_redis compatibility with redis-py 2.4
    f88d59a Drop RPC securemessage.py
    39f6589 Use localisation
    8a3996a Fix missing space in help text
    4bfb7a2 Apply six for metaclass
    d7d74a7 Add `versionutils` for version compatibility checks
    3cdd157 Add third element to RPC versions for backports
    76972e2* Support a new qpid topology
    284b13a Raise timeout in fake RPC if no consumers found
    9721129 exception: remove
    7b0cb37 Don't eat callback exceptions
    69abf38 requeue instead of reject
    28395d9 Fixes files with wrong bitmode
    bec54ac Fix case error in qpid exchange type "direct"
    61c4cde Ensure context type is handled when using to_dict
    223f9e1 Clarify precedence of secret_key_file
    a035f95 Don't shadow cfg import in securemessage
    0f88575 Remove redundant global keyword in securemessage
    848c4d5 Some nitpicky securemessage cleanups
    5c71c25 Allow non-use of cfg.CONF in securemessage
    9157286 RPC: Add MessageSecurity implementation
    2031e60 Refactors boolean returns
    a047a35 Make ZeroMQ based RPC consumer threads more robust
    34a6842 On reconnecting a FanoutConsumer, don't grow the topic name
    f52446c Add serializer param to RPC service
    5ff534d Add config for amqp durable/auto_delete queues
    f9f1b4f Revert "Add support for heartbeating in the kombu RPC driver"
    1a2df89 Enable H302 hacking check
    7bfd443 Avoid shadowing Exception 'message' attribute
    99b7c35 Convert kombu SSL version string into integer
    c37f6aa Add support for heartbeating in the kombu RPC driver
    3006787 Sanitize passwords in _safe_log
    dea334a Replace sys.exit by a RPCException
    3969355 Fix exception arg typo
    22ec8ff Make AMQP based RPC consumer threads more robust
    13650b1 rpc: remove some unused serialization code
    e204885 Optionally reject messages on exception.
    688832f Remove unused zmq relay functionality
    719eba4 Don't reconnect to exclusive fanout consumers.
    980fe5f Allow exceptions to hop up cells
    80476f0 Add can_send_version() to RpcProxy.
    7119e29 Enable hacking H404 test.
    32e2a25 zmq: remove someone unused code from ZmqClient
    6d42ced Remove the amqp_rpc_single_reply_queue option from Havana
    7ce5441 Fix problem with long messages in Qpid
    e3545f8 Enable hacking H402 test
    15d8d69 Silence exceptions from qpid connection.close()
    484a1df Enable hacking H403 test
    35660da Enable hacking H401 test
    1a9a744 MatchMakerStub - make it work & add test
    35aad91 Use zero-copy in ZeroMQ proxy (zmq-rpc-receiver)
    b677b13 Remove rootwrap from IPC directory creation
    93ee6e3 Add generic serialization support
    fe2f108 Enable hacking H702 localization test
    0a14e1d Enable hacking H703: Multiple positional placeholders
    df7ea83 Allow RPC_API_NAMESPACE on RpcProxy objects
    aa89d8b Support capping message versions in the client.
    1d7920a Extract matchmaker_ring to own module
    3e33692 Merge "Removes len() on empty sequence evaluation"
    44c79fc Merge "python3: use 'as' syntax for exception assignment"
    0c54b72 python3: use 'as' syntax for exception assignment
    a514693 Removes len() on empty sequence evaluation
    fde1e15 Convert unicode for python3 portability
    0c9047c* Ensure that qpid connection is closed.
    120ddef Improve Python 3.x compatibility
    
    (* after hash indicates this was already ported to Cinder)
    
    Oslo version:
    7a51572 Merge "Implement cache abstraction layer"
    Date:   Wed Jan 15 19:31:16 2014 +0000
    
    Related-Bug: #1189711
    Closes-Bug: #1270178
    
    Change-Id: I19572c5e98c1c1037a6a622d63fbdea8d6001532

commit 2c39b37625dd094b2a7b63821aab8d71801f26a0
Author: Eric Harney <eharney@redhat.com>
Date:   Thu Jan 16 14:08:53 2014 -0500

    Sync common modules from Oslo
    
    Identified as dependencies for RPC sync by update.py
    
    Contains code from:
    12bcdb7 Remove vim header
    e6494c2 Use six.iteritems to make dict work on Python2/3
    6d0a6c3 Correct invalid docstrings
    fe18bfa Remove keystone from default_log_levels default
    0228b81 Logging excepthook: print exception info if debug=True
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    6d0a6c3 Correct invalid docstrings
    fe18bfa Remove keystone from default_log_levels default
    13eb01c Adding domain to context and log
    27b21bc Unify different names between Python2/3 with six.moves
    a6f40ac Don't log to stdout when log_dir is set
    4c22556 Use py3kcompat urlutils functions instead of urlparse
    0bf03b7 Add network_utils.urlsplit
    e456727 Remove useless logging in networks_utils
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    37e46bb disable SIGHUP restart behavior in foreground
    f08f6ba service: replace eventlet event by threading
    32cd4c0 Allow configurable ProcessLauncher liveness check
    25ff65e Make wait & stop methods work on all threads
    7013471 Fix typo in parameter documentation (timeutils)
    ae931a9 Avoid TypeError in is_older_than, is_newer_than
    ad17a69 Fix filter() usage due to python 3 compability
    
    Oslo version:
    7a51572 Merge "Implement cache abstraction layer"
    Date:   Wed Jan 15 19:31:16 2014 +0000
    
    Change-Id: If83fb203ecbae912e365118861477a9be834fde3

commit bc8846e3d573ad4fe901771da4178a0eb4afc1d3
Author: Eric Harney <eharney@redhat.com>
Date:   Thu Jan 16 13:25:33 2014 -0500

    Sync py3kcompat, sslutils, versionutils from Oslo
    
    Dependencies identified by update.py for RPC update.
    
    py3kcompat:
    12d3bbc Add method quote_plus in module py3kcompat.urlutils
    8575d87 Removed copyright from empty files
    0d8f18b Use urlutils functions instead of urllib/urllib2
    12bcdb7 Remove vim header
    4c22556 Use py3kcompat urlutils functions instead of urlparse
    71743d9 Add urlopen/URLError/pathname2url in urlutils
    0f2906f py3kcompat: Add unquote
    eaec23b py3kcompat: Add urljoin compatibility
    35c317b Fix capitalization, it's OpenStack
    4d12ad1 python3: Import translation layer
    
    sslutils:
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    12bcdb7 Remove vim header
    1a2df89 Enable H302 hacking check
    99b7c35 Convert kombu SSL version string into integer
    b0b37ce Fix IBM copyright strings
    f63ea05 Use oslo-config-2013.1b3
    e50b68c Support for SSL in wsgi.Service
    
    versionutils:
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    a5ae087 fixed typos
    45658e2 Fix violations of H302:import only modules
    37ea814 Adds decorator to deprecate functions and methods
    12bcdb7 Remove vim header
    d7d74a7 Add `versionutils` for version compatibility checks
    
    Oslo version:
    7a51572 Merge "Implement cache abstraction layer"
    Date:   Wed Jan 15 19:31:16 2014 +0000
    
    Change-Id: I72a4ddaa015ce4a8016d580c922e8f7664376cb7

commit 385eaa23149f6780ba6ff2e9a006e0189d810c23
Author: Eric Harney <eharney@redhat.com>
Date:   Thu Jan 16 13:09:05 2014 -0500

    Sync gettextutils from Oslo
    
    Update gettextutils as a dependency for RPC updates
    
    Requires changes within Cinder as well for
    "get_localized_message" -> "translate" method rename.
    
    221c37d Allow the Message class to have non-English default locales
    0e1af5b Implementation of translation log handler
    f5686b1 Merge "Translation Message improvements"
    8b2b0b7 Use hacking import_exceptions for gettextutils._
    2cfc1a7 Translation Message improvements
    45658e2 Fix violations of H302:import only modules
    12bcdb7 Remove vim header
    
    Oslo version:
    7a51572 Merge "Implement cache abstraction layer"
    Date:   Wed Jan 15 19:31:16 2014 +0000
    
    Change-Id: I979114dbebfe2368b071cc6c18951da227b6f74a

commit c7859db129db53f0e4dc743163179163b5ed4f03
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Wed Jan 22 14:27:39 2014 +0200

    Storwize driver cleanup
    
    1. Moved Storwize driver into 'ibm' directory and refactored into
       separate files to improve readability and debug-ability. Other IBM
       drivers will be moved into this directory in a separate patch.
    2. Errors coming from storage now raise VolumeBackendAPIException,
       and those coming from the driver raise VolumeDriverException.
    3. Fixed many pylint errors.
    4. Removed any usage of mox from unit tests in favor of mock.
    
    DocImpact
    
    Change-Id: I1696a97279efe834a96b3f3843bc65f0ea6da9cc

commit abb444f2d349b8f8c405a8636046fe4e910928aa
Author: Li Min Liu <liminliu@cn.ibm.com>
Date:   Thu Jan 9 14:54:09 2014 +0800

    Add support for retype in Storwize/SVC driver
    
    In Storwize/SVC, retype can be handled by a few cases:
    1. The change may just require setting an option on the volume
    2. The change may require moving the data in the same pool (e.g.,
       compression)
    3. The scheduler may have chosen a different pool virtualized by the
       same Storwize or SVC, in which case we move the data as in #2
    
    Implements: blueprint storwize-svc-retype
    
    Change-Id: Ic2ed17bce56b5ea65e1596acfa85720cf4818fa8

commit d6f7101f2d76aa8750c23a67ea030f8a9c32eb25
Merge: 1ebc405 bfa6812
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 23 09:29:37 2014 +0000

    Merge "Use a mirrored mirror log"

commit 1ebc405e5ee5c2d922b3b033d9362f9f207c39fd
Merge: d540eb6 657dd07
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 23 09:28:40 2014 +0000

    Merge "Remove unused config options"

commit adbb27239809cb7b85777371b4f9d1599a56661f
Author: jenny-shieh <jenny.shieh@hp.com>
Date:   Wed Jan 22 12:20:07 2014 -0800

    Add notifier events to cinder volume rename, reset-state
    
    Implements: notifiers for cinder volume rename, reset-state
    Fixes: bug #1271692
    Change-Id: Ie82a4c062904a4f86c9f6364649b8c2b9f71ea6e

commit d540eb6f7cac1bb7e705e377c4100a5f1f5f5d8e
Merge: 4325cca 7a56ebb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 23 01:56:06 2014 +0000

    Merge "Pull Bug #1263122 fix for service module from Oslo"

commit 4325ccae288061ec9a834843c77a0febe6332494
Merge: 57a76da 68ed1bc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 15:59:37 2014 +0000

    Merge "Remove unused variable in restore_backup method"

commit 855caef27a6525fc6b200d014dd7fb5de9dfa7ba
Author: Edward Hope-Morley <edward.hope-morley@canonical.com>
Date:   Mon Dec 23 21:10:55 2013 +0000

    Convert RBD unit tests to use mock instead of mox
    
    Change-Id: If32e14a8f5ff180b6c0ff46797bcb81b21f805f1
    Closes-bug: 1261864

commit 57a76da0c0ef77a4c714e9004a3992e278998a39
Merge: 60bc096 7035ef4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 05:45:16 2014 +0000

    Merge "Use oslo.rootwrap library instead of local copy"

commit 60bc096b5dbc041edb30c720fae988778a24f2e9
Merge: 2a32aa0 8228379
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 05:33:49 2014 +0000

    Merge "Fix UnboundLocalError in TgtAdm.update_iscsi_target"

commit 2a32aa0aaf13f1aef809f77d2eb0b2128d8b7f8b
Merge: f3f95bf d09b7c7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 03:45:42 2014 +0000

    Merge "Allow user to specify audit period."

commit f3f95bff2ad92f567f9feac8afc94372f13b9013
Merge: 1636f61 ce889d9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 03:45:34 2014 +0000

    Merge "Transfer creation doesn't support 'name' via xml"

commit 1636f61b9ead21eb03ed444d40221ba53791c9b6
Merge: 8232e16 79f63f9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 03:43:04 2014 +0000

    Merge "Fix cross-import bug in cinder.db.sqlalchemy.api"

commit 8232e16a269bd687bdb9bcfe58daa58656fd3053
Merge: d18113f e71e596
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 03:41:49 2014 +0000

    Merge "Add Backup Service to 'cinder-all' script"

commit d18113f80df8138369868809407c7dc51d1138b3
Merge: 6f2ef65 ed05bbe
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 03:38:33 2014 +0000

    Merge "Ensure hostnames are converted to IP for comparison."

commit 6f2ef657efa8735b9f3dc33a5e85c94bbd238e53
Merge: ea5c148 5db9724
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 03:36:08 2014 +0000

    Merge "Update host on driver retype"

commit ea5c148be80fe618515b66ed6f5ea5caa5180921
Merge: 76c83dd 9c1ad54
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 22 02:08:51 2014 +0000

    Merge "Remove env from rootwrap filter"

commit 76c83dd9b561b942f299a5e0f6120f2947f8d614
Merge: f67050b f787460
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 21 22:00:58 2014 +0000

    Merge "Remove unused variable in os-extend api"

commit 28b8ecc15d874644952bb74539c61becaf5f7d20
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Tue Jan 21 11:54:15 2014 -0800

    Fixed inconsistency in iqn
    
    Brick's TargetAdmin classes have a
    default value set in __init__ for
    iscsi_target_prefix.   The unit test was changing
    the value returned for the internal _get_target,
    but wasn't changing the CONF.iscsi_target_prefix to
    match.  So the default value in the __init__ was
    being used and hence the differences.
    
    This patch sets the configuration's iscsi_target_prefix
    which alters the values passed into the driver.  This
    also makes the tests consistent between the iqn of the volume
    at create time and delete time.
    
    Closes-Bug: #1271249
    Change-Id: Ie3308cf68adcbdff6057ea795af1299dded82e14

commit 96420a1e2673f5aea4a5e60c5cd000aba524d137
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Tue Jan 21 18:00:05 2014 +0200

    Update HACKING.rst with regard to mock usage
    
    Add a sentence about using mock rather than mox for unit tests.
    
    Change-Id: If3c175d986f3ebed6d949df5c473e0cf9177ef6e

commit f67050b501c458f16953538dfb270f74d2fe49cb
Merge: 3f2a6c3 edc9338
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 21 15:16:40 2014 +0000

    Merge "Updates for version list to show correct references"

commit 3f2a6c3c36f4c2e33153b8c6b590bfdc03f336d4
Merge: d4c4f4c a9661fb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 21 10:07:49 2014 +0000

    Merge "Use loopingcall from openstack-common"

commit d4c4f4cd13a2c7c9bfe05fca78fa5e6d1e04d4c9
Merge: 407301e 8ba08f0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 21 08:36:07 2014 +0000

    Merge "Pull latest scheduler change from Oslo"

commit 604e70e7524bb854347edfcc079d30d6c68f5f79
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Fri Jan 10 13:39:56 2014 +0900

    Remove unused method 'is_key_value_present()'
    
    The following method is not used.
      is_key_value_present() in cinder/volume/volume_types.py
    
    Change-Id: If1ecd22f2cfb758f0e9f7c6b730727559e9dcdf0

commit 657dd074cddf11767738def39f2686c38fe445c8
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Wed Jan 8 10:39:35 2014 +0900

    Remove unused config options
    
    The following options are not used.
    
    o fake_tests=true
      This configuration was removed in the following commit.
    
        commit 6ae520677da80103bae79e3db3569360df1220cd
        Author: Monty Taylor <mordred@inaugust.com>
        Date:   Fri May 24 01:36:21 2013 +0200
    
            Replace custom skip_ methods.
    
    o backlog=4096
      This configuration was added in the following commit.
    
        commit 24d961023f2a32ca3454991a7891199d2da796dc
        Author: Davanum Srinivas <dims@linux.vnet.ibm.com>
        Date:   Sat Jan 12 16:16:19 2013 -0500
    
            Support for SSL in wsgi.Server
    
      But there is no evidence that was used.
    
    o bindir=$pybasedir/bin
      This configuration was added in the following commit.
    
        commit c53d8e343e50d4cf7ea9a6a81258848c2d893bfb
        Author: Jenkins <jenkins@review.openstack.org>
        Date:   Thu May 3 10:48:26 2012 -0700
    
            Initial fork out of Nova.
    
      But there is no evidence that was used.
    
    o root_helper=sudo
      This configuration was removed in the following commit.
    
        commit 5bce6ad46f57d22fcb22ba9e194fbd1e2d53f55d
        Author: John Griffith <john.griffith@solidfire.com>
        Date:   Tue Jun 4 17:07:03 2013 -0600
    
            Use common.processutils.execute
    
    o nexenta_mount_options=<None>
      This configuration was added in the following commit.
    
        commit 96677735f6d8f1f5b6380127956921f719aab799
        Author: Mikhail Khodos <hodosmb@gmail.com>
        Date:   Wed Aug 14 11:18:12 2013 -0700
    
            Adds Nexenta NFS driver
    
      But there is no evidence that was used.
    
    o nexenta_used_ratio=0.95
      This configuration was added in the following commit.
    
        commit 96677735f6d8f1f5b6380127956921f719aab799
        Author: Mikhail Khodos <hodosmb@gmail.com>
        Date:   Wed Aug 14 11:18:12 2013 -0700
    
            Adds Nexenta NFS driver
    
      But there is no evidence that was used.
    
    o nexenta_oversub_ratio=1.0
      This configuration was added in the following commit.
    
        commit 96677735f6d8f1f5b6380127956921f719aab799
        Author: Mikhail Khodos <hodosmb@gmail.com>
        Date:   Wed Aug 14 11:18:12 2013 -0700
    
            Adds Nexenta NFS driver
    
      But there is no evidence that was used.
    
    o zadara_default_striping_mode=simple
      This configuration was removed in the following commit.
    
        commit 2f907133aeaee09f58be30e75089c23b13573500
        Author: Vladimir Popovski <vladimir@zadarastorage.com>
        Date:   Fri Aug 16 04:34:54 2013 +0000
    
            Add features to Zadara Storage Cinder driver
    
    o zadara_default_stripesize=64
      This configuration was removed in the following commit.
    
        commit 2f907133aeaee09f58be30e75089c23b13573500
        Author: Vladimir Popovski <vladimir@zadarastorage.com>
        Date:   Fri Aug 16 04:34:54 2013 +0000
    
            Add features to Zadara Storage Cinder driver
    
    Change-Id: Ie78b8c7fc081899b8053060150e81e1a6c5d4958

commit e2fd4f204897b10aae1c2d182eacfc5315b9881f
Author: KIYOHIRO ADACHI <adachi@mxs.nes.nec.co.jp>
Date:   Fri Jan 10 18:22:36 2014 +0900

    Remove unused exceptions
    
    The following exceptions are not used.
      class MigrationNotFound(NotFound):
      class BadDriverResponseStatus(VolumeDriverException):
      class InstanceNotFound(NotFound):
      class VolumeRetypeFailed(CinderException):
      class DuplicateSolidFireVolumeNames(SolidFireDriverException):
    
    Change-Id: I891360f9c150eb8ea3f3968f12b9ad3da998981a

commit 407301e23b4558863999dfc49e82ae81de4f4c35
Merge: c24e82d e4505f8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jan 20 22:11:50 2014 +0000

    Merge "Register EMC config options globally"

commit a7b6d82fd170bc594ceff791eb10b900a61c9175
Author: Vahid Hashemian <vahidhashemian@us.ibm.com>
Date:   Mon Jan 20 10:06:01 2014 -0800

    Do not show quota of removed volume types in Default Quotas panel
    
    Fixes the issue where quota for removed volume types still show up
    in Admin -> Defaults -> Default Quotas view.
    
    Change-Id: I2a822ac08b8347a8d76e8de70deca0e34fafe6e3
    Closes-Bug: #1266906

commit 51099632dfc979c57133a69e4c68cdad3fe47008
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Fri Jan 17 14:07:43 2014 -0700

    Fix up calculating space info for mirrored volumes
    
    The status reporting in the lvm driver for cinder volume incorrectly
    reports free capacity. This is due to a couple of issues:
      a) the number of mirrors isn't taken into account
      b) there are some pathological cases where a
         simple division by total mirrors isn't sufficient
         because all mirrors must be on separate physical volumes.
    
    Co-authored-by: Vishvananda Ishaya <vishvananda@gmail.com>
    Co-authored-by: John Griffith <john.griffith@solidfire.com>
    
    Closes-Bug: 1269964
    Change-Id: I65e16b24367b4093a52c1c52d895fb58ef6a29ff

commit 3869f75e697b591f2ca37a960e5d900e17dbdf98
Author: Anastasia Karpinska <akarpinska@griddynamics.com>
Date:   Mon Jan 13 10:21:36 2014 +0200

    Rename __init__.py to create_volume.py
    
    This commit is the first step of creating packages structure for
    flows. This change is required to preserve git history of renamed files
    for change I63473f549f0c501fe0f373830bc1080239d01892
    
    Change-Id: Ib5ed0e9196fa7bf4fd0b69a13c90e40c360ad8ef

commit 7035ef485ef733c43ca9d22f1327e0ee551642e1
Author: Thierry Carrez <thierry@openstack.org>
Date:   Fri Jan 17 11:28:17 2014 +0100

    Use oslo.rootwrap library instead of local copy
    
    Remove rootwrap code copied from oslo-incubator, make
    cinder-rootwrap a console_script entrypoint pointing in
    oslo.rootwrap instead.
    
    Change-Id: I4e924bc9fccd7f5a8522ac38b7c6d29683990ea8
    Implements: blueprint cinder-oslo-rootwrap

commit 82283790b7c5ba6ae0e561ee3302d7fed7983267
Author: Yuriy Taraday <yorik.sar@gmail.com>
Date:   Sun Jan 19 23:08:06 2014 +0400

    Fix UnboundLocalError in TgtAdm.update_iscsi_target
    
    Closes-Bug: #1270624
    Change-Id: I74a057a9603c5d6aefaec6db62228352b739df56

commit 5db972494a8e6b090e16b14f675226929d3244a7
Author: Avishay Traeger <avishay@il.ibm.com>
Date:   Sun Jan 12 15:41:31 2014 +0200

    Update host on driver retype
    
    The volume's host was not updated on retype where the driver handled
    the retype. Now update in all cases.
    
    Change-Id: I64b72ae5617d1dacad8f37c4246ce0f079e015bb
    Closes-Bug: #1268305

commit c24e82d046abb4e64f83cb7201d717b9cb403517
Merge: 28fc82b 2f39c85
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 19 07:35:56 2014 +0000

    Merge "Fix exception log msg in attach volume method"

commit 28fc82bf6a58b69853dcf39069a17a0a6e9cbd30
Merge: ea9c594 e86098c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Jan 19 01:07:49 2014 +0000

    Merge "Fix os.getlogin() problem with no tty"

commit 68ed1bcec81e173648a4a86e5f4e21abc6dcf539
Author: ling-yun <zengyunling@huawei.com>
Date:   Fri Jan 17 11:58:10 2014 +0800

    Remove unused variable in restore_backup method
    
    Variable err in restore_backup method is not being used, so remove this
    'err ' variable.
    
    Change-Id: I31f6da5fd55e025d6496aca76a1157ff5a167d9e
    Closes-Bug: #1270034

commit ed05bbe1e786e3eedfd94e7f6724ecb38f32f1e6
Author: Bob Callaway <bob.callaway@netapp.com>
Date:   Fri Jan 10 11:15:07 2014 -0500

    Ensure hostnames are converted to IP for comparison.
    
    Also switch to using getaddrinfo for IPv6 compliance
    vs gethostbyname.
    
    Change-Id: I1a194eae514a65bff56488571c05457bfa660c02
    Closes-Bug: 1267667

commit e71e59675034585a3d9e894ed13ebcf4b23ecd2a
Author: Zhiteng Huang <zhithuang@ebaysf.com>
Date:   Sat Jan 18 02:02:19 2014 +0800

    Add Backup Service to 'cinder-all' script
    
    Backup service is missing in 'cinder-all' script, this patch simply
    add it so that this all-in-one script could launch all Cinder
    Services.
    
    Change-Id: I29c7355baabddd18a14fe9f97b71f58d24a033dc

commit 9c1ad54e7815d50d9561d88337724ad2042c92a2
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu Jan 16 22:59:41 2014 +0100

    Remove env from rootwrap filter
    
    Allowing 'env' as a CommandFilter is similar to
    allowing '/bin/bash', which makes all of rootwrap pointless.
    Use EnvFilter instead. Change corresponding commands
    that use env for setting C locale and adjust rootwrap
    filters accordingly.
    
    Several commands that output information that is
    parsed as input by cinder change their behavior
    based on the environment locale, which is depending
    on local system settings. The code is however only
    able to parse in C locale, so enforce that one.
    
    Closes-Bug: #1269958
    
    Change-Id: Ie1463e608c80204c7a8906efb95899a66aa733da

commit ea9c59448e9f3d4652f8c7010965ffa25ca56804
Merge: 35ecd8a 06999f6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 17 15:23:07 2014 +0000

    Merge "GlusterFS: Synchronize additional operations"

commit 35ecd8a97b9781c48d6a67b13dd423da61269314
Merge: c6371f4 fce28fe
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 17 13:26:15 2014 +0000

    Merge "Remove legacy config option 'connection_type'"

commit c6371f47cc8c60ae7f72d10dd6a302c8393bcee4
Merge: e2e0ed8 9206b54
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 17 13:26:06 2014 +0000

    Merge "Use a *args pass-in instead of a list one"

commit e2e0ed80799c1ba04b37278996a171fc74b6f9eb
Merge: 5be4620 a926764
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 17 13:25:58 2014 +0000

    Merge "LVM: update iscsi target on volume attach"

commit d09b7c78b3c905badb1112434eb9c09c2c8ffb5a
Author: Ollie Leahy <oliver.leahy@hp.com>
Date:   Thu Dec 12 11:01:34 2013 +0000

    Allow user to specify audit period.
    
    The script 'cinder-volume-usage-audit' is generally run by cron to
    generate volume and snapshot exists audit notifications that can be
    consumed by ceilometer or other auditing systems. In this mode it sends
    notifications for volumes that existed in the 'last completed audit
    period' as calculated by cinder.utils.last_completed_audit_period()
    
    However, it may sometimes be necessary to be able to send notifications
    for audit periods other than than the last completed audit period. For
    example if the host running the audit script was down for a period.
    
    This patch provides three optional command line parameters to the script
    cinder-volume-usage-audit. If no parameters are provided then the
    operation of the script is unchanged. If parameters are provided then
    they have the following effects:
    
    --start_time specifies a date and time that is used in place of the
    start of the last completed audit period.
    
    --end_time specifies a date and time that is used in place of the end of
    the last completed audit period.
    
    --send_actions As well as sending exits notifications the script will
    send any create or delete notifications that would have been sent during
    the specified audit period.
    
    Closes-Bug: #1259147
    
    Change-Id: I0cfe963ea59d811ba4bac0bd3de31382a088b8c8

commit 2f39c8523091c9a2e55254fb32900305524a6fff
Author: ling-yun <zengyunling@huawei.com>
Date:   Fri Jan 17 10:49:58 2014 +0800

    Fix exception log msg in attach volume method
    
    Attach volume happened when volume's status is attaching or available, but
    the exception msg only contain info about "available". So fix it.
    
    Change-Id: I1caf83b94b3e4158eff88871a4187041a25e5d1c
    Closes-Bug: #1270020

commit f29f812bc64726b01a50590894d6d430c5f3d30d
Author: Chang Bo Guo <guochbo@cn.ibm.com>
Date:   Tue Nov 5 22:56:36 2013 -0800

    Fix import log_handler error with publish_errors set
    
    Sync latest module log_handler from Oslo.
    Commit Id is 2843a92a0e4007f50d5ad63d51fe574e1ba5e280
    
    This handler sends the error to configured notifier.
    The notifier could be any kind (log, RPC, no_op, None).
    
    Note: when using publish_errors you also need to set the
    notification_driver option too.
    
    Closes-bug: #1240349
    Change-Id: I4f759b049b8f34904ba11382a2e8fc1578677a8f

commit bfa681204f59bf5ea4700dc21f8f29fb1a4a4fdd
Author: Joel Friedly <joelfriedly@gmail.com>
Date:   Thu Jan 16 17:19:26 2014 -0800

    Use a mirrored mirror log
    
    By default, LVM will sync the two mirrors of a logical volume on
    creation. This is I/O intensive and it takes a long time though, so we
    tell it not to with --nosync. The next default behavior is to create a
    mirror log which says what portions of the mirrors are in sync. But
    then if a disk backing a mirror log fails, we have to deal with
    resyncing the mirrors at each reboot.
    
    This commit tells LVM to use a mirrored mirror log, which will use
    approximately 4MB of extra space, but means we'll never have to
    sync mirrors, ever.
    
    Change-Id: I6586ced4e7e66ae79ae134406a4c633f8fbc8602

commit f1d30c9bc4ae626883d827d3b0a0458aa9f70820
Author: Walter A. Boring IV <walter.boring@hp.com>
Date:   Thu Jan 16 11:44:13 2014 -0800

    Added missing accept_transfer to FC
    
    The base class FibreChannelDriver was
    missing the new accept_transfer method.
    This was caught while running the devstack
    driver certification tests again the
    3PAR FC driver.
    This patch adds the missing method to the
    base VolumeDriver.
    
    Change-Id: I0aa91a4f11edd03eee7607d15317b89c30732cb7
    Closes-Bug: #1269633

commit e4505f8a617e7c9544bb142478d182ec9d37bdf9
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Wed Jan 15 18:23:40 2014 +0100

    Register EMC config options globally
    
    The registration allows the oslo sample config generator
    to detect the config options and extract automatically
    a config template.
    
    Change-Id: Ib181d734dddbd9b6a664439286969b832d6536e7

commit e86098cfc28f84505d4460108bbdfe019fe1efd0
Author: Koert van der Veer <koert@cloudvps.com>
Date:   Thu Jan 9 21:18:50 2014 +0100

    Fix os.getlogin() problem with no tty
    
    Catch OSError(s) from  os.getlogin() and fall back to looking at
    environment variables to figure out the user's name. The OSError
    is thrown where there is no tty for the python process when
    os.getlogin() is called.
    
    Related-Bug: #1221491
    
    Change-Id: I2bd735c9669ba9d25da108da44ea602f358b2dcc

commit edc93383f7cd9d055d655a8e345a3efa81b7de5b
